About T8000 Service Kit Help

Welcome to Help for the Tait T8000 Service Kit.

Getting Help
  • New Service Kit users should begin at Getting Started.
  • For explanations of essential concepts, look in Introduction.
  • The rest of Help assumes that you are familiar with most Basic Tasks.
  • To get Help for the form you are in, press F1 or click the Help icon. If you are in a dialog box, click the Help button.
Help Conventions

`File > Open' means `click File on the menu bar, then click Open on the list of commands that pops up'. `Monitor > Module Details > Reciter' means `click the Monitor icon on the toolbar, then in the navigation pane find the Module Details group, and select Reciter from it'.

Useful Tips

Here are a few things that are helpful to know:

  • To make Help smaller so that it doesn't get in the way, click the Hide icon.
  • If you jump to an unexpected part of Help, click the Back icon to return to where you were.
  • If you are having trouble finding something, use the Index.
  • The information in this Help is also available as an online manual in PDF format. To view it, select Start > Programs > Tait Applications > Manuals. Your PC needs the free Acrobat Reader to display this manual. Application Notes are also available at this location.
  • You can print topics from Help, but it is better to print from the PDF file.
  • Use the Favorites tab to compile a list of topics you want to return to.

TAIT
Radio Communications
http://www.taitworld.com


Part A Introduction

Introduction

The Service Kit is a Windows-based software program that makes it easy to monitor and configure a Tait T8000 Base Station. You can also use it to carry out diagnostic tests on the base station and to calibrate it or update its firmware.

The introduction explains concepts that are fundamental to the base station. You need to understand them before you can use the Service Kit effectively.

Topics
  • From T800 to T8000
  • Channels
  • Profiles
  • Operating Frequency
  • Power Saving
  • Task Manager


From T800 to T8000

The T8000 is a software-based radio. This means that its programming software has far more scope. For those who are familiar with the Tait PGM800Win programming software, here are some key differences.

  • The Service Kit doesn't just configure channels. It can monitor operational details, receive alarms, log a user-defined set of parameters, carry out diagnostic tests, and calibrate modules. It can switch the base station's operating mode from Run to Standby and back again and even reset it or upgrade its firmware. It also lets you edit Task Manager statements, which enables you to customise the T8000 for individual applications. See Task Manager.
  • The Service Kit can connect to the base station directly using a cable or remotely via dial-up modems or radio modems.
  • The channel table doesn't just define Tx and Rx frequency and CTCSS frequency. It specifies a whole range of operational parameters. Because there are so many configurable parameters, most are grouped into profiles. There are two kinds of profiles: channel profiles and signalling profiles. See Profiles.
  • The Service Kit provides a simple and a complex method for configuring the channel table. The simple way uses default profiles and lets you edit items directly in the table. The complex way is available if the base station has an Advanced Profiles license. You define a set of custom profiles then select the right ones for each channel.
  • Custom profiles make it possible for you to assign up to 16 subtones to any channel, meaning that no tone panel is needed for most applications.
  • The Service Kit can configure signal paths. In effect this means that you can customise `virtual backplanes'. These are profile-based, so that the base station can change its virtual backplane in the middle of operations, for example to change from base station to repeater operation, simply by changing to a channel with a different custom profile.


Operation Modes

A base station can operate in three different modes. For normal operation, it is in Run mode. If you want to program the base station or carry out diagnostic tests on it, it must be in Standby mode. If you want to calibrate the base station or update its firmware, it must be in Download mode. However, you don't have to remember to change mode; the Service Kit will alert you when required.

The Mode icon on the toolbar displays the current mode of the base station you are logged in to. It is in the form of a traffic light:

  • Green means Run mode
  • Orange means Standby mode
  • Red means Download mode

The status bar also displays the current mode.


Channels

A T8000 base station operates on one channel (transmit and receive frequency pair) but can store up to 255 different channel configurations. These channel configurations are generally referred to as channels. Each channel defines a transmit and receive frequency pair, a transmitter power output, a bandwidth, and many other configurable items. These channels are stored in a channel table.

Current Channel

One channel is the current channel; this defines exactly how the base station operates. The Service Kit specifies one channel as the default channel. When the base station starts up for the first time, it selects the default channel is the current channel unless it is configured for external channel selection. While the base station is operating, Task Manager can select a different channel as the current channel in response to particular circumstances. If the base station is reset, its current channel is the same as before the reset. In other words, resetting the base station does not cause it to change channel.

Channel Table

It is a good idea to maintain a single channel table for your system. This means that you can use the same configuration file for all base stations. To configure a new or replacement base station, all you need to do is copy the standard configuration file and select a different default channel. This simplifies maintenance. Alternatively, you can use the Export and Import functions to copy channel definitions from one base station to another.

See also

Profiles

Operating Frequency


Profiles

Profiles are groups of configuration settings. They simplify the task of configuring channels. The base station has a large number of configuration settings, but most of these will be the same for all channels. Instead of configuring all options many times over for each channel, you configure them once in a profile. Then you assign the profile to the appropriate channels (if you are working with the default profile, this is already done for you).

Two profiles group almost all configuration settings; the channel profile (which defines the signal path for example) and the signalling profile (which defines the subaudible signalling).

The way you work with profiles depends on the base station's features.

Using Default Profiles

If the base station only has a basic license, only default profiles are available. You define most configuration settings globally in the two default profiles, then you define the rest individually for each channel in the channel table.

Using Custom Profiles

If the base station has the advanced profiles license, additional options are available and you can create a set of custom profiles. To configure an individual channel, you assign custom profiles to it. The only items you configure in the channel table are the transmit and receive frequencies.


Operating Frequency

A base station operates on a defined pair of frequencies, receiving on one and transmitting on the other. This frequency pair is specified by the current channel.

Selecting a channel

Select Configure > Base Station > Channel Table and find the channel with the frequency pair you want. Then select Configure > Base Station > General and choose that channel as the default channel. The default channel is the current channel unless Task Manager has changed the channel or the channel is externally selected.

Viewing current operating frequencies

To see what the current channel is and what frequencies the base station is operating on, select Monitor > Monitoring > Base Station.

External selection

Some applications may require the external selection of channel frequencies. In this case, you must enable and configure this in Configure > Base Station > System Interface. You can check the equipment's channel selection and test the channel select lines in Diagnose > Reciter > Digital IO. If the external equipment selects channel number 0, the default channel number is used.


Power Saving

The T8000 base station can save power by switching parts of its circuitry off. The default license gives a limited ability to reduce the current that the base station uses, but the low current option lets you configure three different power saving modes. This gives you great flexibility and makes it possible to get the power savings needed with a minimum sacrifice in quality of service.

Note: Power saving only occurs when the base station is battery-powered. It is not available if the PMU supplies more than one base station.

Power saving modes

A base station with a low current license can operate in Normal, Sleep, and Deep Sleep modes. These modes are enabled and configured in the Service Kit. The base station begins in Normal mode. If the base station is idle (receives no valid signal) for a defined length of time, it switches to Sleep mode, which saves more power. If the base station is idle for a further defined length of time, it switches to Deep Sleep mode, saving even more power. When it receives a valid signal, it reverts to Normal mode.

Both receiver and transmitter contribute to the power saving.

The receiver is switched off, then periodically switched back on. If it detects a valid signal, it stays on, otherwise it is switched off again. The radio user needs to wait after pressing PTT before speaking, to ensure that the receiver is on.

The power amplifier is always off when the base station is not transmitting. In power saving, other parts of the transmitter circuitry are switched off as well. The longer the Tx keyup time you select, the more circuitry is switched off.

Quality of service

The more power saved, the greater the effect on the quality of service. At the beginning of a call, the radio user needs to press PTT and wait before speaking, to give enough time for the receiver to come back on and for the transmitter to key up.

Configuring power saving

You configure power saving when you define the channel profile that the base station will use. For each mode, you specify Rx cycling (how long the receiver stays switched off before it wakes up to check if there is a valid signal) and the Tx keyup time. In addition, you specify how long the base station must be idle before it enters Sleep and Deep Sleep modes. The exact level of power saving varies depending on the model of base station and the pattern of traffic.


Task Manager

Task Manager is the brains of the base station. It monitors a large set of firmware flags that reflect the base station's operational state. When a flag changes, Task Manager takes intelligent action based on a list of tasks that you can modify and add to. Each task defines what you want the base station to do in a particular situation.

For example, when battery power is low, Task Manager can tell the transmitter to reduce its power output. When particularly significant alarms occur, Task Manager can tell the base station to email a status message to the technician. If a line-connected base station's line fails, Task Manager can tell the base station to function as a talk through repeater.

Task Manager is an optional additional layer of control. It is only active while the base station is in Run mode. It lets you override aspects of the usual channel configuration or switch to another configuration. Task Manager is essential for sending alarms to the Alarm Center, for Emailing alarms and status messages, and for turning the over-the-air and over-the-line alarms on and off.

The base station comes with a set of pre-defined tasks. Some users will only work with them, while more ambitious system integrators will want the power and flexibility to define their own tasks. This is done from the Service Kit and programmed into the base station. In this way, Task Manager makes it possible for you to customise the base station firmware for a particular application, often doing away with the need for external equipment. A base station with a basic license can have up to 40 enabled Task Manager statements; for more complex requirements, you need the advanced profiles license which gives you full Task Manager features.

Viewing Tasks

To view existing statements and define new ones, go to a Task Manager form. You can do this from various parts of the Configuration navigation tree. The form shows you general tasks, alarm tasks, or tasks associated with a particular channel profile or signalling profile, depending on where you access it from. You can always navigate to see any part of the task list.

Monitoring Task Manager Activity

To see what Task Manager has been doing, select Diagnose > Task Manager > Trace Buffer. To see the current state of many parameters that Task Manager monitors, select Monitor > Monitoring > Base Station: System Flags. These flags have a default state and are only altered when Task Manager executes a statement.

Disabling a Task

You can disable any statement in the task list. This is an easy way to stop the Task Manager doing something you don't want it to do. When the base station is in Standby mode, Task Manager is disabled and no tasks are executed.

Tasks, Statements, and Comments

Task Manager acts only on the basis of the tasks in its task list. A task is rather like computer code, consisting of statements in the form:

IF < input> THEN <action>

When the IF part of the statement becomes true, the THEN part is executed. You can add comments to these statements that indicate what the task is for. They are just like comments in computer code and have no effect on Task Manager processing. There are also IF NOT statements; when the input of such a statement becomes false, the THEN part is executed.

A statement can only have one input and one output. However, you can create combined inputs and outputs and add them to the list to choose from when creating a statement. Combined inputs are similarly either true or false; you specify how the various flags are to be combined using Boolean logic.

You can also use counters, timers, and your own flags when defining statements.

Every 10 ms, the Task Manager reads the current state of all software flags, calculates its actions, then instructs the base station to perform them.


Remote Connections

tbd


Alarms

The base station monitors a large number of conditions. When a condition rises above or falls below a defined limit, the base station generates an alarm and stores it in its alarm log. The alarm log contains the 50 most recent alarms.

The base station can also notify you that an alarm has occurred, using one of its alarm notification methods.

Most alarms indicate a fault condition, but some are generated by conditions external to the base station, for example a mains power failure or the loss of RF input.

See Also

Monitoring Alarms from the Service Kit

Alarm Notification


Monitoring Alarms from the Service Kit

When you log in to a base station, the Service Kit polls the base station periodically for alarms. If an alarm is detected, the Alarms icon on the toolbar flashes red. If the Alarms icon stops flashing, the Service Kit has detected that the alarm was cleared. The Current Status form no longer displays the alarm.

To monitor alarms

  1. When the Alarms icon flashes, click it. This opens the Current Status form.
  2. Look for any red LEDs. A red LED means that the alarm is on.

    Tip: To view the base station's alarm log, select Monitor > Alarms > Reported Alarms.

    Note: Most monitoring panes have an Alarm Status LED, which indicates whether the module has any active alarms.


Alarm Notification

The base station is able to notify you of any alarms in a variety of ways.

  • Transmitting pip tones
  • Sending pip tones over the line
  • Sending the alarm log to a PC running the Tait Alarm Center software.
  • Emailing a status message, which contains the alarm log and the current state of monitored parameters

These methods are configured in the Service Kit but enabled by Task Manager action. As Task Manager has an input for each alarm, you can create Task Manager statements so that the base station responds to alarms intelligently. This response can vary depending on the alarm and you can optimise it for your particular system.

These notification methods need to be set up and configured. Choose carefully which ones to implement, based on the available resources and your policy for remote monitoring. See TN-***, Remotely Monitoring and Configuring the Tait T8000, for details.

To set up an alarm notification method, you first provide the physical link, if needed (for example modems and a telephone line). Then, using the Service Kit, you configure the method and define Task Manager statements that enable the method under the circumstances you want. You can enable the method:

  • When the base station is started or reset
  • When any alarm occurs
  • When particularly important alarms occur


System Interface

The base station reciter can be fitted with one of a variety of system interface boards. This makes a variety of different inputs and outputs available for different applications.

In Configure > Base Station > System Interface, you must tell the base station which system interface board is fitted. You can also configure some of the inputs and outputs and view the current pin assignments.


Feature Enabler

Overview here. tbd


Subaudible Signalling

tbd

Include How to configure CTCSS/DCS, Reminder tones and disabling audio.


Part B Getting Started

Getting Started

Establishing a Service Kit session with a base station is a two-stage process. First you connect to the base station system (BSS). This sets up communications with the front panel and provides the Service Kit with information about the modules of the BSS. Then you log on to the base station at a selected user access level, using the base station's password for that access level.

Once you are logged on, you can monitor the base station and its modules, and carry out diagnostic tests. Before you can view a base station's configuration settings, you must read them in.

Topics

These topics are designed to help new Service Kit users get started; they cover essential tasks with a minimum of detail.

  • Connecting and Logging On
  • Monitoring the Base Station
  • Displaying Configuration Settings
  • Making Basic Configuration Changes
  • Diagnosing Problems


Connecting and Logging On

The following instructions are aimed at new Service Kit users. Follow them to connect and log on to a base station. If you have difficulties, see Connecting to a Base Station System and Logging On to a Base Station for more details. The instructions describe how to connect via a direct link to the front panel. Alternatively, you can connect remotely if the base station has a remote control and diagnostics license and a connection is set up.

To establish a direct connection and log on to a base station

  1. If the Service Kit is not already running, select Start > Programs > T8000 Service Kit > T8000 Service Kit.
  2. Connect a straight through modem cable from your PC to the BSS.
  3. If you haven't already defined a direct connection, do so. See Adding a Connection for details.
  4. Connect to the BSS as follows.
    1. On the toolbar, click the Connect icon. The Connecting dialog box appears.
    1. In the Connect to box, select a connection (this must be a Direct connection type) from the drop-down list.
    2. Click OK. If the Service Kit establishes communications with the BSS, the Log On dialog box appears.
  5. Log on to a base station in the BSS, as follows.
    1. In the Base Station column, select one of the base stations in the BSS.
    2. Select an access level.
    3. Enter the password for that access level and for the base station you want to log on to.
    4. Click OK to log on and close the dialog box. The status bar shows the BSS you are connected to and the base station you are logged on to.

You can now monitor the base station, conduct diagnostic tests, and read in and modify the base station's configuration information.

See Also

Connecting to a Base Station System

Logging On to a Base Station

Logging Off and Disconnecting

Monitoring the Base Station

Displaying Configuration Settings

Diagnosing Problems


Monitoring the Base Station

Once you are logged on to a base station, you can monitor various aspects of it.

To view a monitoring form

  1. On the toolbar, click the Monitor icon. The navigation pane displays a menu of options.
  2. In the navigation pane, click a subheading (for example `Reciter').

    The main part of the Service Kit window displays information relevant to the subheading.

Options
  • To view current alarm status, select Alarms > Current Status.
  • To view information about the modules belonging to the base station, select an item under Module Details.
  • To view information about the way the base station is currently operating, select an item under Monitoring.
  • To view operational data that the base station has recorded, select an item under Data Logging.

See Also

Monitoring


Displaying Configuration Settings

From the Service Kit, you can view a base station's configuration settings. This information must be read in after you have logged in to the base station.

To display configuration settings

  1. Click on the Read icon.
  2. If you are asked whether you want to open a file, click Yes; the file contains some or all of the base station configuration and will be read more quickly than the data in the base station.

    The Reading dialog box displays progress.

  3. On the toolbar, click the Configure icon. The navigation pane displays a menu of options.
  4. In the navigation pane, click a subheading (for example `General'); the main part of the Service Kit window changes.

In this way, you can view any aspect of the base station's current configuration.

See Also

Making Basic Configuration Changes

Configuring the Base Station

Configuring Channels


Making Basic Configuration Changes

After you have read in a base station's configuration settings, you can change them to suit your system. The following instructions aim to get you started. They show you the main changes to make in order to configure the base station as a simple repeater.

To configure the base station

  1. Log in to the base station, if you aren't already.
  2. Read in the base station's configuration information or select File > New and create a new configuration from a suitable template.
  3. Name the base station.
    1. Select Configuration > Base Station > General.
    2. In the Identification area, enter a suitable name.
    3. Click OK.
  4. Configure the base station as a talk-through repeater.
    1. Click Channel Profile. The Edit Channel Profile dialog box appears.
    2. Select the Signal Path tab.
    3. In the Talk through repeater box, select A-A.
    4. Click OK.
  5. Configure the channel that the base station will use.
    1. Select Configuration > Base Station > Channel Table. If there is more than one channel in the table, pick the one that you will work on.
    2. Enter the frequencies that the base station will operate on into the Receive Frequency and Transmit Frequency columns.
    3. Specify the subtones that the base station will recognise when receiving and use when transmitting into the Receive Signalling and Transmit Signalling columns.
    4. Set the RF output power level in the Transmitter power output column.
    5. Set the required bandwidth in the BW column
    6. Click OK.
  6. Set the default channel.
    1. Select Configuration > Base Station > General.
    2. In the Default channel configuration area, select the channel you configured from the drop-down list.
    3. Click OK.
  7. Select File > Save to save the configuration stored on disk for this base station.
  8. Click the Mode icon and put the base station in Standby mode.
  9. Click the Program icon to program the configuration changes into the base station. The Programming dialog box appears and indicates progress.

    When all the configuration information has been downloaded, it is programmed into the base station. When the Service Kit receives confirmation of this, it closes the dialog box. If the programming fails for any reason, a pop-up message alerts you to this.

  10. Return the base station to Run mode.

See Also

Creating a New Configuration

Reading in a Configuration

Saving a Configuration

Programming a Base Station


Diagnosing Problems

From the Service Kit, you can carry out a variety of tests on aspects of the base station you are logged on to. These can help you diagnose any problems you may be experiencing. The base station must be in Standby mode. This takes it out of active service.

To carry out a diagnostic test

  1. On the toolbar, click the Diagnose icon. The navigation pane displays a menu of options.
  2. In the navigation pane, click a subheading (for example `Self Tests'); the main part of the Service Kit window changes to reflect your selection.
  3. Click on the Mode icon and select Standby mode.
  4. Click the Start Test button. View the results of the test on-screen.
  5. If necessary, click the Stop Test button.
  6. Return the base station to Run mode.

See Also

Diagnosing


Part C Basic Tasks

Basic Tasks

Before you can get down to the real work on a base station, you need to know how to carry out basic tasks, such as setting up a connection, changing the base station's mode, or reading in configuration information.

This part explains in detail how to do these and other preliminary tasks.

Topics
  • Using the Service Kit
  • Setting Service Kit Options
  • Setting Up and Configuring Connections

  • Connecting to a Base Station System
  • Logging On to a Base Station
  • Changing Base Station Mode
  • Working With Base Station Configurations
  • Logging Off and Disconnecting

  • Changing Base Station Passwords
  • Upgrading Base Station Firmware
  • Upgrading the Service Kit


Using the Service Kit

When you start the Service Kit, a splash screen appears, followed by the application window.

By default, the Monitor icon on the toolbar is selected and the navigation pane gives you options for monitoring. When you click an item in the navigation pane, the main pane displays the corresponding form.

See also

Toolbar

Status Bar


Toolbar

The toolbar gives you quick access to commonly used menu commands. For example, instead of selecting Base Station > Configure, you can click the Configure icon on the toolbar.

Open

Lets you open a configuration file that is stored on the Service Kit computer.

Save

Saves the open configuration. If you opened an existing configuration file or have already saved the configuration to a file, the Service Kit saves straight away, without displaying a dialog box.

Print

Lets you select parts of the current configuration and print them. See also Printing Configuration Data.

Connect

Lets you select a BSS to connect to. When you are connected, the button changes to Log On and you can log on to a base station in the BSS. The button can also display Log Off and Disconnect. See also Connecting to a Base Station System and Logging On to a Base Station.

Read

Reads the configuration information of the base station you are logged on to. If a configuration file contains that information, you are given the option of saving time and loading that instead. See also Working With Base Station Configurations.

Program

Updates the base station's configuration information with the information that the Service Kit has. The base station must be in Standby mode. See also Working With Base Station Configurations.

Mode

Lets you change the base station's operation mode. The traffic light indicates the current mode. See also Operation Modes.

Monitor

Lets you monitor the base station. See also Monitoring the Base Station.

Configure

Lets you view and edit the base station's configuration. You must be in Standby mode and have full access to the base station to do this. See also Displaying Configuration Settings.

Diagnose

Lets you carry out diagnostic tests on the base station. See also Diagnosing Problems.

Calibrate

Lets you re-calibrate the base station. You must be in Download mode.

Alarms

Flashes when the Service Kit receives an alarm from the base station it is logged in to. Click on it to display the current alarm status of the base station. See also Monitoring Alarms.

Help

Opens online Help for the form you are currently in.


Status Bar

The status bar provides you with useful information that supplements the display in the main pane.

Miscellaneous messages appear at the left. They include details of the currently selected menu command or toolbar button. Three panels in the status bar contain service kit requests, information about the BSS that the Service Kit is connected to and the base station that it is logged on to, and the mode that the base station is currently in.


Setting Service Kit Options

The Options dialog box (Tools > Options) lets you indicate your preferences for miscellaneous options in the way the Service Kit operates.

Temperature

The Temperature area specifies whether the Service Kit displays temperatures in Celsius or in Fahrenheit.

Default file locations

The Default file locations area specifies where the Service Kit expects you to save configuration files and log files. (During installation, you are asked to specify a Configuration directory.) When you attempt to save a file that has not already been saved, a dialog box opens with the default folder selected as the location for you to save the file. You can always select a folder other than the default.

To modify a default location

  1. Click on the button to the right of the appropriate box.
  2. Select a folder using the dialog box that pops up.


Setting Up and Configuring Connections

The Connections dialog box (Tools > Configure Connections) displays a list of user-defined connections. It lets you add new connections or edit existing ones. When you connect to a BSS, you select one of the connections that you have created or edited.

There are different connection types, reflecting the different ways that the Service Kit can be physically connected to a BSS. (For information on remote connections to a BSS, see ***TNxxx.) You can set up one connection for directly connecting to any BSS but you need a different connection for each remotely connected BSS. If a BSS has more than one remote connection option, there needs to be a connection for each option.


Adding a Connection

The New Connection dialog box lets you define new connections and add them to the list of available connections. You need to set up one connection for direct connections to any BSS and a connection for each BSS that is installed with a dial-up modem or a radio modem.

See Also

Adding a Direct Connection

Adding a Modem Dialup Connection

Adding an Over the Air Connection


Adding a Direct Connection

  1. Select Tools > Configure Connections. The Connections dialog box appears.
  2. Click New. The New Connection dialog box appears.
  3. In the Name box, enter a suitable name, for example `All'.
  4. In the Connection type box, select Direct.
  5. In the Serial Port No box, select the port on your PC that will be used by the cable from the BSS.
  6. In the Baud rate box, select a suitable communications speed; for a direct connection, this can be 115,200 Baud. The other settings in the Connection Setup box are fixed for this connection type.
  7. If desired, alter the polling rates from their default. These specify the interval from one Service Kit poll of the base station and another.
  8. Click OK. The new connection now appears in the Connections dialog box.


Adding a Modem Dialup Connection

For each BSS that is fitted with a dial-up modem, you need to define a connection.

  1. Select Tools > Configure Connections. The Connections dialog box appears.
  2. Click New. The New Connection dialog box appears.
  3. In the Name box, enter a suitable name. The name should specify the BSS and the connection type
  4. In the Connection type box, select Modem dialup.
  5. Click Configure and configure your PC's modem. The modem needs to be set to ***details here. If you need instructions, consult your operating system documentation.
  6. In the Phone number box, enter the telephone number of the line to the BSS's dial-up modem.
  7. If you need to use the country code and the area code to access the BSS, provide this information as follows.
    1. In the Area code box, enter the BSS's area code.
    2. In the Country code box, select the BSS's country code.
    3. Select the Use country code and area code check box.
  8. Set polling rates appropriate to the speed of your connection. The Alarms and Monitoring boxes specify the interval from one Service Kit poll of the BSS (***or base station?) and another.
  9. Click OK. The new connection now appears in the Connections dialog box.


Adding an Over the Air Connection

For each BSS that is fitted with a radio modem, you need to define a connection.

  1. Select Tools > Configure Connections. The Connections dialog box appears.
  2. Click New. The New Connection dialog box appears.
  3. In the Name box, enter a suitable name. The name should specify the BSS and the connection type
  4. In the Connection type box, select Over the air.
  5. In the Modem protocol box, select T6000 if the radio modem connected to the PC is a Tait T6000. If it is a Tait SlimTOP data radio, select CCDI2. The equipment connected to the BSS must have the same setting.
  6. In the Serial Port No box, select the port on your PC that the radio modem is connected to.
  7. If the radio modem is a Tait T6000, define the other communications settings. (These settings are fixed for a SlimTOP data radio.)
  8. Set polling rates appropriate to the speed of your connection. The Alarms and Monitoring boxes specify the interval from one Service Kit poll of the BSS (***or base station?) and another.
  9. Click OK. The new connection now appears in the Connections dialog box.


Editing a Connection

You may need to modify the settings of an existing connection, for example if a telephone number changes or if the link is too slow for the polling rates you selected.

To edit a connection

  1. Select Tools > Configure Connections. The Connections dialog box appears.
  2. Click on a connection, to select it.
  3. Click Edit. The Edit Connection dialog box appears.
  4. Modify the setting as desired. For information about individual settings, see Adding a Connection.
  5. Click OK.


Connecting to a Base Station System

Before you can work with a base station, you must connect to its base station system (BSS). The Connecting... dialog box (Base Station > Connect) enables you to do this.

  1. Connect the Service Kit physically to the BSS. (For a remote connection, this should already be in place; see TN*** for instructions.) For a direct connection, follow these steps.
    1. Connect one end of an ordinary (straight through) RS 232 cable to the programming port on the BSS's front panel. This cable is supplied as part of the standard Service Kit (T8K0P00) and is available separately (T8K0P10).
    2. Connect the other end to a serial port on your computer. The serial port to use is the one specified when the direct connection was set up and configured.
  2. Select Base Station > Connect, or click the Connect icon on the toolbar. The Connecting dialog box appears.
  3. In the Connect to box, select a named connection from the drop-down list. Each named connection specifies a BSS and a connection type (direct, modem dial-up, or over the air). It also configures that connection. For more information, see Adding a Connection.
  4. Click OK. The Log On dialog box appears, so that you can log on to a particular base station.

See Also

Adding a Connection

Logging On to a Base Station

Logging Off and Disconnecting


Logging On to a Base Station

Once the Service Kit is connected to a BSS, the Log On dialog box appears so that you can log on to one of its base stations. Logging on establishes a communications session with the base station. Data can go back and forth in this session, for example to display monitoring information or to carry out a diagnostic test. However, a further step is necessary before you can work with configuration information; you must read the base station or open a configuration file, even to view the configuration panes.

The Log On dialog box displays information about the BSS that is relevant when you are about to log on to a base station in it.

Logon Details

The Logon Details area lets you enter information for the log on.

Access Level

Defines the access level for the log on. An access level determines your access to the base station and your ability to carry out different functions. If your access level is `User', what you can do depends also on the base station's access profile. The Administrator configures this.

This Access Level... | Lets You...
User | Carry out the Service Kit functions that the administrator has selected for the base station in Configure > Security > Access Profiles. The administrator can specify one set of functions for a direct connection and another for the different kinds of remote connection.
Administrator | Carry out all Service Kit functions on the base station, including changing passwords for access to it.
Read only | Use the Service Kit to view information about the base station but not to change it or carry out any actions. You cannot change the base station's configuration or carry out any diagnostic tests.

Password

Enter the password into this box. This is the password for the base station and for the access level you selected; each base station has its own password set. The administrator sets passwords.

Available modules

The Available modules area displays information about the modules in the BSS. The PMU serial number is displayed in its own box, because it serves the whole BSS. Information about the other modules is displayed in a table with one row for each base station. Each module has an LED; this indicates whether it has an active alarm. If an LED is red, the module has an active alarm. If it is green, there are no active alarms. There is also an alarm alongside the base station name; this indicates whether the base station as a whole has any alarms.

Base Station

Displays the name of the base station that was given in Configure > Base Station > General: Identification area.

Number

The number of the base station's reciter. ***explain. A role in configuration? master of bus?

Reciter S/N

The serial number of the reciter.

PA S/N

The serial number of the power amplifier.

See Also

Changing Base Station Passwords


Changing Base Station Mode

Some Service Kit operations can only be carried out when the base station is not in its normal operating mode.

To change the base station's operation mode

  1. Click the Mode icon on the toolbar. Alternatively, select Base Station > Change Mode.
  2. Select the mode you want.
n You must have access rights to make the change
n To go to Download mode, first select Standby mode
n To return from Download mode to Run mode, first select Standby mode. The base station resets, then starts up in Standby mode
  3. Click OK. If the base station's access profile does not give you the right to change mode, a message indicates this.

See Also

Operation Modes


Working With Base Station Configurations

Base stations are programmed with a whole set of configuration settings. Using the Service Kit, you can view these settings, change them and program them back into the base station. You can also create a new set from a template or save a set to a file.

  • Configuration works differently from other Service Kit functions. If you want to monitor the base station, you simply log in to it; but if you want to view its configuration information, you must also click the Read icon.
  • Programming the base station with a new configuration can only be done when the base station is in Standby mode.
  • You can obtain configuration information from a base station, from a configuration file, or from a configuration template.
Ways of working with configurations

There are several different methods that you can use to create and maintain base station configurations

  • Read in the initial configuration information, modify it, and program in the changes.
  • Create a template from a base station's configuration and use that to create other configurations. Then use File > New to create configurations for other base stations.
  • Export one base station's channels or task list and import it into other base stations.

See Also

Making Basic Configuration Changes

Creating a New Configuration

Reading in a Configuration

Saving a Configuration

Programming a Base Station

Creating a Configuration Template


Creating a New Configuration

You can create a new base station configuration from scratch, modify it, then save it as a new configuration. This means that you can define a configuration without being connected to a base station. This is a good way to learn how to use the configuration part of the Service Kit program. It also means that you can do all the work of configuring before a base station is delivered. When it arrives, you just open the configuration file and program it into the base station. (This method completely overwrites the base station's current settings.)

To create a new configuration

  1. Select File > New. The Select Template File dialog box appears.
  2. Select an appropriate template (*.t8t file) from the set of templates in the Template folder. This template will provide a set of default settings. Templates can be provided by Tait or created for your system or organisation.
  3. Click the Open button. This confirms your choice of template, opens the template file, and closes the dialog box.

    The title bar displays `Untitled configuration', indicating that you have not given the configuration a name and saved it.

You can now click the Configure icon to view the current configuration settings, make any configuration changes, and save the configuration settings to a file. You can also program a base station with these settings.


Reading in a Configuration

Before you can view a base station's configuration settings, you must read in those settings. If these settings were saved to a file, they also exist on the Service Kit's hard disk. The Service Kit can load the settings from file instead of reading them in from the base station. This is much faster if you are remotely connected to the base station.

  1. Connect to the BSS and log in to the base station.
  2. Click the Read icon. If the Service Kit finds a configuration file for that base station, it asks you the following question.

    The configuration file "sample.t8c" already contains information about this Base Station. Do you want to open it?

  3. Click Yes. This loads configuration information from a disk file instead of from the base station. Internal checks ensure that the information on file is the same as the information in the base station. If some parts of the configuration information in the base station have been updated after the file was saved, these parts will be read in from the base station.

    The Reading dialog box displays progress and gives you the option of cancelling the process. The title bar displays the name of the configuration file. Any changes you make and save will be saved to this file. (If you answered `No', the title bar displays `Unnamed configuration' and you will need to specify a file name when you save your changes.)

You can now click the Configure icon to view the current configuration settings, make any configuration changes, and save the configuration settings to a file. You can also put the base station into Standby mode and program it with these settings.


Saving a Configuration

It is a good idea to regularly save your current configuration settings as you work on them. You should also save the configuration settings to file when you program them into a base station. In this way, you have a backup. This can be used to quickly load the settings if you need to read them again. It is also available in case the base station fails or its memory becomes corrupt.

The first time you save a base station's configuration settings, the Service Kit asks you to provide a file name. After that, whenever you select File > Save, the Service Kit saves the configuration settings without the need for further input.

To save configuration settings

  1. After making any changes to configuration settings, click OK to confirm them.
  2. Select File > Save or click the Save icon.

    If the configuration settings are already named, they are saved. If not, the Save Configuration File dialog box appears and you must continue as follows.

  3. Enter a name for the configuration file into the File name box.
  4. If you want to save the configuration file somewhere other than in the Configurations folder, alter the default path.
  5. Click the Save button. The name you provided appears on the title bar.


Programming a Base Station

To change a base station's configuration settings, you must make the changes using the Service Kit, then program them into the base station. Programming only affects the settings that you can view after clicking the Configure icon.

To program a base station

  1. Log on to the base station, if you aren't already logged on.
  2. Click the Mode icon and put the base station into Standby mode.
  3. Ensure that the current configuration settings on display in the Service Kit are as you want them. Click OK to confirm this.
  4. Select File > Save to create a copy of the configuration settings as a file on the Service Kit's hard disk.
  5. Click the Program icon. The Programming dialog box appears and indicates the progress being made. If the download is not completely successful, programming is aborted and a message tells you this (open the file you saved and try again later). The Programming dialog box only closes after the Service Kit has received a message indicating that the base station has successfully received all the configuration settings and programmed them in.

Important: When you program a base station, any changes to the power management unit configuration will affect the operation of the power management unit, which supplies the other base station in the BSS. That base station's operation may be interrupted or otherwise affected.

  6. Return the base station to Run mode. You can do this using the Mode icon or by selecting the appropriate option when you log off or disconnect.


Creating a Configuration Template

The base station comes with templates that define configuration settings for different applications. When you create a new configuration, the template you select provides the configuration with sensible default settings. This enables you to concentrate on the main things that need to be changed.

You may want to add your own template to the list. This enables you to quickly create a configuration with the defaults you want. These could be settings common to all base stations in a system or settings that a system integrator generally uses.

To create a configuration template

  1. Edit the settings in a configuration file till they are as you want them. Click OK.
  2. Select File > Save to save the file.
  3. Select File > Save as Template. The Save Configuration Template dialog box appears.
  4. Enter a name for the template.
  5. Click on the Save button. The Service Kit saves the configuration settings to a template file, giving it the name you entered, adding the template extension (.t8t) and saving it in the Template folder.

See Also

Upgrading Base Station Firmware

Upgrading the Service Kit


Changing Base Station Passwords

Each base station stores its own password for each of the three access levels. If you log in to the base station as Administrator, you can change any of these passwords. While the base station is password protected, the Service Kit is not.

Important: Take care not to lose the Administrator password.

To change a password

  1. Select Base Station > Change Passwords, then select the appropriate sub-option for the password you want to change. The Change User Password dialog box appears.
  2. Enter the Administrator password.
  3. Enter the new password.
  4. Re-enter the password in the next box.
  5. Click on OK to change the password and close the dialog box.


Logging Off and Disconnecting

When you have finished working with a base station, select Base Station > Log Off to log off or Base Station > Disconnect to disconnect from the BSS. Logging off lets you immediately log on to any other base station in the BSS.

If the base station is in Standby or Download mode, you are asked to confirm that you want to proceed. This is to ensure that you do not inadvertently leave the base station out of service when you end a Service Kit session.

Select No to cancel logging off or disconnecting, change the base station's mode back to Run, then log off or disconnect.


Dealing With Protocol Version Discrepancies

The Service Kit and the base station will talk the same language if the Service Kit software is updated whenever the base station firmware is upgraded, and vice versa. In real life, however, discrepancies can occur. If the Service Kit is newer or older than the base station firmware, there is a protocol version discrepancy.

If the discrepancy crosses a full version barrier, the older item must be upgraded (for example, one has Version 1.2.5 and the other has 2.0.0.)

If the discrepancy is within a full version, you can still read the configuration information and program new settings in. If the base station firmware is older, it may not support a configuration setting displayed in the Service Kit. If the Service Kit is older, it may not be able to display or program a configuration setting.


Service Kit Protocol Version is Older

tbd Help for Alert message.


Base Station Protocol Version is Older

tbd. Help for Alert message.


Upgrading Base Station Firmware

***Introductory paragraph here.

To upgrade a base station module's firmware

  1. Using a direct connection, connect to the BSS and log in to the base station as Administrator.
  2. Using the Mode icon, put the base station in Download mode.
  3. Select Tools> Upgrade Firmware. The Upgrade Firmware dialog box appears.

This dialog box displays the version numbers of firmware in the base station and on disk. The Status column compares the versions for you and displays `New version provided' if the version on disk is newer than that in the base station.

  4. Click on a module with the status `New version provided', then click the Select Upgrade File button to select it for upgrading.
  5. Click on the Upgrade Now button. The Service Kit upgrades the module. When this is successfully completed, a message appears asking you to press OK and restart the base station.

    Note: When the power management unit is being upgraded it can still provide power to the entire BSS, but it cannot control its fan or provide alarms, monitoring, or diagnostic information.

  6. Click OK.


Upgrade Options

If you attempt to upgrade a base station module with an earlier version of firmware, you are asked to decide how you wish to proceed. This is to prevent you from inadvertently replacing good firmware with an older version. Three buttons give you different options.

Upgrade

Click the Upgrade button to replace the newer version on the module with the older version on disk.

Skip

Return to the Upgrade Firmware dialog box so that you can select a different module to upgrade.

Cancel

Abandon the attempt to upgrade the base station's firmware.


Upgrading the Service Kit

If standard Task Manager inputs or actions or additional system interface board options are added to base stations, the Service Kit cannot recognise them until it is upgraded.

To upgrade the Service Kit

  1. Select Tools > Upgrade Service Kit. The *** dialog box appears.
  2. alkj aldf lkj
  3. lljlk kl


Part D Monitoring

Monitoring

The Service Kit lets you monitor the T8000 base station. It can provide information about each module, show you whether any alarms are active, list recent alarms, and monitor the level of incoming and outgoing signals. Finally, the Service Kit can display the base station's log. Monitoring can take place while the base station is in Run mode; it has no effect on base station operation.

To monitor a base station, log in to it, press the Monitor icon on the toolbar, then select an item from the navigation pane.

Topics
  • Module Details
  • Operational Information
  • Data Logging


Module Details

The Service Kit can display information about the reciter, power amplifier, and power management unit of the base station you are logged in to. Click the Monitor button, then choose one of the items under the heading Module Details. The form that appears gives you details about the module such as its frequency range and firmware version. To monitor the way the base station is operating, see Operational Information.

See Also

Viewing Reciter Information

Viewing Power Amplifier Information

Viewing Power Management Unit Information


Viewing Reciter Information

The Reciter form (Monitor > Module Details > Reciter) lets you view information about the Reciter module of the base station you are logged onto. Use it to confirm exactly what it is that you are dealing with.

The form has several read-only fields, an LED indicating whether there are any reciter alarms, and an area that gives version information.

Module

The name of the module (reciter) followed by a number. This number is set by the rotary switch on the front of the reciter and plays a role in communications within the BSS.

Type

The Tait product code and name for the type of reciter.

Band

The RF frequency range that the reciter is type approved to operate in.

Receiver setting

The switching range of the receiver in its current calibration.

Exciter setting

The switching range of the exciter in its current calibration.

Interface module

The system interface card that the reciter is fitted with.

Alarm Status

Indicates whether the reciter currently has any alarm conditions. If the LED is green, there are no active reciter alarms. If the LED is red, the text box displays `Alarms active' and there is at least one active alarm. To see which alarm is active, select Monitor > Alarms > Current Status.

Serial number

A unique identifier assigned to the reciter in the factory.

Versions

The Versions area displays version numbers for aspects of the reciter.

Hardware

The version number of the reciter's hardware.

Firmware

The version number of the firmware that the reciter currently uses and the date when the reciter was upgraded.

Protocol

The version number of the protocol that the reciter uses to communicate with the Service Kit. A protocol names all the parameters that you can monitor or configure. If the Service Kit uses an older version, select Tools > Upgrade Service Kit to enable the Service Kit to access all the information in this data definition.***how do you tell which protocol version the SK supports? **xref to topic.

Calibration last updated

Indicates when the reciter was last calibrated.

See Also

Monitoring the Reciter


Viewing Power Amplifier Information

The Power Amplifier form (Monitor > Module Details > Power Amplifier) lets you view information about the power amplifier module of the base station you are logged onto. Use it if you need to confirm exactly what it is that you are dealing with.

Module

The name of the power amplifier. This non-editable name is used internally to identify the power amplifier.

Type

The Tait product code and name for the type of power amplifier.

Band

The RF frequency range that the power amplifier is type-approved to operate in.

Power

Specifies the RF power output rating of the power amplifier. There are 5 W, 50 W, and 100 W variants.

Circulator

Indicates whether the power amplifier is fitted with an optional circulator.

Alarm Status

Indicates whether the power amplifier currently has any alarm conditions. If the LED is green, there are no active alarms. If the LED is red, the text box displays `Alarms active' and there is at least one active alarm. To see which alarm is active, select Monitor > Alarms > Current Status.

Serial number

A unique identifier assigned to the power amplifier in the factory.

Inputs

The Inputs area indicates which inputs the PMU is able to use.

Mains

`Available' indicates that the PMU is fitted with an AC-DC converter submodule, so that it can use mains input.

12 V DC

`Available' indicates that the PMU is fitted with a DC-DC converter submodule, so that it can use 12 V DC as an input.

Outputs

The Outputs area indicates whether the PMU is able to supply an optional output.

12 V charger

`Available' indicates that the PMU is fitted with an auxiliary power supply submodule so that it can provide an output for auxiliary equipment or for charging the batteries.

Versions

The Versions area displays version numbers for aspects of the power amplifier.

Hardware

The version number of the power amplifier hardware.

Firmware

The version number of the firmware that the power amplifier currently uses.

Updated

Indicates when the power amplifier firmware was updated to its current version.

Calibration last updated

Indicates when the power amplifier was last calibrated.

See Also

Monitoring the Power Amplifier


Viewing Power Management Unit Information

The Power Management Unit form (Monitor > Module Details > Power Management Unit) lets you view information about the power management unit of the base station you are logged onto. Use it if you need to confirm exactly what it is that you are dealing with.

Module

The name of the power management unit. This non-editable name is used internally to identify the module on the rack frame bus.

Type

The Tait product code and name of the module.

Alarm Status

Indicates whether the power management unit currently has any alarm conditions. If the LED is green, there are no active alarms. If the LED is red, the text box displays `Alarms active' and there is at least one active alarm. To see which alarm is active, select Monitor > Alarms > Current Status.

Serial number

A unique identifier assigned to the power supply unit in the factory.

Versions

The Versions area displays version numbers for aspects of the power management unit.

Hardware

The version number of the power management unit hardware.

Firmware

The version number of the firmware that the power management unit currently uses.

Updated

Indicates when the firmware was updated to its current version.

Calibration last updated

Indicates when the power management unit was last calibrated.

See Also

Monitoring the Power Management Unit


Operational Information

The Service Kit can monitor the base station's current settings and the way the reciter, power amplifier, and power management unit are operating. You must be logged in to that base station. Click the Monitor button, then choose one of the items under the heading Monitoring. To display information about the modules themselves, see Module Details.

See also

Monitoring the Base Station

Monitoring the Reciter

Monitoring the Power Amplifier

Monitoring the Power Management Unit


Monitoring the Base Station

The Base Station form (Monitor > Monitoring > Base Station) lets you monitor the way the base station is currently operating.

The Current channel details area specifies which channel is current and displays its most important details.

The Current source area tells you whether the channel was selected by software (the Service Kit) or by hardware (external channel selection lines). If an external reference source is connected, it tells you what frequency the base station expects.

The System flags area indicates the current state of various system flags. These flags reflect the state of the software and indicate whether the Task Manager has acted to modify the way the base station operates.

See also

Current Channel Details

Current Source

System Flags


Current Channel Details

The Current channel details area of the Base Station form lets you check the details of the channel that the base station is currently using. The Channel number and Channel name boxes specify which channel is being used. The other boxes show you the most important details of that channel. Channels are created in Configure > Base Station > Channel Table.

The channel specifies the frequencies that the base station transmits and receives on. The Signalling profile and Channel profile boxes indicate which profiles have been assigned to the channel. The boxes underneath them show you the main features of those profiles.

See Also

For detailed explanations of the information in this area, see the following:

Channel Table Details


Current Source

The Current source area specifies the source of the current channel selection and indicates the frequency of the external reference source.

Channel source

The Channel source box indicates what selected the channel number shown in the Channel number box above.
Option | Description
Hardware | The channel number was selected externally using equipment that is connected to channel selection lines on the base station's external interface.
Software | The channel number was selected by software. The channel number is the default channel (set by the Service Kit in Configure > Base Station > General) or it is a channel selected by Task Manager action.

External reference

The External reference box indicates what is providing the base station with a reference frequency from which it derives the channel frequencies.
Option | Description
Internal | The base station's own clock signal is the reference source.
External | External equipment provides the reference source via a BNC connector at the rear of the reciter. The Service Kit must tell the base station whether to expect 12.8 or 10 MHz.


System Flags

The System Flags area of the Base Station form displays the current state of flags that the Task Manager sets in the base station firmware. Flags can be enabled or disabled. When a flag is enabled, its LED is green. When it is disabled, the LED is grey. Most flags are enabled by default, but Loopback, Over the air alarms, and Over the line alarms are disabled. When the base station enters or re-enters Run mode, Task Manager sets all flags to their default values. Flags only change when the Task Manager executes a statement.

Important: The System Flags area shows you the state of the flags, not necessarily the state of the corresponding base station function. It is important to understand this distinction. For example, if the Loopback flag is enabled, the base station's audio will in fact be looped back only if the current channel profile provides compatible line in and line out audio paths. If the Email alarms flag is enabled, the base station will only actually Email alarms if Email alarm notification is enabled and correctly configured in Configure > Communications > Email.

Use the System Flags area to find out whether the Task Manager has enabled or disabled any functions. If a system flag does not show the default setting, the Task Manager has changed it. Checking the state of the alarm notification functions is particularly important.

The System Flags area is an important place to check, if the base station is not behaving as expected; Task Manager actions may be responsible.

Loopback

When the Loopback flag is enabled, audio from the line input is connected directly to line output. Loopback can only happen if the current channel profile's signal path has a line input and a line output. A balanced input can only be looped back to a balanced output and an unbalanced input can only be looped back to an unbalanced output. By default, Loopback is disabled.

Intercom

When the Intercom flag is enabled, a technician at the base station can communicate with a console over the line. The Base Station's microphone is connected to line output. When Intercom is disabled, the microphone is disconnected, but the speaker still remains connected to the receiver Path A.

TxKey

When the TxKey flag is enabled, the Tx Key line on the system interface can be used to key up the transmitter. If it is disabled, you can still transmit microphone audio using the PTT key, but the Tx Key line has no effect, which means that line audio is not transmitted.

Tx Relay

When the Tx Relay flag is enabled in a simplex system, the base station can use the Coaxial Relay Driver line on its system interface to switch a relay that connects the transmitter or the receiver to the antenna. When Tx Relay is disabled, the Coaxial Relay Driver line has no effect.

Receiver

When the Receiver flag is enabled, the receiver is able to receive as usual, according to the current channel configuration. When Receiver is disabled, the receiver is unable to pass any received audio.

Transmitter

When the Transmitter flag is enabled, the transmitter is able to transmit as usual, according to the current channel configuration. When Transmitter is disabled, the transmitter is unable to transmit signal at all.

Over the air alarms

When the Over the air alarms flag is enabled, any alarms are sent over the air according to the configuration in Configure > Alarms > Notification Methods: Over the air notification area. When it is disabled, alarms are not sent over the air.

Over the line alarms

When the Over the line alarms flag is enabled, any alarms are sent over the line according to the configuration in Configure > Alarms > Notification Methods: Over the line notification area. When it is disabled, alarms are not sent over the line.

Email alarms

When the Email alarms flag is enabled, any alarms are sent via Email according to the configuration in Configure > Communications > Email. When it is disabled, alarms are not sent via Email.

Power save

When the Power save flag is enabled, the base station applies power saving according to the current channel profile (Edit Channel Profile form: General tab). When the flag is disabled, power saving is not applied.

TTR

When the TTR (talk-through repeater) flag is enabled, the base station feeds received audio into the transmitter according to the current channel profile. (Edit Channel Profile form:Audio Path tab. The Talk-through repeater box specifies the audio path.) When the flag is disabled, the transmitter is not given audio from the receiver.

LCB

When the LCB (line-connected base station) flag is enabled, the base station feeds line in audio into the transmitter according to the current channel profile. (Edit Channel Profile form:Audio Path tab. The Tx audio path A or Tx audio path A check box must be selected.) When the flag is disabled, the transmitter is not given line in audio.

CWID

When the CWID flag is enabled, the base station transmits a continuous wave ID (Morse code) according to the current channel profile (Edit Channel Profile form: CWID System tab). When the flag is disabled, no Morse code is transmitted.

Sub-audible encode

When the Sub-audible encode flag is enabled, the base station encodes audio according to the current signalling profile (Edit Signalling Profile form: Sub-audible signalling tab). When the flag is disabled, sub-audible signalling is not added to audio.

Sub-audible decode

When the Sub-audible decode flag is enabled, the base station decodes any sub-audible signalling according to the current signalling profile (Edit Signalling Profile form: Sub-audible signalling tab). When the flag is disabled, sub-audible signalling is not decoded, which means that there is no receiver gating based on sub-audible signalling.

HW channel select

When the HW channel select flag is enabled, the base station uses the channel number specified by channel selection lines on the system interface. (Configure > Base Station > System Interface. The Channel selection check box must be enabled.) When the flag is disabled, the channel is selected in software. The base station uses the default channel (set in Configure > Base Station > General) or a channel specified by Task Manager action.


Monitoring the Reciter

The Reciter form (Monitor > Monitoring > Reciter) lets you monitor the RSSI and SINAD of the received signal and the audio levels on the input and output lines. Each level is displayed graphically and the equivalent numeric value appears under the heading.

***tips on when to use this and why?

Name

The first box in the form displays the internal name of the reciter.

Alarm status

The Alarm status box indicates whether the reciter has an alarm. If the LED is red, select Monitor > Alarms > Current Status to see which alarm is active.

Received signal

The Received signal area displays the RSSI and SINAD levels.

Input lines

The Input lines area displays the audio levels for the balanced and unbalanced line inputs.

Output lines

The Output lines area displays the audio levels for the balanced and unbalanced line outputs.

See Also

Viewing Reciter Information


Monitoring the Power Amplifier

The Power Amplifier form (Monitor > Monitoring > Power Amplifier) lets you monitor the levels of various parameters. Each level is displayed graphically and the equivalent numeric value also appears under or in each heading.

***tips on when to use this and why?

Name

The first box in the form displays the internal name of the power amplifier.

Alarm status

The Alarm status box indicates whether the power amplifier has an alarm. If the LED is red, select Monitor > Alarms > Current Status to see which alarm is active.

Transmitter output

The Transmitter output area displays the forward and reverse power graphically. Option buttons let you choose whether to view these values as watts or dBm. Underneath is the VSWR. If this is greater than 10:1, the power amplifier folds its output back to 10% of its capability. Only when the VSWR falls below 5:1 will the power output begin to recover.

PA Duty (5 minutes)

This gauge indicates the average duty cycle over the past 5 minutes. 50% means that the PA was transmitting for 2.5 of the last 5 minutes.

PA Duty (24 hours)

This gauge indicates the average duty cycle over the past 24 hours. 25% means that the PA was transmitting for 6 of the last 24 hours.

PA Temperature

This thermometer displays the highest of the three temperatures measured at the PA driver, Final 1, and Final 2 transistors.

PA Air Intake Temperature

This thermometer displays the temperature measured at the air intake to the PA heatsink. (***the ambient temperature sensor is an option. If not fitted.***)

See Also

Viewing Power Amplifier Information


Monitoring the Power Management Unit

*** under development***The Power Management form (Monitor > Monitoring > Power Management) lets you monitor the operation of the power management unit. You can:

  • Check the voltage of the battery and the current that the PMU outputs to the PA.
  • See whether the base station is running on battery or mains power.
  • Check the status of any of the PMU's various inputs and outputs.

Lines in and out of the Power supply area represent the inputs to and outputs from the PMU. Each line has an LED which indicates the status of the input or output. An angled line connects one of the inputs to the central square; this indicates whether the PMU is currently using mains or battery power. Gauges display the battery input voltage and the output current. A thermometer displays the PMU heatsink temperature.

***NOTES: (Divide into AC supply, Battery supply etc.?) Rian or Peter - does the Controller..

AC: grey if not fitted. Mains supply itself: grey if kill mains test.

2x DC supplies: One is in high power or low power mode (500 or 40 W). The other is a small, optional module (10 W).

PA power: will be on if AC supply or not a sleep mode.

Reciter will only be off if it is in battery protect mode (

Output current only measures the PA power consumption

***tips on when to use this and why?

Name

The first box in the form displays the name of the module: power management unit.

Alarm status

The Alarm status box indicates whether there is a current alarm. If the LED is red and the box displays `Alarms active`, one or more Power Management Unit alarms have been triggered. Select Monitor > Alarms > Current Status to see which alarms are active.

Input Status

The left-hand side of the form indicates the status of the different inputs to the PMU: AC mains, DC and DC standby.

AC Mains Input

Two LEDs indicate the state of the mains input into the power management unit.

AC in LED

Indicates the state of the AC supply.
State | Description
Green | AC power input is good
Red | AC power input is bad
Grey | AC power is not fitted

Mains Supply LED

Indicates the state of AC power: only the grey state of the icon has a different meaning.
State | Description
Green (On) | AC power input is good
Red (???***) | AC power input is bad
Grey (***?) | Mains Failure test is on

Battery Input

A voltage gauge and an LED indicate the state of the battery supply and two LEDs indicate the state of the main DC supply and the DC standby supply respectively.

Battery Voltage

The Battery Voltage gauge indicates the input voltage provided by the battery.

Battery LED

The Battery LED indicates the state of the battery input, whether or not that input is currently being used.
State | Description
Green | Battery input is usable
Red | Battery voltage is too low or too high
Grey | No battery power supply is fitted

DC Supply LED

The DC Supply LED indicates the state of the DC supply within the PMU.
State | Description
Green (On) | Battery input is usable. The PMU can be providing up to 500 W or up to 40 W of power (low power mode).
Red | Battery voltage is too low or too high
Grey | No battery power supply is fitted

DC Standby Supply LED

The DC Standby Supply LED indicates the state of the DC standby supply within the PMU. Expect that this is turned on only when the PMU enters a sleep mode in which it only provides power to the reciter.
State | Description
Green (On) | The standby DC supply has been turned on. The PMU is providing only 10 W of power to the exciter.
Red | Battery voltage is too low or too high
Grey | No standby battery power supply is fitted

Output area

The right-hand side of the form displays information about the PMU's power output to other T8000 equipment in the rack frame.

There are three different arrows pointing into the Output Switch frame. The arrow that is not disabled indicates which power input the PMU is currently using.

PA Power

The PA Power LED displays Green if the PMU is supplying power to the power amplifier and Grey if it is not. When the PMU is using mains power, it always supplies power to the PA. When it is using battery power, it supplies power unless it is in sleep mode and using the DC standby power supply.

Reciter/UIF Power

The Reciter/UIF Power LED indicates the status of the power supply to the receiver and the rack frame's user interface. Green means that it is supplying power. Grey means that it is not, because the PMU is in battery protect mode.

Aux Supply

The Aux Supply frame has an LED that indicates the status of the auxiliary power or battery charging output. Red means that there is a fault. This could be because there has been a current overdraw and the fuse is blown. On cooling, the fuse will automatically reset. Green means that the output is good. Grey means that an auxiliary power supply is not fitted. Off means that the PMU has turned the output off. On means that the output is on.

Output Current

The Output Current gauge shows how much current the PMU is supplying to all the PAs***check*** in the BSS.

See Also

Viewing Power Management Unit Information


Data Logging

The base station stores two different kinds of operational information. The Service Kit lets you view them both.

  • System data tells you for example how many hours the base station has been operating and the highest temperature that the PA ever reached.
  • The general log stores time-stamped values for selected parameters.

There is also an alarm log that stores the last 50 alarms.

See Also

Viewing System Data

Viewing the General Log

Graphing a General Log Parameter**?


Viewing System Data

The System Data form (Monitor > Data Logging > System Data) lets you view various values derived from parameters that the base station monitors. For example, you can see the highest temperature that the power amplifier has reached and the total number of hours that the fan has been operating for. The base station keeps count of some items, records the maximum or minimum value of others, and also calculates some averages. Averages are rolling averages over the last 24 hours.

The Resettable and Permanent option buttons give you the choice of two sets of values. These sets are rather like the odometer and the trip meter of a car. One is maintained for the whole life of the base station and can only be reset by Tait authorised service centers. The other can be reset with administrator access.

The Reset buttons let you reset an individual parameter and the Reset All button resets all values in the customer log. If you reset a counter, it displays 0 and starts counting again. If you reset a maximum, average, or minimum, it initially displays the current parameter value.

See also

Base Station Data

Power Amplifier Data

Power Management Unit Data


Base Station Data

The Base station area of the System Data form displays the following data.

Base station operating time

The number of hours that the base station has been powered up and operating in Run, Standby, or Download mode.

Transmitter duty cycle

The percentage of the operating time that the base station has actually been transmitting.

VSWR

The form displays the highest, the average, and the minimum voltage standing wave ratio readings. The base station reads the VSWR once in every transmission.

RSSI

The form displays the highest, the average, and the minimum relative signal strength indicator readings in dBm. The base station reads the RSSI once each time the base station receives a valid signal.

Watchdog resets

The total number of times that the watchdog circuit reset the reciter.

Task Manager resets

The total number of times that the Task Manager reset the base station.

Service kit resets

The total number of times that Service Kit users reset the base station.


Power Amplifier Data

The Power Amplifier area of the System Data form displays the following data.

Temperature

The Power Amplifier area displays maximum, average, and minimum temperatures. The maximum temperature is the highest maximum temperature recorded by any of the three PA temperature sensors. These temperatures are read hourly.

Air intake temperature

The Power Amplifier area displays maximum, average, and minimum air intake temperatures. The air intake temperature is read hourly at the fan intake.

PA fan operating time

The number of hours that the PA fan has been operating.


Power Management Unit Data

The Power Management Unit area of the System Data form displays the following data.

Battery voltage

The area displays maximum, average, and minimum battery voltages. The battery voltage is read hourly whether or not the PMU is using the battery as its power supply.

PMU fan operating time

The number of hours that the PMU fan has been operating.


Viewing the General Log

The General Log form (Monitor > Data Logging > General Log) lets you view general data that the base station has logged. You must have previously enabled data logging and selected the parameters to be logged (Configure > Data Logging > Configuration).

Tip: Task Manager can let you know when the general log needs viewing. When the log is almost full it can for example enable over the air alarms. See General Log Almost Full.

You select the parameters you want to view, then manually download the base station's log of parameter readings. You can optionally view the data for an individual parameter graphically. It is good practice to save the log to a file so that you can access the information later. Downloading log data to the Service Kit empties the base station's log. This is so that you cannot download the same data more than once.

To view the general log

  1. Select the parameters you want the general log to display.
    1. In the General Log form, click the Add button.
    2. Select an item from the drop-down menu. The menu lists the items that were selected under Configure > Data Logging > Configuration. For information about these items, see Setting Up Data Logging.

      An empty column for that item appears to the right of the existing column(s).

    3. Repeat steps 1 and 2 for up to 5*** parameters. To remove the last item you added, click the Delete button.
  2. Click the Download Log button. The Service Kit obtains logged data for each of the parameters you selected and displays it in the columns you added, along with the date and time that the data was logged.

Important: This log data is already gone from the base station and will be lost from the Service Kit when you end the current session. Click the Save to File button and save the data to a log file. You can import this file into a spreadsheet program where you can display and manipulate the data and compare it with previous or subsequent log files.

See Also

Graphing a General Log Parameter

Setting Up Data Logging


Graphing a General Log Parameter

From the General Log form, you can display a graph of the log data for any logged parameter, once you have downloaded the log.

To graph a parameter

  1. Click the Graph button. A dialog box with a graph appears.
  2. Select a parameter to graph from the Parameter drop-down list. The dialog box displays a graph of the data.
  3. If desired, modify the start date and end date. By default, the dates of the first and last values logged are used.


Part E Configuring the Base Station

Configuring the Base Station

The Service Kit lets you configure the T8000 base station.

Select Operations > Configure or click the Configure icon on the toolbar, then select an item from the navigation pane.

For information about configuring channels and their profiles, see Part F Configuring Channels.

Topics
  • Configuring General Options
  • Configuring the System Interface
  • Configuring Miscellaneous Items
  • Defining Access Profiles
  • Setting Up Data Logging
  • Setting Communications Parameters
  • Printing Configuration Data
  • Enabling Additional Features


Configuring General Options

The General form (Configure > Base Station > General) names the base station and specifies which channel is the default. From this form, you can access the default channel profile and signalling profile dialog boxes. A panel on the right gives you high-level instructions on how to configure channels in a simple system.

Identification

Specifies the name of the base station. Enter a suitable name. This name is used in the Log On form to help you select the correct base station within the BSS.

Default profiles

Lets you configure default profiles. Click on a button to open the editing dialog box for the corresponding default profile.

Select default channel configuration

Specifies the default channel. Select a channel from the drop-down list to make it the default channel. On start-up, the base station will use this channel. The drop-down list contains all the channels that have been defined in the channel table.

See Also

Getting Started (setting up channels)

Customising the Default Channel Profile

Customising the Default Signalling Profile

Specifying the Operating Channel


Configuring the System Interface

The System Interface Module form (Configure > Base Station > System Interface) lets you configure the base station's system interface.

Simple repeater applications do not require any interface. If the reciter in the base station is fitted with an interface board, you must tell the base station what kind of board that is. You can then configure the RSSI output line and the channel selection lines, provided these are supported by the interface board. The form then displays the pin assignments of the interface board's external connector as you have configured them.

See Also

Specifying the Interface Board

Configuring External Channel Selection

Configuring RSSI Output


Specifying the Interface Board

Before you configure the base station's system interface, you must tell it which system interface board has been fitted inside the reciter.

To specify the interface board

  • In the System Interface Module form, Type box, select the board from the drop-down list.

    The form now displays information about the system interface: what its connector type is and whether it has an Auxiliary 12 V output (used in trunking applications). It also displays a table of pin assignments, but these will alter if you enable external channel selection.


Configuring External Channel Selection

Usually, the channel that the base station normally operates on is selected using the Service Kit (see Select default channel configuration). If you want the channel to be selected by equipment external to the base station, enable external channel selection and configure the base station's system interface to reflect the way that equipment works.

To configure external channel selection

  1. In the System Interface Module form, select the Channel selection check box.
  2. In the Pins to use box, select an option. For each bit in the binary channel number, you need a pin. The table to the left updates to reflect your selection and the Number of selectable channels box updates to indicate how many channels the hardware will be able to select from.
  3. Specify whether the external equipment selects the channel number using binary or BCD format. If the numbers are inverted (for example if 110 is used to select channel 001), select the Invert box.***check this***

    The table to the left now indicates which pins are for channel selection and which bit number each pin corresponds to.

  4. Use the Service Kit to test your setup. See Testing Hardware Channel Selection.

    Note: If the channel is set to 000 (by switching all DIP switches off - or on, if the selection is inverted) this disables external channel selection. The base station will operate on the channel selected by the Service Kit or by a Task Manager action.


Configuring RSSI Output

If your system has equipment external to the base station that needs an RSSI voltage, you can enable the base station to output RSSI and configure it to suit that equipment.

If the equipment is configured to operate with older Tait base stations, you can specify that the RSSI output behaves like the output from a Tait T800 VHF or UHF base station.

For other equipment, you must specify the maximum and a minimum output voltage that your equipment expects, and the maximum and minimum signal strengths that the base station needs to deal with. The base station will then map the signal strength range to the output voltage range. When it receives a valid signal, it outputs an RSSI voltage based on the strength of that signal.

To configure the RSSI output

  1. If your equipment is configured to work with Tait T800 equipment, in the RSSI area, Characteristics box, select Emulate T800 VHF or Emulate T800 UHF. This sets the parameters for the RSSI output. Otherwise, select User Defined and continue.
  2. In the Voltage boxes, set the maximum and minimum voltages that the RSSI output will provide when the received signal varies from maximum to minimum.
  3. In the Signal level boxes, specify the received signal strengths in dBm to correspond to the minimum and maximum voltages.

    When the signal strength reaches the lower value, the RSSI output line will have the minimum voltage. As the received signal strength increases, the voltage will increase linearly. When the received signal strength reaches the upper value, the RSSI output line will have the maximum voltage. Further increases in signal strength will not significantly increase the RSSI voltage.


Configuring Miscellaneous Items

The Miscellaneous form (Configure > Base Station > Miscellaneous) gathers together a number of settings.

Tx relay operation

The Tx relay operation area lets you enable the control of an antenna relay, and configure its operation. The base station's reciter must be fitted with the Isolated 24 E & M interface board so that there is a Coaxial Relay Driver line. This line must be connected to the antenna relay.

Antenna relays (also known as coaxial relays) are used in simplex applications. Before the transmitter keys up, the base station activates the relay, disconnecting the receiver and connecting the transmitter to the antenna. It waits for the Relay closing settling time (A), then powers the transmitter up. After it powers the transmitter down, it waits for the Delay before relay opens (B), then opens the relay.

If your system uses an antenna relay, select the Tx relay operation check box, then adjust the values of times A and B to reflect the expected delays in switching the relay.

Power configuration

The Power configuration area defines the lowest possible voltage for the DC power input to the PMU. Three pairs of voltages are displayed, corresponding to the PMU's different DC to DC converter options (a nominal 12 V, 24 V, or 48 V input). The voltages that apply have a white background and can be edited. If the battery voltage falls below the value in the relevant Power shutdown voltage box, the BSS shuts down. If the voltage rises above the value in the Power startup voltage box, the BSS re-starts.

Auxiliary power out

If the PMU is fitted with an auxiliary power supply unit, you need to configure it to suit the way it will be used. Generally, its output can be used to charge the batteries used as a backup supply, to provide a source of power for equipment at the BSS's location, or to provide a power supply for TaitNet trunked modules via the reciter's system interface board (additional connection required).

Caution: While the auxiliary power output can be used for more than one purpose at once, this is not generally recommended. It can result in a short-circuit and equipment damage. The output is floating. If it is connected to a negatively earthed battery and to positively earthed auxiliary equipment, a short-circuit will result.

Select one of the following options.
Option | Description
On always | Output is enabled when the PMU uses mains power and when it uses battery power. Suitable for powering auxiliary equipment.
Off always | No output is provided.
On only when mains supply on | Output is enabled only when the PMU uses mains power. Suitable when the output is being used for re-charging the batteries used for the PMU's DC power input.

Select external clock reference frequency (if fitted)

This area lets you specify the frequency of an external reference. If an external source is connected to the reciter, select the appropriate option to tell the base station what the source's frequency is.

If the base station is part of a Quasi Sync system, select the Quasi Sync mode check box. This changes the characteristics of the transmit synthesiser so that they are more suited to quasi-synchronous operation.


Defining Access Profiles

The Access Profile form (Configure > Security > Access Profiles) displays information about the access that the base station allows Service Kit users. Those with the access level `Administrator' have unrestricted access. Those with the access level `Read Only' access can view everything but change nothing. Those with the access level `User' have a configurable access profile. Their access can vary, depending on the type of connection and the Service Kit function.

Users with `Administrator' access level can configure a base station's access profile. You may for example want to give the `User' access level Full access to Configuration and Diagnostics when locally connected but Read Only access when they are remotely connected.

Note: Any Service Kit user can make access profile changes if they are not connected to a base station and if they save the changes to a file.

Note: It is not possible to calibrate or upgrade firmware when remotely connected.

The form displays a matrix indicating the kind of access that the base station grants. The row labels indicate what area of the program each row specifies

Local Connection

The cells in this set of columns specify the access when using a Direct connection.

Remote Connection

The cells in this set of columns specify the access when using a Modem dialup or Over the air connection.

Read Only

The cells in the Read Only column display the access for those with a Read Only access level. These users can always view a screen but not make any changes.

User

The cells in the User column let you select the access for those with a User access level, if you are logged in as Administrator. If you are logged in as User or Read Only they simply display the current access. You have the following options.
Option | Description
Deny | The Service Kit opens the form you request, but it is disabled and displays no data.
Read | The Service Kit opens the form and displays the data, but you cannot edit it. You can display the information in diagnostic screens, but not initiate any diagnostic tests.
Full | The Service Kit lets you do anything it is capable of.

Admin

The cells in the Admin column display the access for those with an Administrator access level. This is always Full, except when the connection type does not support a function. (Calibration and Download cannot be carried out when remotely connected.)


Setting Up Data Logging

The Configuration form (Configure > Data Logging > Configuration) lets you instruct the base station to log operational information. You also select which items are to be logged. The selected items will be logged at the defined interval whether or not the base station is actually receiving or transmitting. To monitor the logged data, select Monitor > Data Logging > General Log.

To enable and configure data logging

  1. Select the Enable logging check box.
  2. Specify the interval in minutes from one logging to the next.
  3. Click each item you want to log.
  4. Look in the Log will fill in box to see how long the base station will take to fill the log. The more items, the quicker the log will fill. An appropriate time gives you adequate opportunity to monitor the log before it becomes full. (If the log becomes full, you lose the oldest data first, as space is cleared to make room for new data.)
  5. Click OK to confirm your changes and close the form.

    Note: The Task Manager input General Log Almost Full can be used to automatically initiate base station actions when the log is nearly full.


Setting Communications Parameters

Configure > Communications > Serial Ports

Need Xref to other things that you do such as Email alarm and Serial Port


Printing Configuration Data

The Service Kit lets you print configuration data that you have opened from a configuration file or read in from a base station.

Note: Printing to an old-style text printer is not supported; the layout requires the use of large and small fonts.

  1. Select File > Print. The Print Selection dialog box appears.
  2. Using the arrow buttons, select the configuration items you want printed. An item is selected for printing when it is in the right-hand box.
n The >> and << buttons move all configuration items.
n The > and < buttons move the highlighted item. Click on an item to highlight it.
  3. Click the Printer Settings button and check that the printer setup is as you want.
  4. Click the Print button to send the configuration information to the printer.

Example printout + how to interpret?***.


Enabling Additional Features

tbd.


Transmitter Power Output

The Transmitter power output area specifies the output power of the transmitter. You specify that power for when the transmitter is mains-powered and for when the transmitter is battery-powered. The boxes alongside display the equivalent power in dBm. If you specify 100 W and the power amplifier is rated at 50 W, it will run at 50 W. There is therefore no need to alter this value if you temporarily substitute an amplifier with lower power, for example if there is a fault and you don't have a fully powered module on hand.

**conversion table for microvolts***?


Rx Gating

The Rx Gating area configures receiver gating (also known as receiver squelch). You can have gating based on RSSI or SINAD. If you select both options, gating is enabled if either value reaches the required level. RSSI gating operates more quickly and is suitable for repeater links. SINAD gating takes longer but is more accurate and is suitable for the repeater itself or for a line-connected base station.

RSSI Gating (Carrier)

The RSSI Gating (Carrier) box enables gating based on the base station's measurement of the received signal strength. This is also known as Carrier gating.

SINAD Gating (Noise)

The SINAD Gating (Noise) box enables gating based on the ratio of signal to noise and distortion. This is also known as noise gating.

Level

The two Level boxes define the level (of RSSI or SINAD) required to enable receiver gating and pass the received audio.

Hysteresis

The two Hysteresis boxes specify how far the RSSI or SINAD must fall below the level set in the corresponding Level box to disable receiver gating and mute the received audio.

Only output line audio when Rx Gate is valid

This button is generally selected, so as to apply receiver gating to line output.

Always output line audio

This button lets you temporarily override receiver gating on line output. It makes continuous listening to the channel possible, for example when troubleshooting.


Part F Configuring Channels

Configuring Channels

The Service Kit lets you configure the T8000 base station's channels and their underlying profiles.

Select Operations > Configure or click the Configure icon on the toolbar, then select an appropriate item from the navigation pane.

Topics
  • Getting Started
  • Customising the Default Channel Profile
  • Customising the Default Signalling Profile

  • Using Advanced Profile Features
  • Working with Channel Profiles
  • Working with Signalling Profiles

  • Working With the Channel Table
  • Specifying the Operating Channel
  • Printing Channel Data


Getting Started

To set up channels, you first edit the default channel profiles. This defines the configuration items that are the same for all channels. Then in the channel table you create the channels you need, for example by editing the one channel in the table and block copying it to give a set of channels all with the same channel spacing. You then edit the channels as needed, for example to vary the CTCSS frequency for different channels. Finally, you select one channel to be the default.

The following instructions describe the main steps you need to follow. If the base station has the Advanced Profiles license, more options are available. See Using Advanced Profile Features.

To set up channels

  1. Open a suitable configuration file or read a configuration database from a base station. For more information, see Working With Base Station Configurations.
  2. Select Configure > Base Station > General. In the Default profiles area, click Channel Profile.
  3. Edit the settings in the four tabs of the Edit Channel Profile form to reflect the requirements of the channels in the system. For more information, see Customising the Default Channel Profile. Click OK to confirm your changes and return you to the General form.
  4. In the Default profiles area, click Signalling Profile.
  5. Edit the settings in the four tabs of the Edit Signalling Profile form to reflect the requirements of the channels in the system. For more information, see Customising the Default Signalling Profile. Click OK to confirm your changes and return you to the General form.
  6. Select Configure > Base Station > Channel Table to open the Channel Table form.
  7. Pick a channel from the table (there may only be one) and give it the first transmit and receive frequencies in the band plan. Make any other configuration changes needed. For details, see Editing a Channel (Default Profiles).
  8. Click Block copy and specify the number of channels that you need.

    If the interval between channels is not regular, or if block copy is not appropriate for any other reason, use Insert Copy instead. Copy an existing channel as needed and edit the copies to get the results you want.

  9. When the channels are set up to your satisfaction, return to the General form (Configure > Base Station > General) and select a channel as the default. All the channels you created will appear in the drop-down list.
  10. Click OK to commit your changes and close the form.
  11. Save the changes to a configuration file.
  12. Program the changes into the base station.

See Also

Customising the Default Channel Profile

Customising the Default Signalling Profile

Working With the Channel Table

Adding and Copying Channels

Block Copying Channels

Specifying the Operating Channel


Customising the Default Channel Profile

The Edit Channel Profile dialog box lets you customise the default channel profile to suit your system.

The following instructions do not deal with all configuration items. For more detailed information, see Editing a Channel Profile.

To customise the default channel profile

  1. In the General form (Configure > Base Station > General), click Signalling Profiles. The Edit Signalling Profile form appears.
  2. In the General tab, define the following.
    1. A suitable name for the profile. This name appears on the title bar.
    2. The receiver channel spacing and the transmitter deviation.
    3. The subaudible deviation if the base station will transmit with CTCSS or DCS.
    4. The talk through repeater gain if the base station will be used as a repeater.
    5. The transmitter's RF power output, for mains and for battery operation. You may for example want to specify the full output for mains operation but a lower value when the transmitter is operating from battery power.
    6. The criteria for receiver gating (see Configuring Receiver Gating).
  3. In the Signal Path tab, do the following.
    1. Use the check boxes to enable the audio paths you require. Enabled paths are displayed as dark lines.
    2. From the first Path A drop-down list, select the type of filter you want. A thumbnail sketch displays a graph of the audio characteristics of your choice.
    3. Select levels for any line inputs and outputs.

      Note: The base station can only provide line in and line out circuits if the system interface card fitted in the reciter has pins assigned to them. Ensure that the system interface supports any audio path that you enable.

  4. If the Low Current Option feature set is enabled, configure power saving in the Power Saving tab (see Configuring Power Saving).
  5. If your system needs to broadcast its ID using Morse code, select the CWID System tab and configure the profile appropriately.
  6. In the Task Manager tab, use the Task Manager to define any inputs and actions to customise the way channels with this profile will respond in different situations.
  7. Click OK to confirm your changes and close the dialog box. The profile you defined appears in the Channel Profiles form.

See Also

About Profiles

Editing a Channel Profile


Customising the Default Signalling Profile

The Edit Signalling Profile dialog box lets you modify the default signalling profile to suit your system. The following instructions do not deal with all configuration items. For detailed information, see Editing a Signalling Profile.

To customise the default signalling profile

  1. In the General form (Configure > Base Station > General), click Signalling Profiles. The Edit Signalling Profile dialog box appears.

    Note: The Sub-audible Signalling tab doesn't let you make any changes; instead you specify the receive and transmit signalling for each individual channel. This is done in the channel table.

  2. In the Tail Timers tab, configure the way the audio, signalling, and carrier end at the end of a transmission. You can also enable transmitter lockout and anti-kerchunking.
  3. In the Advanced tab, check that the default settings for CTCSS signalling are suitable, if you plan to assign CTCSS tones to any channels in the channel table.
  4. Click OK to confirm your changes and return you to the General form.

See Also

About Profiles

Editing a Signalling Profile


Using Advanced Profile Features

There are two basically different ways to configure the channels that you set up. You can use default profiles and override individual settings for particular channels or you can define a profile set and apply different profiles to different channels. In the following situations, you MUST use a profile set.

  • the base station needs to respond to more than one subtone, In other words, one channel must be able to define several different subtones.
  • different parts of the audio path need to use different filters.
  • settings in the Edit Channel Profile or Edit Signalling Profile dialog box that do not appear in the Channel Table form need to be different for different channels. In other words, the settings that you specify for the default profiles cannot be used for all channels.
  • ***any others?

Most users will combine both methods; that is, use default profiles for most channels and create a set of their own profiles for those channels with advanced configuration requirements.

See Also

Working with Channel Profiles

Working with Signalling Profiles


Working with Channel Profiles

The Channel Profiles form (Configure > Base Station > Channel Profiles) lets you work with channel profiles. You can view the profile list, add a new profile, or edit an existing one.

The form displays a row of information for each profile. `Mixed' in a column means that more than one value is defined for the parameter.

The Name column indicates the name of the profile. `Default' is a built-in profile; it can be edited but not deleted.

The Channel type column indicates the audio filter that the profile specifies.

The Transmitter power column indicates the defined transmitter power output (when the transmitter is on mains power - custom profiles can define another value for battery power).

The Bandwidth column indicates the bandwidth that the base station will operate with when it is assigned this profile.

For more detail about these columns, and about other profile details, see Editing a Channel Profile.

Buttons along the bottom of the form let you add a new profile or copy, edit, or delete the selected profile.

See Also

About Profiles

Adding a Channel Profile

Editing a Channel Profile


Adding a Channel Profile

The Add Channel Profile dialog box lets you define the settings for a new channel profile and add it to the list of available profiles. You can only do this if the base station has the Advanced Channel and Signalling Profiles feature set.

The following instructions do not deal with all configuration items. For more detailed information about these dialog boxes, see Editing a Channel Profile (the Add Channel Profile and Edit Channel Profile dialog boxes are almost the same).

Important: If the base station doesn't have an Advanced Profiles licence, it makes no sense to create profiles. The Service Kit lets you create them but you will not be able to apply them to the channels in the channel table.

Tip: Set up a test profile and assign it to a channel. Use this channel when testing your system before commissioning.

To add a channel profile

  1. Select Configure > Base Station > Channel Profiles. The Channel Profile form appears.
  2. Click Add. The Add Channel Profile window appears.
  3. In the General tab, define the following.
    1. A suitable name for the profile. This name appears on the title bar.
    2. The bandwidth for the receiver and the transmitter.
    3. The subaudible deviation if the base station will transmit with CTCSS or DCS.
    4. The talk through repeater gain if the base station will be used as a repeater.
    5. The transmitter's RF power output, for mains and for battery operation. You may for example want to specify the full output for mains operation but a lower value when the transmitter is operating from battery power.
    6. The criteria for receiver gating (see Configuring Receiver Gating).
  4. In the Signal Path tab, do the following.
    1. Use the check boxes to enable the audio paths you require. Enabled paths are displayed as dark lines.
    2. Using the Path A and Path B drop-down lists, select the type of filter you want. Thumbnail sketches display graphs of the audio characteristics they show.
    3. Select levels for any line inputs and outputs.

      Note: The base station can only provide line in and line out circuits if the system interface card fitted in the reciter has pins assigned to them. Ensure that the system interface supports any audio path that you enable.

  5. If the base station has a low current option license, configure power saving in the Power Saving tab (see Configuring Power Saving).
  6. If your system needs to broadcast its ID using Morse code, select the CWID System tab and configure the profile appropriately.
  7. In the Task Manager tab, use the Task Manager to define any inputs and actions to customise the way channels with this profile will respond in different situations.
  8. Click OK to confirm your changes and close the dialog box. The profile you defined appears in the Channel Profiles form.

See Also

Configuring Receiver Gating

Configuring Power Saving

Editing a Channel Profile


Configuring Receiver Gating

The Rx Gating area of the General tab lets you configure the way the receiver gates the audio signal.

To configure receiver gating

  1. Select whether the receiver gate will open based on RSSI, SINAD, or both.
  2. In the RSSI and/or SINAD areas, enter a gating level. When the level you set is reached, the receiver gate opens.
  3. Set the hysteresis. The RSSI or SINAD must go below the gating level by the amount of the hysteresis you set before the receiver gate closes. For example, if the RSSI gating level is -110 dBm and the hysteresis is 6 dB, the RSSI must fall to -104 dBm before the gate closes.
  4. Specify whether the receiver will output line audio only when the receiver gate is open, or under all circumstances.

    Tip: You can configure the base station to output line audio differently in different circumstances. Define two profiles with the different options. Create two channels that are the same except for the assigned channel profiles. Then define Task Manager statements that switch the base station between the two channels under defined circumstances.

See Also

Rx Gating


Configuring Power Saving

In the Edit Channel Profile form, the Power saving tab lets you configure power saving. You configure the base station's operation in each of three modes: Normal, Sleep, and Deep Sleep. The configuration will be applied to channels with the profile you are working on.

Note: Sleep and Deep Sleep modes can only be enabled if the base station has an Advanced Profiles license.

To configure power saving

For each mode, follow these steps.

  1. Select the check box to enable the mode (Sleep and Deep Sleep only).
  2. In the Rx cycling box, select a time from the drop-down list. This specifies how long the receiver is turned off before being turned on again. If you select `off', there is no receiver power saving in this mode.
  3. In the Tx keyup time box, select a time from the drop-down list. This specifies the amount of time that the transmitter will need to key up. The longer the time, the more circuitry can be switched off. (In Sleep and Deep Sleep modes, the Tx keyup time is fixed at 40 ms.)
  4. In the Start after box, specify how long the base station must be idle before switching over to this mode. (Sleep and Deep Sleep modes only.) `Idle' means not receiving any valid carrier. When the base station does not receive any valid signal for the idle time, it switches from Normal to Sleep mode, or from Sleep to Deep Sleep mode.

See Also

About Power Saving

Power Saving


Editing a Channel Profile

The Edit Channel Profile dialog box lets you view the details of the selected channel profile and modify them.

Tabs

The dialog box is divided into four tabs that group similar configuration items.

General

Names the profile and defines its RF configuration, transmitter power output, and receiver gating.

Signal Path

Specifies the way the reciter's inputs and outputs (both line and RF) are connected with each other.

Power Saving

Specifies whether the base station goes into sleep modes and configures those modes

CWID System

Specifies the base station's Morse code ID and configures the way that the channel will broadcast it.

Task Manager

Displays the Task Manager statements that apply to the channel profile and lets you add to or modify them.

Buttons

Buttons along the bottom of the window let you move from one channel profile to another without leaving the tab you are in.

Next Profile

Displays the next channel profile in the same tab.

Previous Profile

Displays the previous channel profile in the same tab.

Important: If you have made changes to the current profile, click OK to confirm them before moving to another profile.

See Also

About Profiles

Adding a Channel Profile


General

The General tab in the Add or Edit Channel Profile window names the channel profile and defines its general characteristics.

Profile name

Specifies the name of the profile. Profiles other than `Default' are created and named by Service Kit users. You can edit the name, provided it is not `Default'.

See Also

RF Configuration

Transmitter Power Output

Rx Gating


RF Configuration

The RF configuration area lets you specify the receiver's bandwidth and the transmitter's deviation. If you specify one, the equivalent is automatically assigned to the other unless the base station has an Advanced Profiles license. No hardware modification is necessary when the RF configuration is changed.

Note: Your country may use Narrow band, Mid band and Wide band to refer to different channel spacings (bandwidth) or modulation deviations. Ensure that the option you select has the correct value.

Receiver channel

Specifies the bandwidth of the receiver. It expresses this both as a description (for example Mid Band) and as the kHz value of the minimum channel spacing necessary for that bandwidth.
Option | Actual Rx IF Bandwidth | Equivalent Tx max deviation
12.5 kHz Narrow Band | 7.5 kHz | 2500 Hz Narrow Band
20 kHz Mid Band | 12 kHz | 4000 Hz Mid Band
25 kHz Wide Band | 15 kHz | 5000 Hz Wide Band

Note: The Receiver channel box does not determine the channel spacing between channels in the channel table and it does not mean that channels must have the same spacing. It determines the receiver IF bandwidth, which ordinarily corresponds to a particular channel spacing. For example, 20 kHz Mid Band sets the receiver IF bandwidth to 12 kHz. Normally, you would select this option if the channels in your band plan have a 20 kHz channel spacing. However, your band plan may be irregular, or you may want to specify (in the channel table) a greater spacing between channels, for example 50 kHz.

Max Tx deviation

Specifies the highest deviation that the transmit channel is permitted to have.
Option | Equivalent Channel Spacing
2500 Hz Narrow Band | 12.5 kHz
4000 Hz Mid Band | 20 kHz
5000 Hz Wide Band | 25 kHz

Subaudible deviation

Specifies the deviation that CTCSS or DCS signalling will cause to the carrier frequency in Herz and as a percentage of the selected Max Tx deviation. Gain will be applied to the CTCSS signalling to cause the deviation specified. If you subsequently alter the Max Tx deviation, the Herz value of the subaudible deviation will alter, but not its percentage.

Talk through repeater gain

Specifies the gain in dB that will be applied to received audio that is fed into the transmitter. See Repeater Options.


Signal Path

The Signal Path tab in the Add or Edit Channel Profile window lets you configure the path that incoming and outgoing signals take. In effect, it lets you design your own virtual backplane for the base station.

The left-hand side of the tab defines RF filter characteristics; each panel has a drop-down list you can choose from, and a thumbnail graphic showing you the response characteristics of the filter you chose.

The middle of the tab displays possible audio paths as light grey lines. Check boxes and a drop-down list let you select path options. When you select an item, the path it enables appears as a thick green (transmitter path) or red (receiver path) line.

Both the receiver and the transmitter have two paths. Path A connects to a balanced line and Path B to an unbalanced line. You can select different filters for each path.

Important: When the transmitter can be keyed, only the audio that belongs to the equivalent source will be used to modulate the transmission. If the transmitter is keyed from more than one source, the audio highest in the hierarchy will be used. The hierarchy is:
Keying Source | Audio Used
PTT on microphone connected to base station | Microphone
Carrier button on front panel | None
External Tx Key line | Balanced and/or unbalanced line input
Valid Receive signal (no separate Tx key line required) | Output from receiver

Tip: To transmit audio that is summed from line input and from the receiver, connect one line output to the corresponding line input and connect external audio to the other line input. In other words, loop the audio back externally instead of using the internal signal path.

See Also

Receive Path

Repeater Options

Microphone Panel

Transmit Path


Receive Path

The top half of the tab lets you configure the receive path.

Path A

The Path A drop-down list lets you select an audio filter for the receive path that connects the receiver to the speaker output and to the balanced line output (if enabled). If you are configuring the default channel profile, the audio filter you select for this path will also be applied to all other paths.
Option | Description
Flat full band | Passes audio evenly across the audio spectrum.
Flat speech band | Passes only speech frequencies.
De-emph speech band | Passes audio in the speech range, attenuating higher frequencies. This option needs to be used in conjunction with Pre-emphasis for the transmit path.
De-emph full band | Passes all audio, attenuating higher frequencies. This option needs to be used in conjunction with Pre-emphasis for the transmit path.
Sub-audible band | Passes only the sub-audible band, containing any CTCSS tones or DCS codes. This option can be used to separate out the signalling and put it on the line output that is connected to a tone panel.

Rx Audio Path A

Enables the audio path from the receiver to balanced audio output, using the filter selected for Path A.

Rx Audio Path B

Enables the audio path from the receiver to unbalanced audio output, using the filter selected for Path B.

Line Level

The Line Level boxes set the audio level at the line output pins. The units are dBm for the balanced line output and Vpp (voltage peak-to-peak) for the unbalanced line output. When the reciter receives a signal that is 60% of the maximum deviation***but this is a Tx value when we are dealing with Rx***, it outputs audio on the line at the level you selected. For example, if a reciter is set to a 25 kHz bandwidth, the maximum deviation is 5 kHz. When this reciter receives a signal with a 3 kHz deviation, it outputs and the received signal would have.

See Also

Signal Path


Repeater Options

The Talk-Thru Repeater box specifies the audio path from receiver to transmitter.
Option | Description
Disabled | There is no audio path. The base station does not function as a repeater.
A-A | The base station filters received audio using the receive Path A filter and transmits it using the transmit Path A filter.
A-B | The base station filters received audio using the receive Path A filter and transmits it using the transmit Path B filter.
B-A | The base station filters received audio using the receive Path B filter and transmits it using the transmit Path A filter.
B-B | The base station filters received audio using the receive Path B filter and transmits it using the transmit Path B filter.

Note: You can vary the gain that the base station applies to talk through audio. See RF Configuration.

See Also

Signal Path


Microphone Panel

The two Mic drop-down lists specify the line output and transmit audio paths for the reciter microphone.

Mic

The upper drop-down list specifies the microphone's line out audio path.
Option | Description
None | The microphone has no line audio path
Balanced | Connects the microphone to the balanced line output
Unbalanced | Connects the microphone to the unbalanced line output

Mic

The lower drop-down list specifies the microphone's transmit audio path.
Option | Description
None | The microphone has no audio path to the transmitter
Tx A | Connects the microphone to the transmitter using the Path A filter
Tx B | Connects the microphone to the transmitter using the Path B filter

See Also

Signal Path


Transmit Path

The lower area of the tab lets you configure the transmit path.

Path A / Path B

The Path A and Path B drop-down lists let you select different filters for balanced and for unbalanced audio input, unless you are configuring the Default profile. These options are the same as for the receive paths, except that pre-emphasis filters replace the de-emphasis ones.

Option | Description
Flat full band | Passes audio evenly across the audio spectrum.
Flat speech band | Passes only speech frequencies.
Pre-emph speech band | Passes speech, amplifying higher frequencies. This option needs to be used in conjunction with de-emphasis for the receive path.
De-emph full band | Passes all audio, amplifying higher frequencies. This option needs to be used in conjunction with de-emphasis for the receive path.
Sub-audible band | Passes only the sub-audible band, containing any CTCSS tones or DCS codes. This option can be used to separate out the signalling and put it on the line output that is connected to a tone panel.
.

Line level

The Line level boxes specify the expected level of the line input. This is expressed as dBm for the balanced line input and Vpp (volts peak-to-peak) for the unbalanced line input. The expected level affects the gain across the transmit path. When the base station receives a line input at the level you select, it transmits at 60% of its maximum deviation. For example, if the channel profile specifies a Max Tx deviation of 5000 Hz, the base station transmits with a 3000 Hz deviation when the line input is at the selected level.

Tip: To determine the expected line level, set up your system and use a Service Kit diagnostic test to measure the level. See Measuring the Audio Input Level.

See Also

Signal Path


Power Saving

The Power Saving tab in the Add or Edit Channel Profile dialog box lets you specify how power saving will be applied when the base station is running on battery power. Two graphs show the meaning of Rx cycling and Tx keyup time. The three areas below the graphs define the parameters for Normal, Sleep, and Deep Sleep modes.

Normal

The Normal group box defines how the base station operates normally. Normal mode can involve a degree of power saving.

Sleep

The Sleep check box lets you enable Sleep mode. The related group box defines how the base station operates in Sleep mode. A normally operating base station enters Sleep mode when the receiver has been idle for the length of time specified in the Sleep mode's Start after box.

Deep Sleep

The Deep Sleep check box lets you enable Deep Sleep mode. The related group box defines how the base station operates in Deep Sleep mode. A base station in Sleep mode enters Deep Sleep mode when the receiver has been idle for the length of time specified in the Deep Sleep mode's Start after box.

Rx cycling

Rx cycling is the length of time in milliseconds that the receiver is switched off for. Power saving is effected by switching off the receiver, switching it back on to check if there is a valid signal, then switching it off again, and so on. Rx cycling is therefore the maximum wait before the base station detects an incoming signal. The longer the Rx cycling time, the more base station circuitry can be switched off and the greater the power saving.

Tx keyup time

The length of time that the transmitter needs for keying up. The longer the time, the more base station circuitry can be switched off.

Start after

The length of time that the base station waits before switching from Normal mode to Sleep mode or from Sleep mode to Deep Sleep mode. If the receiver detects a valid signal during this idle time, it restarts the timer.

See Also

Configuring Power Saving


CWID System

The CWID System tab in the Add or Edit Channel Profile dialog box lets you configure the way the base station broadcasts its identity using Morse code. In the USA, the FCC requires that base stations broadcast their identity.

Tip: Transmit using CWID before your radio system is commissioned; if there are any other users of the frequencies you have been assigned, this gives them advance warning.

Tip: Use CWID as an alarm notification method. The Task Manager can disable CWID on startup, then enable it when particular alarm conditions occur. See CWID Actions.

CWID System

This check box enables the automatic sending of a base station identifier. This is a Continuous Wave ID. Currently the only option is to use Morse code.

Transmission Interval

The Transmission Interval area lets you specify when and how often the station ID is transmitted.

Transmit every

Specifies the interval in minutes between one identity broadcast and the next, or the minimum interval if the base station only broadcasts in the Tx tail.

Wait until Tx tail before CWID transmission

If this check box is selected, the base station only broadcasts its identity immediately after audio transmission ceases. Any tail timers start to count down immediately after the CWID broadcast.

If the check box is cleared, the station ID is transmitted during a broadcast as soon as the transmission interval after the previous transmission has elapsed. This can occur at any time so the identity broadcast may interrupt speech or signalling. Any other modulating signal is temporarily suppressed to prevent interference with the Morse code.

Morse

The Morse area lets you configure the Morse code transmission and specify a unique ID for the base station.

Words per minute

Specifies the speed of Morse code transmission. The 5-letter word PARIS is used to establish the number of words per minute. This word corresponds to 50 dots.

Tone frequency

The frequency of the tone used to transmit the Morse code.

Message

Enter into this box up to 30 characters to be transmitted as the station ID. These characters will be transmitted using the International Morse Code convention.


Task Manager

The Task Manager tab in the Add or Edit Channel Profile window opens the Task Manager and displays the statements that apply to the selected channel profile. Use it to configure Task Manager inputs and actions that apply to the channel profile. **information here about what is provided by default when you create a new channel profile and what this information does***. ***Tips on what sort of statements you might want.

See Also

About Task Manager

Channel Profile Inputs

Channel Profile Actions


Working with Signalling Profiles

The Signalling Profiles form displays a list of the current signalling profiles.

Buttons along the bottom of the form let you add a new profile or copy, edit, or delete the selected profile.

See Also

About Profiles

Adding a Signalling Profile

Editing a Signalling Profile


Adding a Signalling Profile

The Add Signalling Profile dialog box lets you define the settings for a signalling profile and add it to the list of available profiles. It is almost the same as the Edit Signalling Profile dialog box. For detailed information, see Editing a Signalling Profile.

Important: If the base station doesn't have an Advanced Profiles licence, it makes no sense to create profiles. The Service Kit lets you create them but you will not be able to apply them to the channels in the channel table.

Tip: Set up a test profile and assign it to a channel. Use this channel when testing your system before commissioning.

To add a signalling profile

  1. Select Configure > Base Station > Signalling Profiles. The Signalling Profile form appears.
  2. Click the Add button. The Add Signalling Profile window appears.
  3. In the Profile name box, enter a suitable name for the profile.
  4. In the Subaudible Signalling tab, set up the default encoding of transmitted signals.
    1. In the Line-controlled base/mic box, specify the subaudible signalling type and the tone frequency that the base station will use when it transmits audio from its line in.
    2. In the Talk thru repeater box, optionally specify the subtone that the base station will encode by default when it transmits received audio. If you tell the base station to decode any subtone and gate the receiver, this setting is disabled.
  5. In the table, specify up to 16 subtones that you want the base station to recognise.
    1. In the Decode signal column, select the signalling type and tone frequency. The rest of the row now displays default settings.
    2. If you want to use the subtone only to initiate a Task Manager action, change the Action column to display `Task Manager only'.
    3. In the Encode Signal column you can tell the base station to transmit a different subtone from the one it received.
    4. Leave the Reminder Tone column displaying `Disabled' and the Audio Path column displaying `Enabled'. Later, if you want to send the group using this subtone a reminder, or even disable audio from their calls, you can use these columns.
  6. In the Tail Timers tab, configure the way the audio, signalling, and carrier end at the end of a transmission.
  7. In the Advanced tab, configure advanced parameters for CTCSS signalling.
  8. In the Task Manager tab, define any inputs and actions to customise the way channels with this profile will respond in different situations.
  9. Click OK to confirm your changes and close the dialog box. The profile you defined appears in the Signalling Profiles form.

See Also

About Profiles

Editing a Signalling Profile

Setting Up Reminder Tones


Setting Up Reminder Tones

tbd


Editing a Signalling Profile

The Edit Signalling Profile dialog box lets you view the details of the selected signalling profile and modify them.

Profile name

Specifies the name of the profile. This name is used in the Channel Table and Signalling Profile panes.

Tabs

The dialog box is divided into four tabs that group similar configuration items.

Sub-Audible Signalling

Specifies the signalling that the base station will recognise on transmissions it receives. Specifies the signalling that it will add to its own transmissions.

Tail Timers

Enables and configures various timers, most of which that apply to the end of each transmission.

Advanced

Configures any reminder tones and the way the base station decodes CTCSS.

Task Manager

Displays Task Manager tasks that apply to the current signalling profile and lets you modify or add to them.

Buttons

Buttons along the bottom of the window let you move from one signalling profile to another without leaving the tab you are in.

Next Profile

Displays the next signalling profile in the same tab.

Previous Profile

Displays the previous signalling profile in the same tab.

Note: If you have made changes to the current profile, it is good practice to click OK to confirm them before moving to another profile.

See Also

About Profiles

Adding a Signalling Profile

Setting Up Reminder Tones

Sub-audible Signalling

Tail Timers

Advanced

Task Manager


Sub-audible Signalling

The Sub-Audible Signalling tab in the Edit Signalling Profile dialog box specifies the subtones that the receiver recognises and that the transmitter applies. The base station supports CTCSS tones and DCS codes.

Most of the tab is taken up by a table. Each row in the table specifies a subtone that the base station will recognise and the action that it will take. Default subtones for the transmitter are specified in the Default encode signalling area.

Subtone table

Most of the Sub-Audible Signalling tab consists of a table that defines up to 16 subtones that the receiver will accept and specifies the base station's response. The left-hand side specifies the receive response and the right-hand side the transmit response.

The table lets you configure the base station as a community repeater, with each subtone having its own group of users. You can also set up the means of remotely initiating Task Manager actions; a radio can send carrier with a particular subtone; the decoding of this subtone initiates a Task Manager action.

The left side specifies a subtone. The base station will recognise transmissions containing that subtone. The row defines the base station's response.

Decode signal

Specifies a subtone and instructs the base station to decode it. To begin adding a subtone to the list that the base station will recognise, click in the cell. A pop-up menu appears. Click an option. When you select a subtone, it becomes unavailable. If the subtone is a DCS code, its inverse also becomes unavailable. This is to prevent you selecting the same subtone twice.

Action

Specifies the action when the base station detects the specified subtone.
Option | Action
Gate receiver | Opens the receiver gate and passes the received audio on. Sets the system flag `Detected subaudible tone n' where `n' is the number of the subtone. This flag is a Task Manager input; any statements with this input will be executed when the base station detects the subtone.
Task Manager only | Sets the system flag `Detected subaudible tone n' where `n' is the number of the subtone. This flag is a Task Manager input; any statements with this input will be executed when the base station detects the subtone. The receiver does not pass the received audio on.

Encode signal

Specifies the subtone that will be encoded when the base station transmits signals received with the subtone specified in the Decode signal column.
Option | Action
Same as received | Encodes the transmission with the same subtone that was in the received signal.
None | Gives the transmission no subaudible signalling.
[any CTCSS tone or DCS code] | Encodes the transmission with the subtone you specify

Reminder tone

When the Reminder tone column is set to `Enabled', the base station includes a reminder tone in its transmissions. You can configure the reminder tone in the Advanced tab.

Audio path

By default, the Audio path column is set to `Enabled'. When it is set to `Disabled', the audio path is disabled and the base station transmits carrier and a reminder tone if it is configured to do so, but it does not transmit audio.

Default encode signalling

This area lets you specify the subtone to be used when transmitting audio from line in and when repeating received signals without sub-audible signalling.

Line controlled base/mic

Specifies the subtone to be used when the base station transmits audio from the balanced or unbalanced line inputs.

Talk through repeater

Specifies the subtone to be used when the base station repeats any valid received signal. This box is disabled and has no effect if the subtone table below specifies any subtone and gives it the action `Gate receiver'.

See Also

CTCSS decode speed

CTCSS reverse tone burst decoding

CTCSS Characteristic


Tail Timers

The Tail Timers tab in the Edit Signalling Profile dialog box lets you configure tail timers and other similar features. Tail timers operate at the end of each base station transmission.

Three different tail timers give you power and flexibility in tail timing. The total tail time is the sum of all three timers. The graphic at the top of the tab shows the difference between the tail timers. Tail timers are used to:

  • eliminate squelch tail, the `tish' sound caused when the CTCSS detector doesn't immediately re-mute the user's radio when carrier ceases.
  • prevent users on different subtones from taking control of the repeater during a temporary lull in the conversation.

Lockout transmitter

To prevent radio users from monopolising the base station, you can set a time limit and have the transmitter lock users out for a defined period after this time limit is exceeded. Transmitter lockout terminates the current call and gives other users the opportunity to use the channel.

The Lockout transmitter after time limit reached check box enables the temporary disabling of the transmitter after a call that exceeded the time limit.

The Time limit box specifies the time limit for calls. If a call exceeds the time limit, the transmitter is locked out and the call cannot continue. The transmitter is unable to transmit for the length of time specified in the Lockout duration box.

Anti-Kerchunking

Anti-kerchunking discourages radio users from repeatedly pressing PTT briefly to ascertain whether they have service or to reserve the base station for themselves.

The Anti-Kerchunking check box enables the feature. If a transmission is short, either the transmitter is not keyed up or there will be no tail timers, depending on the option selected.

The Transmissions less than box specifies which transmissions are short; those with a duration less than the value in the box. Anti-kerchunking will only be applied to these transmissions.

If the Will not key transmitter option is selected, short transmissions do not key up the transmitter at all. In effect, this option lengthens the key-up time for all radio users.

If the Will not enable tail timers option is selected, short transmissions are transmitted but not given a tail timer. The base station comes available to other users quickly and the radio user hears nothing on releasing PTT and therefore does not know whether the base station has responded.

Hang time

The hang time is the length of time at the end of each transmission when the base station continues to transmit sub-audible signalling after Tx keying has ceased.

The Hang time check box enables this timer and the Duration box specifies the length of the hang time.

Reverse tone burst

The base station can send a reverse tone burst at the end of each transmission. This applies only to transmissions with a CTCSS subtone. The reverse tone burst consists of the same subtone, but is out of phase with it. In suitable radios, this quickly mutes the receiver.

Note: Transmissions with a DCS subtone have an equivalent; the DCS end tone. This consists of a 134 Hz tone that lasts 180 ms and is not configurable.

The Reverse tone burst box enables the feature.

The Duration box specifies the length of the tone burst. You can specify this in milliseconds or in cycles. If the burst has too many cycles, it comes back into phase with the original subtone and the radio may detect it again, re-opening the receiver gate. Specifying the duration in cycles for different CTCSS frequencies can help to prevent this.

The Phase angle box specifies the amount that the burst is out of phase with the original CTCSS subtone. If you select +120 or -120, more cycles are required before the burst comes back in phase with the original subtone.

Soft-off time

The base station can also send only carrier (carrier without modulation of any kind) at the very end of each transmission. The Soft-off time box enables the feature and the Duration box specifies the length of time that only carrier is transmitted.


Advanced

CTCSS decode speed

Configures the response time for decoding CTCSS subtones. This is the time it takes for the base station to look for CTCSS subtones on the receiver input before signalling that it has a valid subtone.
Option | Description
As fast as possible | The base station declares that the receiver input is valid as soon as it detects a valid CTCSS subtone. This happens more quickly at higher subtone frequencies. The actual speed depends on the CTCSS characteristic.
Fixed speed | When RF appears on the RF input, the base station starts a timer and begins decoding the CTCSS subtone. After decoding, it waits until the timer reaches the time you configure in the adjacent box before declaring that the receiver input is valid.

CTCSS reverse tone burst decoding

Specifies whether the receiver recognises reverse tone bursts.
Option | Description
A decoded RTB will close the gate | The receiver recognises the reverse tone burst and stops outputting audio.
Disable RTB decoding | The receiver ignores any reverse tone bursts. It waits until there is no subtone on the RF input before ceasing to output audio.

CTCSS Characteristic

Reminder tone

Lets you configure the reminder tone that can be added to transmissions when the base station acts as a community repeater.


Task Manager

The Task Manager tab in the Add or Edit Signalling Profile window opens the Task Manager and displays the statements that apply to this signalling profile. Use it to configure Task Manager inputs and actions that apply to the channel profile. **information here about what is provided by default when you create a new channel profile and what this information does***. Tips on what sort of statements you might want.

See Also

About Task Manager

Signalling Profile Inputs

Signalling Profile Actions


Working With the Channel Table

The Channel Table form (Configure > Base Station > Channel Table) lets you work with channels. You can view the configured channels, edit them, and add more channels using a variety of different methods.

See Also

About Channels

Channel Table Details

Editing a Channel (Default Profiles)

Editing a Channel (Custom Profiles)

Adding and Copying Channels

Block Copying Channels

Importing Channels

Exporting Channels


Channel Table Details

The Channel Table form displays the channels defined in the configuration file that you opened or the base station database that you read in.

The form contains a table that displays a row for each channel. The row indicates which profiles have been assigned to the channel.

**talk about row selector column here?

An arrow at the left of one row indicates that it is selected; if for example you click the Insert Copy button, that row will be copied. Use the mouse or the arrow keys to change your selection. When you make any changes to a row, the arrow changes to a pencil.

Important: The arrow does NOT define the current or default channel. To find out the channel the base station is currently operating on, select Monitor > Monitoring > Base Station. To specify the default channel, select Configure > Base Station > General.

A set of buttons along the bottom lets you work with the table of channels.

Columns

The first two columns indicate the number and name of each channel. The other columns define the main characteristics of each channel. You can adjust their width. Not all columns are visible. You need to scroll the display to view them all. Some columns you can edit directly; in others a drop-down list appears when you click in the cell. `Multiple' in a column means that the profile definition defines more than one value for the column's parameter.

Num

The number of the channel. This is the number that external channel selection and Task Manager actions use when changing the channel that the base station operates on.

Channel Name

The name of the channel. When you create a channel, it is given a default name of the form `Channel nnn' where nnn is the channel number. You can edit this name to reflect the channel's purpose or users.

Receive Frequency

The radio frequency that the channel receives on.

Transmit Frequency

The radio frequency that the channel transmits on.

Signalling Profile

The signalling profile assigned to the channel. This profile defines a group of operating parameters. If the profile is `Default', the next two columns are editable.

Receive Signalling

Indicates the subtone that the channel recognises as a valid signal on its receive frequency. If the signalling profile is `Default', you can edit this column, otherwise it is defined by the profile. `Multiple' means that the profile assigned to the channel defines more than one subtone.

Transmit Signalling

Indicates the subtone that the channel includes in its transmissions. If the signalling profile is `Default', you can edit this column, otherwise it is defined by the profile. `Multiple' means that the profile assigned to the channel defines different subtones for different receive signalling.

Channel Profile

The channel profile assigned to the channel. This defines a further group of parameters. If the profile is `Default', the next two columns are editable.

Channel Type

Specifies the audio response characteristics of the channel. `Multiple' means that these are different for different audio paths or that the receive characteristics are different from the transmit characteristics (channel profiles other than `Default').

Power

The RF power output that the channel is configured to provide when it is provided with mains power. (The channel profile may specify a different power output for battery power).

BW

The bandwidth of the channel. The available options are expressed as the minimum channel spacing that you need. For example, If 20 kHz is selected, the channel spacing must be 20 kHz or more but the actual bandwidth is 12 kHz.
Option | Tx max deviation (Hz) | Actual Rx IF Bandwidth (kHz) | Name
12.5 | 2500 | 7.5 | Narrow Band
20 | 4000 | 12 | Mid Band
25 | 5000 | 15 | Wide Band

Buttons

A row of buttons along the bottom of the form lets you work with the channel table. You can add or remove channels, create a whole new block of channels, or rearrange them into a better order.

Insert New

Inserts an additional channel at the end of the channel table. The channel is a identical to the last channel in the table except for the channel number.

Insert Copy

Inserts a copy of the selected channel ***where.

Block Copy

Lets you add a number of channels to the channel table, each with the properties of the selected channel, except that the channels all have a channel spacing that you specify. See Block Copying Channels for more information.

Move Up

Shifts the current row above the previous row, effectively renumbering it with the previous channel number. You can use this button and the Move Down button to give the list of channels a more logical or tidy order or to group channels in particular ways.

Important: The Move Up and Move Down buttons assign a different number to the channel. If you use them, you may need to alter the default channel selection, any external channel selection, and any Task Manager actions that change channel.

Move Down

Shifts the current row below the previous row, effectively renumbering it with the next channel number

Delete

Removes the current row from the channel table.

Import

Lets you add a set of channels from a file exported from another base station. See Importing Channels.

Export

Lets you save a set of this base station's channels to a file so that you can import them into other base stations. See Exporting Channels.


Editing a Channel (Default Profiles)

Editing a channel varies, depending on whether you use custom profiles. The instructions below indicate how to edit the channel when it has the default profiles assigned to it. In this case, you can edit most of the columns in the table.

To edit a channel

  1. Click in the row that defines the channel. The arrow appears at the left of the row indicating that it is selected.
  2. If desired, edit the default channel name. To do this, simply click in the Channel Name cell and edit as you would any text box.
  3. If necessary, alter the receive frequency and the transmit frequency.
  4. If the channel will use subaudible signalling, configure it as follows.
    1. In the Receive Signalling column, select the subtone that the base station will receive.
    2. In the Transmit Signalling column, select the subtone that the base station will transmit.
  5. In the Channel Type column, select the appropriate audio filter. See Path A for more information about the available options.
  6. In the Output Power column, specify the transmitter's RF output power.
  7. In the Bandwidth column, specify a bandwidth for the transmit and receive channels. For more information, see BW.
  8. Click OK to confirm your changes and close the form.

    Note: If you are editing a large number of channels, periodically select File > Save to save the changes to a file on disk.


Editing a Channel (Custom Profiles)

Editing a channel varies, depending on whether you use custom profiles. The instructions below indicate how to edit the channel by assigning custom profiles to it. In this case, most of the columns become read only.

To edit a channel

  1. Click in the row that defines the channel. The arrow appears at the left of the row indicating that it is selected.
  2. If desired, edit the default channel name. To do this, simply click in the Channel Name cell and edit as you would any text box.
  3. If necessary, alter the receive frequency and the transmit frequency.
  4. Click in the Signalling Profile cell. An arrow appears at the right of the cell. Click on it and select a profile from the drop-down list. This list contains all the profiles defined in Configure > Base Station > Signalling Profiles.
  5. If you selected the Default profile, you can edit the Receive Signalling and the Transmit Signalling cells. If you selected a custom profile, these cells are read-only; they display what has been defined in the profile. To change them, you must select a different profile or alter the current profile's settings.
  6. In a similar way, select a channel profile.
  7. Click OK to confirm your changes and close the form.

    Note: If you are editing a large number of channels, periodically select File > Save to save the changes you are making.


Adding and Copying Channels

The Channel Table form has a row of buttons along the bottom that give you a variety of methods for adding to the number of channels.

Insert New

The Insert New button inserts a row below the current row. The row is contains default values and is assigned the Default profiles.

Insert Copy

The Insert Copy button copies the current row and inserts it below that row. The channel number is incremented.

Related Topic

Block Copying Channels


Block Copying Channels

The Block Copy button lets you create a block of channels. Each channel in the block has its own frequency pair, but all other configurations are the same. You can subsequently edit any channel as desired.

  1. Click in the row of the channel you want to block copy.
  2. In the Channel Table form, click the Block Copy button. The Block Copy dialog box appears.
  3. In the Channel block start box, enter the channel number of the first channel you want to create.
  4. In the Channel block end box, enter the channel number of the last channel in the block.
  5. In the Receive frequency increment box, enter a number of kHz. This determines how much the receive frequency of a channel differs from the previous channel. For example, if you enter 15 kHz and the previous channel's receive frequency is 10 MHz, the next channel's receive frequency will be 10.015 MHz. **channel spacing?*** - could define this in Glossary.
  6. In the Transmit frequency increment box, specify the number of kHz that the transmit frequency will increment for each channel you add.
  7. Click OK to create the block of channels and close the dialog box. The channels appear in the Channel Table form.


Importing Channels

You can import a file containing channels that have been exported from another base station. Importing overwrites any channels with the same number as the imported channel. Imported channels always have the default signalling and channel profiles.

To import channels

  1. In the Channel Table form (Configure > Base Station > Channel Table), click Import.
  2. Navigate to the folder containing the T8000 channel file (*.t8h), then select it and click Open.


Exporting Channels

You can export channel configurations. This provides an exported channel file that you can import into other base station channel tables. It also generates a text file for your records.

To export channels

  1. In the Channel Table form (Configure > Base Station > Channel Table), select the channels you want to export: hold down the Control key and click on the row selector at the left of the table.
  2. Click Export.
  3. Specify the path and file name for the file you want to create.
  4. Click Save.

    The Service Kit saves the file, giving it the extension .t8h. It also saves an equivalent text file with the same name and with the extension .txt.


Specifying the Operating Channel

After you have set up a number of channels, you need to specify the one that the base station will operate on.

Using the Service Kit, you select one channel as the default. This is the channel that the base station operates on, unless it uses external channel selection or a Task Manager action changes channel or makes a different channel the default.

See Also

Select default channel configuration

Configuring External Channel Selection


Printing Channel Data

The Service Kit lets you print channel and other configuration data that you have opened from a configuration file or read in from a base station.

Note: Printing to an old-style text printer is not supported; the layout requires the use of large and small fonts.

  1. Select File > Print. The Print Selection dialog box appears.
  2. Using the arrow buttons, select the configuration items you want printed. An item is selected for printing when it is in the right-hand box.
n The >> and << buttons move all configuration items.
n The > and < buttons move the highlighted item. Click on an item to highlight it.
  3. Click the Printer Settings button and check that the printer setup is as you want.
  4. Click the Print button to send the configuration information to the printer.

Example printout + how to interpret?***.


Part G Alarms

Alarms

The Service Kit can monitor the current status of a base station's alarms. It can also display the alarm log. Many alarms have thresholds that you can alter to suit the application.

The base station can notify you in various ways when alarms occur. Use the Service Kit to enable and configure these notification methods.

Topics
  • About Alarms
  • Monitoring Alarms
  • Viewing Recent Alarms
  • Adjusting Alarm Thresholds
  • Alarm Notification


Monitoring Alarms

The Current Status form (Monitor > Alarms > Current Status) shows the current status of alarms in the base station. The Service Kit must be connected and logged onto the base station.

LED-like icons indicate the status.

  • Red means that the alarm is active.
  • Green means that the monitored condition is OK and that there is no alarm.
  • Grey means that the monitored condition is not available; for example PA alarms are grey if no PA is detected.

Alarms are triggered when a monitored condition crosses a defined threshold. Some thresholds are fixed and built into the module firmware. Others are configurable in Configure > Alarms > Activation Parameters. Some parameters such as high voltage and high reverse power have two thresholds. When the configurable threshold is crossed, the base station generates an alarm. When the built-in threshold is crossed, the base station responds by protecting itself against damage.

See Also

Monitoring Alarms from the Service Kit

Reciter

Power Amplifier

System

Power Management Unit


Reciter

The Reciter area shows the Alarm status of the reciter.

Power up fault

The reciter has failed one or more of its initialisation self-tests and has gone into Download mode. The transmitter and receiver are disabled and any system interface outputs are deactivated. The Fault LED on the front of the rack frame will be on.

Note: This alarm will not show if the reciter cannot communicate with the Service Kit.

  1. Ensure that there isn't another reciter in the BSS with the same I2C bus number.
  2. Reset the base station. This may clear the fault.
  3. Send the reciter to a Service Center.

Channel invalid

The base station has received an instruction to select an invalid channel number and has stopped transmitting and receiving.

The channel could be invalid for one of the following reasons:

  1. The channel number specifies a UHF frequency but the base station is VHF, or vice versa.
  2. The base station cannot lock onto the specified frequency. To verify if this is the cause, do a diagnostic test to see if the base station can lock onto the frequency. ***xref or name the test properly***.
  3. There is a problem with the external selection of the channel.
    1. Select Monitor > Monitoring > Base Station to determine whether the channel number is determined by hardware.
    2. Select Diagnose > Reciter > Digital IO to see what the base station thinks the hardware channel is set to.
    3. Select Configure > Base Station > System Interface to check that the base station is configured to correctly interpret the channel selection. Are the settings for Binary or BCD format and for Invert correct?
    4. Select Configure > Base Station > Channel Table to see whether a configuration for the externally selected channel exists.
  4. A Task Manager action asked the base station to go to a channel number that does not exist in the channel table.
    1. Check the trace buffer (Diagnose > Task Manager > Trace Buffer) to see if the channel number has been changed.
    2. Look in the Task Manager statements for channel profiles to see if there are any go to channel actions. Note the number of the channel that Task Manager instructed the base station to go to.
    3. Select Configure > Base Station > Channel Table to see whether a configuration for that channel exists.
External Reference

The base station can detect whether an external reference is present and whether it is useable.

External reference absent

The base station cannot detect an external reference frequency source. It is now using its own source.

  1. There is no external reference source. Most applications do not need one.
  2. The source has become unplugged.
  3. The source is not working.

An external reference is critical for Quasi-Sync applications.

External reference invalid

An external reference frequency is connected to the base station, but the base station cannot lock on to its channel frequency using that reference. It is now using its own source.

  1. The base station is configured (Configure > Base Station > General) to expect a 10 MHz frequency but the source is 12.8 MHz (or vice versa).
  2. The reference source is faulty.
Synthesiser out of lock

The reciter has three different synthesiser alarms.

Synthesiser out of lock: Exciter

One or more of the exciter's synthesisers is unable to lock on to the frequency it is configured to operate at. In response, the base station disabled the transmitter.

  1. Check that this frequency is within the exciter's operating range.
  2. Do a diagnostic test to determine the lock range, then check that the frequency is within the exciter's switching range.
  3. If the frequency is outside the switching range, recalibrate. Otherwise send the reciter for repair.

Synthesiser out of lock: Digital

One or more of the DSP and sampling clocks is out of lock. In response, the base station disabled the receiver and the transmitter.

  1. The base station is configured for an external reference of a particular frequency but the actual frequency of the external reference is different.
  2. The master synthesiser is unable to lock onto the frequency. The base station will run but the accuracy of its receive and send frequencies cannot be guaranteed. Send the reciter for repair.

Synthesiser out of lock: Receiver

The receiver's synthesiser is unable to lock onto the frequency it is configured to operate at. In response, the base station disabled the receiver.

  1. Check that this frequency is within the receiver's operating range.
  2. Do a diagnostic test to determine the lock range, then check that the frequency is within that range.
  3. If the frequency is outside the lock range, recalibrate. Otherwise send the reciter for repair.


Power Amplifier

The Power Amplifier area shows the alarm status of the power amplifier associated with the reciter you are logged on to. When a fault is no longer active, any actions (for example, inhibiting transmission) are reversed.

No PA detected

The reciter cannot obtain a response from a power amplifier.

  1. No PA is installed.
  2. Your system uses a third party PA which does not use the I2C bus and cannot respond to the reciter.
  3. The control cable or exciter cable is not connected.
  4. The PA is faulty and unable to communicate with the exciter.

Fan failed

The PA told the reciter that its fan is on, but the reciter cannot detect fan motion. The base station takes no action when this alarm occurs, but it will act if the PA temperature becomes too high.

  1. The base station is configured for a 3-wire fan when a 2-wire fan has been fitted.
  2. The PA fan is connected to the PMU and vice versa, so that the PA is turning the PMU fan on instead.
  3. The fan has failed. Replace it.

Shutdown

The PA has detected a fault condition and has disabled the transmitter to prevent damage. Check the other alarms to see what fault condition or conditions have caused this.

VSWR high

The VSWR is above the configurable threshold. A normal VSWR is £ 2:1. A high VSWR automatically means reduced output power. If the VSWR increases to 10:1 or more, the PA folds back its power output to a minimal level. If the VSWR returns to 5:1 or less, the PA recovers.

  • Check for a load mismatch on the PA's RF output.

Power foldback

The PA has detected a fault condition and has reduced its power output to a minimal level to prevent damage. Check the other alarms to see what fault condition or conditions have caused this. If the fault condition clears, the PA automatically returns to its previous power output level and the alarm changes to green.

Forward power low

The PA forward power output is below the configurable minimum limit. If the VSWR is also raised, check for a load mismatch. Otherwise, there may be a fault in the output driver(s).

Reverse power high

The PA's reverse power is above the configurable maximum. Check for a load mismatch.

H/w configuration invalid

The PA has an invalid hardware configuration. Either the driver is not present or the configuration says that there is a Final 2 output stage but no Final 1, which is impossible.

Current

The Current group of alarms detects excessive or inappropriate current draw. If an alarm shows red, the PA needs servicing.
Alarm | Description
Driver high | The driver is drawing excessive current. A fixed limit has been exceeded.
Final 1 | The Final 1 output stage is drawing excessive current. A fixed limit has been exceeded.
Final 2 | The Final 2 is drawing excessive current. A fixed limit has been exceeded.
Imbalance | One of the final stages is drawing significantly more current than the other.

Supply voltage

The PA can detect whether its power supply voltage is too high or too low.

Supply voltage high

The PA supply voltage is 29 V or more.

  1. The third party power supply is incorrectly configured.
  2. A voltage regulator has failed.

    Note: The base station is not type-approved for operation when the supply voltage is outside the specified range.

Supply voltage low

The PA supply voltage is 26 V or less, probably because the battery is running low. The fault condition disappears when the voltage exceeds 26.1 V.

Temperature high

This group of alarms shows whether the temperature in the driver, Final 1 or Final 2 output stage has exceeded the configurable threshold. If a temperature exceeds a built-in limit, the PA folds back its power output until the temperature is within the normal range.

Select Diagnose > Power Amplifier > Control Tests to see the actual temperatures.

Calibration invalid

The alarms in this group can only be triggered on startup, when the PA carries out self-tests. They indicate that settings stored in firmware have values outside acceptable limits. In response, the base station disables the transmitter. Send the PA to a service center for repair or re-calibration.
Alarm | Description
Checksum | The calibration data has a checksum error.
Bias | The calibration of the bias current is invalid.
Power | The calibration of the RF power output is invalid.


System

The System area displays alarms that are triggered by system conditions. These alarms do not indicate base station faults. You can set a threshold for these alarms if this is appropriate for your system. For example, if the base station should always receive a signal on the balanced input, you can set a threshold so that the alarm is triggered if the signal fails. Otherwise leave the threshold at 0, so that the alarm is never triggered.

Balanced input low

The audio level on the base station's balanced input lines has fallen below the configured minimum. This alarm can be used to indicate when audio is lost.

Unbalanced input low

The audio level on the base station's unbalanced input lines has fallen below the configured minimum. This alarm can be used to indicate when audio is lost.

Analog input high

The signal on the base station's analog input lines is stronger than the configurable maximum.

Analog input low

The signal on the base station's analog input lines is weaker than the configurable minimum.

RSSI

The base station measures the strength of the incoming RF signal and can determine whether it is stronger or weaker than a pre-defined level.

RSSI high

The signal that the base station is receiving is stronger than the configurable maximum.

RSSI low

The signal that the base station is receiving is weaker than the configurable minimum.

Air intake temperature

The base station can optionally be fitted with a sensor that measures the air temperature at the PA fan intake and determines whether it is above or below the configurable limits.

Air intake temperature high

The temperature has exceeded the configured maximum. The PA can sustain full-powered continuous operation at an air intake temperature of up to about 60° C. If this fixed limit is exceeded, the PA reduces its power output until the temperature returns to the normal range.

Air intake temperature low

The temperature is below the configurable minimum. The base station is not designed for operation below the default minimum.


Power Management Unit

The Power Management Unit area shows the alarm status of the PMU that supplies the base station with power.

No PMU detected

The reciter is unable to detect the PMU and provide information about it. There may be a fault on the I2C bus. The base station responds by disabling power saving.

Fan failed

The PMU told the reciter that its fan is on, but the reciter cannot detect fan motion. The base station takes no action when this alarm occurs, but it will act if the PMU temperature becomes too high.

  1. The base station is configured for a 3-wire fan when a 2-wire fan has been fitted.
  2. The PMU fan is connected to the PA and vice versa, so that the PMU is turning the PA fan on instead.
  3. The fan needs replacing.

Shutdown imminent

A battery is currently being used to power the base station and its voltage has fallen to the absolute minimum. The PMU will stop operating 30 seconds after activating this alarm. The main value of this alarm is as an input for Task Manager actions. You can for example have the base station send the alarm log just before shutting down.

Mains supply failed

The mains power supply to the PMU is absent or its voltage is outside acceptable limits. The PMU is using DC power from its battery source.

Power up fault

The PMU has detected an internal error and will reset itself. If the reset is successful, the alarm will clear.

Temperature high

One of the PMU temperature sensors has detected a temperature that is above the fixed limit.

Battery

The PMU measures the voltage of its battery input.

Battery voltage high

The PMU's battery voltage is higher than the configurable maximum. The base station takes no action until the voltage reaches the fixed maximum, when it shuts down.

Battery voltage low

The battery voltage is below the configurable minimum. This minimum may have been set to alert you to the risk of damage to the battery from overdischarge. If the voltage falls below a fixed minimum, the PMU automatically shuts down to protect the battery and base station equipment.

Battery protection mode

The base station is operating on mains power but the battery voltage is still below the configurable minimum. If mains power fails when the PMU is in protection mode, the base station will not use battery power. This is to protect the battery.

  1. The system has been operating on battery power; the battery has become flat and mains is restored. No action required.
  2. The battery is not being charged. Check the PMU's battery charger line.
  3. The battery is flat. Replace.
  4. The minimum battery voltage is set too high.
Output

The PMU measures the voltage and the amperage of its DC output to the PA and to the reciter.

Output voltage high

The PMU's DC output (nominally 28 V) is higher than the fixed maximum of 32 V.

Output voltage low

The PMU's DC output (nominally 28 V) is lower than the fixed minimum of 24 V.

Output current high

The PMU is providing more than 15 A of current and is automatically limiting its output, lowering the output voltage. There is a short circuit or the PMU is faulty.


Viewing Recent Alarms

The Reported Alarms form (Monitor > Alarms > Reported Alarms) displays recent alarms from the base station you are logged on to. The base station stores the last 50 alarm messages; when you log on to it, these messages became available and are displayed in this form.

Note: The Alarm Center can also display recent alarms that have been sent to it by various base stations.

The form displays information about the alarms, one row for each alarm. The display is updated with any new alarms each time the Service Kit polls the base station. The polling rate is set when you configure the connection.

Each row contains the following information.

Date & Time

The date and time that the alarm was reported to the base station (the date is provided by the base station's clock).

Module

The name of the base station module reporting the alarm.

Serial Number

The serial number of the module reporting the alarm.

Reported Alarm

The text of the alarm.

Save to File

Click the Save to File button to save the displayed information. This enables you to store a record of alarms, for example to help with troubleshooting an intermittent problem. The Alarm log can only store the most recent 50 alarms and these are lost if the base station is reset.

Alarms are stored in the CSV (Comma delimited) format. The default extension is *.csv.

Clear List

Removes the displayed alarms from the form and from volatile memory.

Tip: Save the alarms to file before clearing the list. If you want to view cleared alarms, connect to the base station again. The base station will send its alarm log

See Also

About Alarms


Adjusting Alarm Thresholds

The Activation Parameters form (Configure > Alarms > Activation Parameters) lets you:

  • Alter thresholds for base station alarms
  • Specify which alarms activate the fault LED on the BSS front panel
  • Enter details that configure fan alarms

Some alarm thresholds are fixed; they are built in to the base station and cannot be changed. Others have default values that you can alter in the Activation Parameters form. You may want to adjust them to better reflect your system's operating conditions or monitoring procedures. This can be important if an alarm is used as an input in Task Manager statements.

See Also

About Alarms

Adjusting Thresholds

Configuring the Front Panel Fault LED

Configuring Fan Alarms


Adjusting Thresholds

In the Activation Parameters form, the Thresholds area displays a list of upper and lower limits. When a parameter value goes outside its limit, the base station triggers the corresponding alarm. Alongside each threshold value is the applicable unit, then a box displaying the current value.

To adjust a threshold, edit its value or click one of the adjacent arrows, then click OK to confirm your changes and close the form.

The alarms that these thresholds apply to are described in Monitoring Alarms. The equivalent Task Manager inputs are described in Alarm Inputs.

Minimum PA power output

Defines the lower limit for the PA forward power output. When the output falls below this limit, the base station triggers the alarm Forward power low and the Task Manager input Forward power low becomes true.

Maximum PA reverse power output

Defines the upper limit for the PA's reverse power. When the reverse power exceeds this limit, the base station triggers the alarm Reverse power high and the Task Manager input Reverse power high becomes true.

Maximum PA VSWR

Defines the upper limit for the VSWR. When the VSWR exceeds this limit, the base station triggers the alarm VSWR high and the Task Manager input VSWR fault becomes true.

Maximum PA final temperature

Defines the upper limit for the operating temperature at the Final 1 and Final 2 stages of the PA. When the temperature exceeds this limit, the base station triggers one of the Temperature high alarms and the Task Manager input PA temperature high becomes true.

Maximum PA driver temperature

Defines the upper limit for the operating temperature at the driver stage of the PA. When the temperature exceeds this limit, the base station triggers one of the Temperature high alarms and the Task Manager input PA temperature high becomes true.

PA air intake temperature

The Maximum box defines the upper limit for the air intake temperature that is measured at the PA. When the temperature exceeds this limit, the base station triggers the Air intake temperature high alarm and the Task Manager input Air intake temperature high becomes true.

The Minimum box defines the lower limit for the air intake temperature that is measured at the PA. When the temperature falls below this limit, the base station triggers the Air intake temperature low alarm and the Task Manager input Air intake temperature low becomes true.

PMU battery voltage

The Max box defines the upper limit for the battery voltage that is supplied to the DC-DC converter. Different limits apply, depending on which nominal voltage the DC-DC converter is designed for. When the voltage exceeds the relevant limit, the base station triggers the Battery voltage high alarm and the Task Manager input Battery voltage high becomes true.

The Min box defines the lower limit for the battery voltage that is supplied to the DC-DC converter. Different limits apply, depending on which nominal voltage the DC-DC converter is designed for. When the voltage falls below the relevant limit, the base station triggers the Battery voltage low alarm and the Task Manager input Battery voltage low becomes true.

Balanced line input level

The Minimum box defines the lower limit for the level of the audio signal on the balanced line in. When the audio level falls below this limit, the base station triggers the Balanced input low alarm and the Task Manager input Balanced input low becomes true.

Unbalanced line input level

The Minimum box defines the lower limit for the level of the audio signal on the unbalanced line in. When the audio level falls below this limit, the base station triggers the Unbalanced input low alarm and the Task Manager input Unbalanced input low becomes true.

RSSI level

The Maximum box defines the upper limit for the received signal strength as measured in the receiver. When the RSSI exceeds this limit, the base station triggers the RSSI high alarm and the Task Manager input RSSI high becomes true.

The Minimum box defines the lower limit for the received signal strength as measured in the receiver. When the RSSI falls below this limit, the base station triggers the RSSI low alarm and the Task Manager input RSSI low becomes true.


Configuring the Front Panel Fault LED

An area of the Activation Parameters form specifies which alarms activate the Fault LED on the front panel of the BSS.

The list contains all the alarms that the base station can generate. For more information about them, see Monitoring Alarms. Click an item on the list to select it; a tick appears inside its box.

Note: The Fault LED will indicate faults from either base station in the rack frame.


Configuring Fan Alarms

The Fan area of the Activation Parameters form specifies the conditions that will activate fan alarms.

To configure fan alarms

  1. Specify a number of fan operating hours. When the PA or PMU fan has actually been operating for more than this total length of time, the task manager input `PA Fan Exceeded Max Hours' or `PMUA Fan Exceeded Max Hours' becomes true and the task manager executes any statements containing that input.
  2. Specify whether the fan type is 2-wire or 3-wire. If you select 3-wire, the base station will use the third wire as a rotation detector. If it has turned the fan on but does not detect rotation, it activates an alarm.


Alarm Notification

The Notification Methods form (Configure > Alarms > Notification Methods) lets you configure the way the base station lets you know over the air and over the line that there is an alarm.

Important: Configuring these notification methods does not enable notification; to do this, you must create appropriate Task Manager tasks that contain Over the air alarm actions or Over the line alarm actions.

The base station can also send the alarm log or a status message via Email; select Configure > Communications > Email to configure this notification method.

See Also

About Alarm Notification

Notifying Over the Air

Notifying Over the Line

Notifying the Alarm Center

Notifying by Email


Notifying Over the Air

The Over the air notification area of the Notification form lets you configure the way the base station notifies alarms using the base station's own transmissions.

Tip: Use CWID as an additional over-the-air alarm notification method. Task Manager can disable CWID on startup, then enable it when particular alarm conditions occur. See CWID Actions.

To configure the way alarms are notified over the air

  1. In the Notification method box, select an over-the-air method. Currently, only the Pip Tones method is available. A pip tone is a 600 Hz tone with a duration of 200 ms.
  2. In the Pip method box, select an option that specifies how the pip tones are transmitted.
    Option
    Description
    Tail transmission
    A single pip tone is transmitted at the end of every transmission
    Periodically with Tx
    A pip tone is transmitted at the beginning of each transmission and regularly during the transmission at the interval specified by the Pip interval box.
    Periodically with no Tx
    A pip tone is transmitted regularly when the base station is not otherwise transmitting. Pip tones are transmitted at intervals specified by the Pip interval box.
  3. In the Pip interval box, specify the interval between pip tone transmissions.
  4. In the Pip level box, specify the level of the pip tones in dB. This is the level relative to speech. More precisely, it is relative to the percentage system deviation set for the bandwidth specified by the current channel.
  5. Click OK to confirm your changes and close the form.


Notifying Over the Line

The Over the line notification area of the Notification form lets you configure the way the base station notifies alarms over its balanced or unbalanced line interface.

To configure over-the-line alarm notification

  1. In the Notification method box, select an over-the-line method. Currently, only the Pip Tones method is available. A pip tone is a 600 Hz tone with a duration of 200 ms.
  2. In the Pip method box, select an option that specifies how the pip tones are sent.
    Option
    Description
    Tail transmission
    A single pip tone is sent down the line at the end of every transmission
    Periodically with Tx
    A pip tone is sent down the line at the beginning of each transmission and regularly during the transmission at the interval specified by the Pip interval box.
    Periodically with no Tx
    A pip tone is sent down the line regularly when the base station is not transmitting RF. Pip tones are transmitted at intervals specified by the Pip interval box.
  3. In the Pip interval box, specify the interval between pip tone transmissions.
  4. In the Pip level box, specify the level of the pip tones in dB. This level is relative to the line level specified in the channel profile for the current channel.


Notifying the Alarm Center

If the base station has a dial-up modem and is able to connect via a telephone line to a PC running the Tait Alarm Center program, you need to enable and configure that connection.

To configure alarm notification to the Alarm Center

  1. Select Configure > Communications > Alarm Center. The Alarm Center form appears.
  2. Select the Alarm Center notification check box.
  3. Specify which port will be used. (Currently, Front port is the only option.)
  4. Choose appropriate settings for the remaining items on the form. (For information about these items, see ***xref.)
  5. Click OK to confirm your changes and close the form.

    Tip: To disable notification to the Alarm Center, clear the Alarm Center notification check box. This also overrides the Task Manager action Send alarms to Alarm Center.


Notifying by Email

If the base station is set up with a dial-up connection using a telephone line, it can Email alarms, for example to the maintenance technician's PC.

The Email form (Configure > Communications > Email) lets you enable and configure the sending of Email alarms.

Email alarm notification

The Email alarm notification area specifies how the base station will try to connect to the internet service provider. Click the check box to enable notification. This makes all the items in the area available.

Modem connected to port

Select a port. This tells the base station which port to use when dialling up the internet service provider via a modem. Currently, there is only the front panel port to choose from.

Number to dial

Enter the internet service provider's telephone number.

Number of retries

Specify the number of times that the base station will attempt to connect to the internet service provider before giving up.

Retry interval

The length of time that the base station will wait before trying again to connect to the internet service provider.

Modem command string

Specifies a command string that is to be sent to the modem to configure it and prepare it for dialling.

Dial using

Option buttons let you specify the type of dialling that the base station will use to establish a connection.

Email Notification

Minimum interval

Specifies the minimum time that must elapse after the base station sends an Email message before it sends another. Select a number and specify whether it is minutes or hours.

SMTP Account

The SMTP Account area is where you enter information about the Email account that you have opened for the base station with the internet service provider.

Account username

Specifies the username that should be used when establishing a connection to the SMTP server.

Account password

Specifies the password that should be used when establishing a connection to the SMTP server.

SMTP server

Specifies the SMTP server that should be used to send Email messages.

Email notification

Recipient

Specifies the Email address of the recipient of the alarms.

Reply address

Specifies the reply Email address for the message. The base station cannot receive replies, but you can specify another address to which any replies will be sent.

Subject line

Specifies the subject line that is to be used for the message.

Leading information

Specifies lines of text that may be added to the message body before the actual content of the alarm message.


Part H Diagnosing

Diagnosing

Using the Service Kit, you can carry out diagnostic tests on the base station and its modules. While you can view a diagnostic form in Run mode, the base station must be in Standby mode for the test itself.

Generally a diagnostic form displays relevant information, so that you can monitor base station status before, during, and after the test. Often you can combine different tests.

Some diagnostic tests test aspects of the base station. Others provide you with a simple function (for example, a voltage on the RSSI output pin) that facilitates setting up or troubleshooting the base station's interface to external equipment.

Topics
  • Carrying Out Diagnostic Tests
  • System Tests
  • Reciter Tests
  • PA Tests
  • Power Management Unit Tests


Carrying Out Diagnostic Tests

Most diagnostic tests are carried out in a similar way. Here's how you do it.

  1. Make your connection and log in to the base station. You can be remotely connected, however you do need to be on site to test the front panel keypad and the speaker ***others? ***.
  2. Click the Diagnose icon on the toolbar.
  3. In the navigation pane, select an item. The corresponding form appears.
  4. In the form, check the base station's current status, then click Start Test.

    If you haven't already put the base station into Standby mode, an error message appears, letting you choose Standby mode just for the one test, or until you select Run mode again.

    Starting the test either carries out the test or it modifies base station operation so that you can carry out the test by clicking other buttons on the form. The Start Test button changes to Stop Test.

  5. If necessary, press Stop Test to end the test (some tests end automatically). Selecting Run mode or disconnecting the Service Kit also ends the test.

    Note: When you stop a test or it comes to an end, the base station always returns to the configuration it was in before the test began. For example, after making a test transmission at a manually selected frequency, the base station reverts to the frequency it was previously configured for.

See Also

About Operation Modes


System Tests

The Service Kit can initiate self-tests on the base station you are logged in to and verify that the base station system's front panel controls are working.

See Also

Self-Tests

Front Panel Tests


Self-Tests

In the Self Tests form (Diagnose > System > Self Tests), you can ask the base station to carry out a set of self-tests. The base station itself determines whether it passes a test. The form displays the result of those tests.

When and why?***

You can use the option buttons to configure the display to show all test results, only tests that failed, or only tests that passed.

To run base station self-tests

  1. Click Run Tests. The tests can take up to 90 seconds. When the tests are completed, the Self Tests form displays the results.
  2. If the base station fails a test, click Reset Base Station (Administrator access level required). This may enable the base station to recover.
  3. Click Run Tests again. If the base station still does not pass the tests, note any failure codes displayed in the Code column and send the base station for repair.

***do we need a subtopic that will explain individual tests? What is the significance of a failure: does it always mean that the base station won't function properly?

See Also

Carrying Out Diagnostic Tests


Front Panel Tests

The User Interface form (Diagnose > System > User Interface) lets you carry out tests to verify that the controls on the rack frame front panel are working. You need to be at the base station site to carry out these tests.

To test front panel buttons

  1. In the Keypad Test area, click Start Test. This disables all front panel functions. The base station will now pass any front panel inputs to the Service Kit.
  2. Press a button on the base station system's front panel.
  3. Check that the corresponding LED in the Service Kit form turns green.
  4. Repeat steps 2 and 3 for each other button you want to test.
  5. Click Stop Test to conclude the test.

To test the speaker

  1. In the Speaker Test area, click Start Test.
  2. Listen to confirm that a 700 Hz test tone at 0 dBm is coming from the speaker.
  3. Click Stop Test to conclude the test.

To test the front panel LEDs

  1. In the LEDs Test area, click Start Test.
  2. Check that each of the front panel LEDs is going on and off in a recognisable sequence.
  3. Click Stop Test to conclude the test.

See Also

Carrying Out Diagnostic Tests


Reciter Tests

Overview topic

See Also

Receiver Tests

Measuring Received Signal Levels

Audio Spectrum = Measuring Audio across the Spectrum

Determining Synthesiser Lock Ranges

Audio I/O Tests

Digital IO Tests

RSSI Tests

Monitoring Subaudible Signalling


Receiver Tests

The Receiver form (Diagnose > Reciter > Receiver) lets you carry out various tests on the receiver part of the T8000 reciter.

Links to other receiver tests, e.g. synthesiser

**under development***

See Also

Carrying Out Diagnostic Tests

Setting a Test Frequency

Testing Receiver Operation

Unmuting Audio Output


Setting a Test Frequency

Tests the ability of the receiver to set a frequency and bandwidth.

  1. In the Frequency box, specify...


Testing Receiver Operation

TAIT
Radio Communications
http://www.taitworld.com


Unmuting Audio Output

TAIT
Radio Communications
http://www.taitworld.com


Measuring Received Signal Levels

The Signal Level form (Diagnose > Reciter > Signal Level) lets you measure the strength of RF signal that the base station receives across a band of frequencies. A bar graph displays the results.

***specify the purpose of the test. To see what is out there, not to determine the receiver's sensitivity across a range of frequencies?

To measure signal levels

  1. In the Band start box, specify the lowest frequency of the band you want to test. This can be any frequency within the receiver's lock range.
  2. In the Set span box, select a value from the drop-down list. This specifies the size of the step from one frequency to the next.
  3. In the Steps box, specify the number of frequencies you want measured. Multiply Set span with the number of steps to obtain the frequency range that will be measured.
  4. Click Start Test. The base station sets the receiver to the band start frequency, measures the RSSI, increments the frequency by the value in the Set span box, measures its RSSI and so on for the total number of steps.

    When the test is complete, the graph displays the measured RSSI values. ***what does the scale to 100 mean?

See Also

Carrying Out Diagnostic Tests


Audio Spectrum = Measuring Audio across the Spectrum

Not for D3.

See Also

Carrying Out Diagnostic Tests


Determining Synthesiser Lock Ranges

The Synthesisers form (Diagnose > Reciter > Synthesisers) lets you test the reciter's synthesisers to determine the range of frequencies that the receiver and the exciter can operate on. Use these tests to check that the reciter is calibrated correctly for the channels that it will operate on.

The Clock source box indicates whether the reference frequency is internal or external to the base station.

The bottom group of boxes with LEDs indicate the lock status of various parts of the reciter in its current operation.

To test the exciter or receiver lock range

  1. Click Start Test in the exciter row.

    The exciter or receiver checks all the channel frequencies in the band that the base station is type-approved to operate in.

  2. In the Lower Frequency and Upper Frequency boxes, view the results of the test. These values report the range within which the synthesiser is able to lock onto the specified frequency.

    Note: The reported ranges are conservative. In fact, the base station will be able to transmit and receive outside the range, but with reduced transmit output and receive sensitivity.

  3. Click Stop Test. The exciter and receiver frequencies revert to what they were when you started the test.

See Also

Carrying Out Diagnostic Tests


Audio I/O Tests

The Audio IO form (Diagnose > Reciter > Audio IO) lets you measure the level of any audio input or put a 0 dBm signal tone on the balanced or unbalanced line out.

***confirm what happens before you click Start Test***.In the Input area, the Audio Input gauge displays the level of the current audio input. In the Output area, the Audio Output gauge displays the level of the current line out audio. This is the level on the balanced or unbalanced line out, depending on which option button is selected. The Output control area lets you configure and carry out the test.

See Also

Measuring the Audio Input Level

Generating an Audio Output


Measuring the Audio Input Level

The reciter can measure the level of the current audio input and display it on the Service Kit. You can use this diagnostic tool in the following situations:

  • troubleshooting: the measurement shows you whether audio is arriving at the base station.
  • adjusting the audio output of other equipment such as a console.
  • defining channel profiles: the measurement tells you the actual input level so that you can specify a value for the expected input level

Audio that is input during the test cannot be transmitted, because the base station must be in standby mode.

To measure the audio input level

  1. Ensure that audio is being fed into one or more reciter inputs.
  2. Click Start Test.
  3. Click the appropriate option button to select the type of input you want to measure.

    The Audio Input gauge displays the audio level, updating it once every 500 ms. The numeric value of the level appears under the gauge heading. Levels are measured over a window of 100 ms and updated twice a second.

  4. If you have another audio input, select its type to display the audio level.
  5. Click Stop Test or return the base station to Run mode to end the test.


Generating an Audio Output

The reciter can output an audio test tone at one of three pre-defined frequencies. You can use this to test the reciter's ability to put audio on its output lines or to set up and configure the interface from external equipment to the base station. The audio is output at a nominal 0 dBm.

  1. In the Output control area, select a frequency from the Tone drop-down list.
  2. Using the option buttons, specify whether you want the output on the balanced line or the unbalanced line.
  3. Click Start Test.
  4. In the Output area, select the output option you are testing, then use the Audio Output gauge to check that the measured level is close to 0 dBm.
  5. Click Stop Test or return the base station to Run mode to end the test.


Digital IO Tests

The Digital IO form (Diagnose > Reciter > Digital IO) lets you toggle the logic state of any digital output between HIGH and LOW and view the state of any digital input.

The Channel switch area indicates the channel number that is currently set by external equipment using the channel select lines on the system interface.

The Digital inputs area displays the current settings of digital inputs. You can also view the current state of the TxKey input.

***describe any more current information about displayed status**: what colours are used, what is their meaning?

See Also

Testing Digital Outputs

Testing Digital Inputs

Testing Hardware Channel Selection


Testing Digital Outputs

You can toggle any digital output line or the RxGate output line between High and Low. Use this test to ensure that the output is working and to check that any equipment attached to that output responds in the intended way.

To test a digital output

  1. Click Start Test. This enables the Toggle buttons in the Digital Outputs area. This area now displays the output states as they were when you started the test.
  2. Click the digital output's (or RxGate's) Toggle button to change its state from High to Low or vice versa. When the output is High, its LED displays Green. (If the output is not present on the system interface board, an error message appears.)
  3. Check the response of any attached equipment.

When you have finished testing the outputs, click Stop Test. This returns all digital outputs to the state they were in when you started the test.


Testing Digital Inputs

The Digital inputs area displays the current state of all digital inputs to the reciter. This state can be High (green LED) or Low (gray LED). Many of these inputs can be configured as channel select lines; the Channel box indicates the channel number that they currently select and the text to the right indicates the number of bits (lines) involved and their logic settings.

To test a digital input

  1. Using the equipment connected to the digital input, toggle the state of that input.
  2. Check in the Digital inputs area that the state of that input changed.


Testing Hardware Channel Selection

If the channel that the base station operates on is to be selected by an external channel switch, you can verify that the base station correctly interprets the switch's channel selection.

  1. Using the channel switch, select a channel.
  2. In the Digital IO form's Channel switch area, check that the expected channel number appears.
  3. If there is a discrepancy, follow these steps.
    1. Check the DIP switch settings against the binary channel number displayed.
    2. Check that the correct channel selection option (Binary, BCD, or invert) is displayed. If not, select the correct option in Configure > Base Station > System Interface: Channel selection area.


RSSI Tests

In the Misc IO form, the RSSI output area lets you carry out tests on the RSSI output. You can:

  • provide a defined RSSI voltage output so that you can test equipment that is connected to the base station.
  • specify a received signal strength in dBm and test the base station's conversion of the measured signal strength into an output voltage. You can use this test to convert an RSSI voltage to received dBm or vice versa.

The Current output level box displays the voltage currently on the RSSI output pin.

For information about the Email test area, see **xref to Alarms part.

See Also

Setting a Fixed RSSI Voltage

Testing the RSSI Output


Setting a Fixed RSSI Voltage

  1. In the Force output level to box, enter the voltage level you want.
  2. In the adjacent box, select V.
  3. Click Start Test. This unlinks the RSSI output pin from the reciter's operating logic. The RSSI output pin is initially set to 0 V, then the test puts the selected voltage directly on the RSSI output pin.
  4. Click Stop Test to stop the test. This gives control of the RSSI output back to the base station.


Testing the RSSI Output

  1. In the Force output level to box, enter a nominal received signal strength in dBm.
  2. In the adjacent box, select dBm.
  3. Click Start Test. This unlinks the RSSI output pin from the reciter's operating logic.

    The RSSI output pin is initially set to 0 V, then the test uses the configuration in Configure > Base Station > System Interface to calculate a voltage from the signal strength you specified and put it on the RSSI output pin.

  4. Using test equipment, measure the voltage on the RSSI output pin and confirm that it is as you would expect. Also check the voltage in the Current output level box.
  5. Click Stop Test to stop the test. This gives control of the RSSI output back to the base station, which updates the voltage with a value computed from the currently measured received signal strength.


Monitoring Subaudible Signalling

The CTCSS / DCS Scan form (Diagnose > Reciter > CTCSS/DCS Scan) lets you monitor the RF input for any subaudible signalling. This is a useful diagnostic tool if the base station is not opening the receiver gate to transmissions with subaudible signalling as expected.

To monitor subaudible signalling

  • Click Start Monitoring.

    The form will now display the type and modulation frequency of any subaudible signalling on the RF input.


PA Tests

The Service Kit lets you test aspects of the power amplifier. You can test the fan, the front panel LED, and the power amplifier's ability to transmit.

See Also

Control Tests

Testing the Transmitter


Control Tests

The Control Tests form (Diagnose > Power Amplifier > Control Tests) lets you test the PA fan and front panel fault LED.

Alarm status

Indicates whether the power amplifier has any current alarms.

Current state

Indicates the current state of the LED and the fan and lets you test them.

Current temperature

Four thermometers display results from the four PA temperature sensors.

See also

Testing the LED

Testing the Fan


Testing the LED

You can test that the LED on the power amplifier front panel is able to light up.

  1. Click Start Test. This uncouples the LED from the power amplifier's operational logic.
  2. Click Toggle LED. If the Fault LED was off, this should turn it on. (It should also turn the rack frame Fault LED on).
  3. Check visually that the LED is on. If it goes on, you can be reasonably certain that it will go on if the power amplifier develops a fault.
  4. Click Stop Test to restore the LED's connection with the power amplifier.


Testing the Fan

You can ask the base station to turn the power amplifier fan on and off; this tests the fan and its control circuitry.

You should test the fan after fixing a fan problem or fitting a new fan. When you fit a fan, use this test to verify that the fan is correctly connected, so that the power amplifier and not the power management unit activates it.

Note: The base station can detect the motion of 3-wire fans and will raise an alarm if the fan does not operate.

To test the fan

  1. Click Toggle Fan. If the fan was off, this should turn it on.
  2. Check visually that the fan is operating.


Testing the Transmitter

The Transmission Tests form (Diagnose > Power Amplifier > Transmission Tests) lets you test the ability of the PA to transmit on a frequency, with an output power, and at a bandwidth that you specify. You can:

  • transmit using the current channel configuration
  • specify any suitable frequency and configure the output power and bandwidth.
  • transmit carrier only or carrier modulated by your choice of modulation frequency and deviation level.

    Tip: Alternatively, test the transmitter by pressing the Carrier button on the Base Station System's front panel.

The test automatically stops after 60 seconds, so that you cannot inadvertently leave the base station transmitting.

Test the transmitter when you set up the base station.

Note: You can carry out this test together with other tests, for example to see the effect of transmission on battery voltage when the mains supply is off.

Transmitter output

The Transmitter output area displays forward and reverse power gauges. Option buttons let you choose whether to view these values as watts or dBm. Underneath is the voltage standing wave ratio.

Alarm status

If the Alarm status LED is red, there is a power amplifier alarm and you cannot carry out the test.

Manual transmission

The Manual transmission area lets you configure and carry out the transmission test.

To send a test transmission

  1. If you don't want to use the current channel configuration, specify the frequency and power of the test transmission as follows.
    1. In the Transmitter frequency box, enter a frequency or use the arrows to the right to increment or decrement the current frequency.
    2. In the Power box, specify the RF output power that the test will run at. The box to the right displays the equivalent power in dBm.
  2. If you want to transmit an unmodulated test signal, select the Carrier only option.
  3. If you want to transmit a modulated test signal, select the Modulation on option, and configure the modulation as follows.
    1. In the Bandwidth box, select a bandwidth for the signal.
    2. In the Modulation level box, specify a percentage of the maximum deviation.
    3. In the Modulation frequency box, specify the frequency of the tone that will modulate the test signal.
  4. If necessary, wait till the PA state LED is grey (this means that the base station is not busy), then click Start Transmission.

    While the Time to autostop box counts down from 60 seconds, the power amplifier outputs an RF signal on the RF Out N-connector. The Transmitter output area gives you a graphical display of the forward and reverse power. If the current channel configuration specifies a CWID transmission, the test transmission will include it.

    You can click Stop Transmission at any time. This ends the test. If you don't end the test, it automatically stops when the Time to autostop box has counted down to 0. If the transmission time was not long enough, click Start Transmission again.


Power Management Unit Tests

The Service Kit lets you test aspects of the PMU and monitor additional details of its operation.


Control Tests

***under development***The Control Tests form (Diagnose > Power Management > Control Tests) lets you simulate a mains failure and check that the fan, the fault LED, and the auxiliary output are working.

Many of the details in this form are the same as the monitoring form. For details, see Viewing Power Management Unit Information.

See Also

Simulating Mains Failure

Testing the Fan

Testing the PMU fault LED

Testing the Auxiliary Output/Battery Charger


Simulating Mains Failure

The Control Tests form lets you simulate a mains failure so that you can test the BSS's battery backup and the PMU's DC-DC converter.

Important: This test will proceed even if there is no backup power; it could shut the whole BSS down.

To simulate mains failure

  1. Click Start Test.
  2. Click Mains Failure Test.
  3. Check that power to the PA and the Reciter/UIF stays on.


Testing the Fan

You can ask the base station to turn the power management unit fan on and off; this tests the fan and its control circuitry.

You should test the fan after fixing a fan problem or fitting a new fan. When you fit a fan, use this test to verify that the fan is correctly connected, so that the power amplifier and not the power management unit activates it.

Note: The base station can detect the motion of 3-wire fans and will raise an alarm if the fan does not operate.

To test the fan

  1. Click Toggle Fan to the left of the PMU fan LED. If the fan was off, this should turn it on.
  2. Check visually that the fan is operating.

    After five seconds, the test automatically ends and the base station takes back control over the fan.


Testing the PMU fault LED

You can test that the fault LED on the power management unit front panel is able to light up.

  1. Click Start Test. This uncouples the LED from the power management unit's operational logic.
  2. Click the Toggle button to the left of the PMU Fault LED. If the Fault LED was off, this should turn it on. (It should also turn the rack frame Fault LED on).
  3. Check visually that the LED is on. If it goes on, you can be reasonably certain that it will go on if the power management unit develops a fault.
  4. Click Stop Test to restore the LED's connection with the power management unit.


Testing the Auxiliary Output/Battery Charger

If the PMU is fitted with an auxiliary power supply submodule, you can test the PMU's ability to switch its output on and off.

Note: The output must be configured to be on. If it is configured to be on only when the PMU uses mains power, ensure that the PMU is not using battery power.

  1. Click Start Test.
  2. Click the Toggle button near the Aux Output LED.

    The state of the LED should change.

  3. Click Stop Test.


Viewing Additional Details

***under development***The Supply Details form (Diagnose > Power Management Unit > Supply Details) lets you....

The form provides you with the monitoring information in Monitor > Monitoring > Power Management as well as output voltage gauges for the power output and the auxiliary power output. In addition, there is a thermometer for each heatsink temperature sensor.


Part I Calibration

Calibration

Summary here.

System Setup
  • Set Receiver VCO
  • Tune Receiver
  • Set Exciter VCO
Receiver Calibration
  • Calibrate Frequency Control Loop
  • Autotune Frequency Control Loop
Power Amplifier Calibration
  • Calibrate PA Bias
  • Calibrate PA Power


System Setup

adf asf sadf


Set Receiver VCO

tbd

tbd


Tune Receiver

TAIT
Radio Communications
http://www.taitworld.com


Set Exciter VCO

TAIT
Radio Communications
http://www.taitworld.com


Receiver Calibration

adf


Calibrate Frequency Control Loop

tbd


Autotune Frequency Control Loop

TAIT
Radio Communications
http://www.taitworld.com


Power Amplifier Calibration

TAIT
Radio Communications
http://www.taitworld.com


Calibrate PA Bias

TAIT
Radio Communications
http://www.taitworld.com


Calibrate PA Power

TAIT
Radio Communications
http://www.taitworld.com


Part J Task Manager

Task Manager

Topics
  • About Task Manager
  • Accessing Task Manager
  • Working With Task Manager
  • Task Manager Inputs
  • Task Manager Actions
  • Customising Task Manager
  • Task Manager Diagnostics


Accessing Task Manager

You can access Task Manager panes from several places in the Service Kit.
To View or Edit... | Access the Task Manager This Way...
General tasks | Configure > Base Station > Task Manager
Tasks belonging to a channel profile | In the channel profile's Edit Channel Profile dialog box, select the Task Manager tab
Tasks belonging to a signalling profile | In the signalling profile's Edit Signalling Profile dialog box, select the Task Manager tab
Tasks that respond to an alarm | Configure > Alarms > Alarms Task Manager

The task list in the Task Manager window shows the tasks for the area you are in. Other tasks are grouped in folders for each of the other areas. You can always access the tasks in these folders.


Working With Task Manager

Task Manager panes let you work with the task list that the Task Manager processes. You can view the task list, add new tasks, modify existing ones, and rearrange the order and structure of tasks. Each task in the list consists of a group of statements and comments. Generally, the task is headed by an overall comment indicating the nature and purpose of the task.

The Task list item area lets you edit a selected item, which can be a statement or a comment. When a statement is selected, you can click one of the special Help icons to display information about the statement's input or action. The area also indicates the total number of enabled tasks.

The task list displays tasks in folders. Double-click a folder (or click its +/- icon) to open or close it. An open folder displays the statements and comments that belong to it. Statements generally have a tick; this means that they are enabled; statements with a cross have been disabled. Click an item to select it; it appears inside the Task List Item area.

The column of buttons to the right lets you maintain the tasks in the list; for example you can add an item or modify the selected item.

See Also

Accessing Task Manager

Maintaining the Task List

Adding Tasks

Importing Task Items

Exporting Task Items

Task Manager Inputs

Task Manager Actions


Maintaining the Task List

In Task Manager panes, the buttons to the right of the task list give you access to various functions for maintaining the task list. Some buttons work on the selected item; to select an item in the task list, click it.

<<Update Item

The Update Item button saves changes you made to the selected item in the Task list item area and updates the display in the Task List.

<<Insert Item

The <<Insert Item button inserts a copy of the selected item in the task list, just above that item. You can then edit the item in the Task list item area. See also Adding Tasks.

Custom Actions

The Custom Actions button opens the Custom Actions form, in which you can define your own combination of existing actions.

Custom Inputs

The Custom Inputs button opens the Custom Inputs form, where you can define your own combination of existing inputs.

Move Up / Move Down

The Move Up and Move Down buttons shift the selected item up or down one line. Use them to rearrange the order of statements and comments in the task list.

Increase Indent / Decrease Indent

The >>Increase Indent and <<Decrease Indent buttons let you move the selected item to the left or right. In this way, you can group statements under a comment or nest a set of items underneath ***?. These buttons have no effect on the way that the Task Manager processes statements: they make it possible to group statements and comments so as to make them more readable.

Enable / Disable

By default, statements are enabled: when an Input condition becomes true, the Task Manager processes the statement. The Enable / Disable button lets you disable a statement so that it has no effect, or toggle it between enabled and disabled.

Remove

The Remove button deletes the current task list item.

See Also

Adding Tasks

Adding a Comment

Adding a Statement

Importing Task Items

Exporting Task Items

Customising Task Manager

Also link to Testing TM statements


Adding Tasks

To make full use of the base station's capabilities, you need to add your own tasks to the list that Task Manager processes. A task is a group of one or more related statements, together with any associated comments. It enables Task Manager to respond to a situation in the way that you want.

Important: Be careful when you add a task. It is not a simple matter to design tasks that operate in exactly the way you want. It is also possible to create tasks that undermine the base station's ability to operate properly. While Tait has carefully tested Task Manager, the large number of possible combinations of inputs and actions means that no guarantee can be given that the effect will be exactly what you expect. Test any tasks you add before putting the base station into operation.

See Also

Adding a Comment

Adding a Statement


Adding a Comment

When you define a task, you need to add a comment that names the task and indicates what it is for and how it works. You may also want to add further comments on individual statements within the task.

To add a comment

  1. Click the item immediately above where you want to add the comment.
  2. Click the <<Insert Item button. A copy of the item you clicked appears in the task list and in the Task List Item area.
  3. If necessary, select the Comment option in the Task list item area.
  4. In the Comment box, enter the text of the comment.
  5. Click the Update Item button. The item you inserted is updated and it disappears from the Task List Item area.
  6. If necessary, use the buttons on the right to move the comment up or down, or to adjust its indent.
  7. Click OK to confirm your changes and close the form.


Adding a Statement

You add statements in the Task Manager form, Task List Item area. Each statement has two parts: an Input (an IF or an IF NOT) and an action (a THEN). You need to select each of them from their drop-down list.

To define a statement

  1. Click the item immediately above where you want to add the statement.
  2. Click the <<Insert Item button. A copy of the item you clicked appears in the task list and in the Task list item area.
  3. If necessary, select the Statement option in the Task list item area.
  4. If you want the statement to be processed when the input condition goes from true to false, check the NOT box.

    For example, statements with the input `IF NOT Receiving valid signal' will be processed when the base station stops receiving a signal with the correct subaudible signalling.

  5. Position the mouse cursor over the first text box and click the right-mouse button. This opens the drop-down list of available inputs. The inputs relevant to the context from which you accessed the Task Manager form appear in the list; other inputs are grouped under various headings.
  6. Select an input from the list. It appears in the box.
  7. In the same way, select an action ***glossary entry*** from the drop-down list of the second text box.
  8. If necessary, use the buttons on the right to move the statement up or down, or to adjust its indent.


Importing Task Items

You can import a file containing task items that have been exported from another base station. If there are statements that use custom inputs or actions, these will also be imported. If an existing item has the same name as an item to be imported, it will be overwritten without warning.

To import task items

  1. In any Task Manager form, click Import.
  2. Navigate to the folder containing the T8000 task item export file (*.t8i), then select it and click Open.


Exporting Task Items

tbd


Task Manager Inputs

overview here

Tip: To obtain Help on a statement's input, click the statement, then in the Task list item area, click the Help icon beside the input box.


General Inputs

Some: TM actions. Become true at power on/reset and transition to Run mode: all inputs. Most are enabled by default. Overview here


Counter at maximum

The Counter # at Maximum input becomes true when Counter # reaches the maximum value set for it in Configure > Task Manager > Counters. The counter value changes through Task Manager actions such as Increment counter.


Flag set

The Flag set input becomes true when Task Manager sets the corresponding flag. When you select this input, you are asked to specify the flag's number.

Example


General Log Almost Full

The items configured for logging in Configure > Data Logging > Configuration have almost filled the memory allocated to them in the base station. When the log is full, it starts losing data: the oldest first.

Use this input together with an action that lets you know that the log is full, for example Email alarms or Enable over the air alarms. When you get the message, retrieve the log for viewing and/or saving to a file. See Viewing the General Log.


Another receiver in rack

The Another receiver in rack input is true when there are two or more reciters in the Base Station system and they are responding to polls on the internal bus. This input is useful in combination with other inputs as a custom input.

Example

***not true any more***Specify a different power saving mode when battery power is low, if there are multiple receivers. For this you need a custom input that combines

Multiple Receivers

Low Battery power alarm


PA fan servicing advised

The PA fan servicing advised input becomes true when the PA fan operating time (Monitor > Data Logging > System data) exceeds the hours in the Operating time before servicing advised box (Configure > Alarms > Activation Parameters).


PMU fan servicing advised

The PMU fan servicing advised input becomes true when the PMU fan operating time (Monitor > Data Logging > System data) exceeds the hours in the Operating time before servicing advised box (Configure > Alarms > Activation Parameters).


Power saving enabled

The Power saving enabled input becomes true when Task Manager turns the Power save system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset and if a Task Manager statement enables power saving after a previous statement has disabled it.

Example

(Conditional AND statement. If power save is enabled AND xxx, then ...


Base station in Run mode

The Base station in Run mode input becomes true when the base station goes into Run mode. This occurs on entering Run mode after power on or reset and when you tell a base station in Standby mode to change to Run mode.


Base station started

The Base station started input becomes true when the base station is powered on or reset and goes into Run mode. Unlike Base station in Run mode, it does not become true when the base station goes from Standby to Run mode.

Use this input for tasks you want included in the base station's initialisation routine. You can also use it to ensure that flags are set to their defaults. When the base station is switched on or is reset, it enters Run mode and executes statements with the Base station started input.

Example

Start a backup base station with everything disabled but ready to go into operation when needed.

IF Base station started THEN ***Disable talk through repeater

IF Base station started THEN Disable Line controlled base

(

i Startup in with everything disabled

IF TASK_MANAGER_RUNNING THEN TALK_THRU_REPEATER_DISABLE

IF TASK_MANAGER_RUNNING THEN LINE_CONTROLLED_BASE_DISABLE)


Timer expired

A timer can only be started by the Task Manager action Start timer. It expires when the timer's maximum time has elapsed. This time was entered in Configure > Task Manager > Timers.

Example


Tx relay enabled

The Tx relay enabled input becomes true when Task Manager turns the Tx relay system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset and if a Task Manager statement enables power saving after a previous statement has disabled it.


Channel Profile Inputs

If in Channel Profile x folder, then only will be processed if that channel profile is current.


Talk through repeater enabled

The Talk through repeater enabled input becomes true when Task Manager turns the TTR system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.

Example

Impose a time limit on calls when in repeater mode. When this is enabled, start a timer. When the timer expires, end the call?***


Line controlled base enabled

The Line controlled base enabled input becomes true when Task Manager turns the LCB system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


CWID enabled

The CWID enabled input becomes true when Task Manager turns the CWID system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


Receiving valid signal

The Receiving valid signal input becomes true when the conditions for opening the receiver gate are fulfilled. The received signal must meet the requirements for receiver gating defined in the current channel profile and for subaudible signalling defined in the current signalling profile. For example, the signal must be strong enough and use the right CTCSS tone.

When the base station receives a valid signal, it does not necessarily make the Rx Gate line active.

See Also

Rx Gate line active


Rx Gate line active

The Rx Gate line active input becomes true when the Rx Gate line on the system interface goes high. This input is similar to Receiving valid signal, however the Rx Gate line becomes active not just when the base station is receiving a valid signal, but whenever there is a valid line audio output. This audio output can also come from the base station microphone or from line input (when loopback is enabled).

Note: If the current channel profile does not specify an audio path to line out, the Rx Gate line does not become active when a valid signal is being received.

See Also

Receiving valid signal


PA carrier present

Whenever the PA generates a carrier wave, the PA carrier present input is true. This input becomes true when the power amplifier is keyed up.


PA keyed by Tx Key line

This input becomes true when the PA is keyed up to transmit as a line-controlled base station. This means that the Tx key line has keyed up the PA and that it is the line in audio that will be transmitted.


PA keyed by valid Rx

This input becomes true when the PA is keyed up to transmit as a talk-through repeater. This means that the receiver has keyed up the PA and that it is the received signal that will be transmitted.


Loopback enabled

The Loopback enabled input becomes true when Task Manager turns the Loopback system flag on (Monitor > Monitoring > Base Station). When the base station enters Run mode after power on or reset, Task Manager sets the Loopback system flag to off.


Intercom enabled

The Intercom enabled input becomes true when Task Manager turns the Intercom system flag on (Monitor > Monitoring > Base Station). When the base station enters Run mode after power on or reset, Task Manager sets the Intercom system flag to off. When the Intercom enabled input is true, there is an audio path connecting the base station microphone and speaker to the audio in and out lines.

Example

The console operator sends a subtone to enable intercom mode so that the operator can communicate with the technician on site. ***check and fill out***.

IF Tone detected 1 THEN


Tx Key input enabled

The Tx Key input enabled input becomes true when Task Manager turns the Tx Key system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


Transmitter enabled

The Transmitter enabled input becomes true when Task Manager turns the Transmitter system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


Signalling Profile Inputs

Overview para here.***


Tone detected / Tone n detected

This input becomes true when the receiver detects a subaudible tone that is defined in the current signalling profile (Subaudible Signalling tab). N refers to the number of the tone specified in that profile (a profile can have up to 16 tones defined).

Example

Enable the technician to request the Emailing of a status message

IF Tone 2 detected THEN Email status

When the subaudible tone is received, the base station Emails a status message. The signalling profile is set up so that this tone only results in Task Manager action. To obtain status information, the technician transmits using a channel with that subaudible tone: Task Manager then instructs the base station to email the status message to the configured destination.


Subtone decoding enabled

The Subtone decoding enabled input becomes true when Task Manager turns the Subaudible decode system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


Subtone encoding enabled

The Subtone encoding enabled input becomes true when Task Manager turns the Subaudible encode system flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


System I/O

Overview here


Balanced input low

The Balanced input low Task Manager input becomes true when the audio level on the unbalanced line in falls below the minimum level specified in Configure > Alarms > Activation Parameters.

This Task Manager input is useful in applications where the base station can expect a signal all the time. It lets you define statements that specify actions when the expected audio input ceases.

Example

Tell the base station to do something when the balanced line input signal fails.

IF Balanced input low THEN Enable over the air alarms

If the line fails, the base station sends alarm pips over the air.


Unbalanced input low

The Unbalanced input low Task Manager input becomes true when the audio input on the unbalanced line falls below the minimum level specified in Configure > Alarms > Activation Parameters. This Task Manager input is useful in applications where the base station can expect a signal all the time. The input then lets you define statements that specify actions when the expected input ceases.

Example

Tell the base station to do something when the unbalanced line input signal fails.

IF Unbalanced input low THEN Enable over the air alarms

If the line fails, the base station sends alarm pips over the air.


RSSI low

The RSSI low input becomes true when the RF signal that the base station is receiving falls below the minimum signal strength specified in Configure > Alarms > Activation Parameters. This input is useful in applications where the base station can expect to be receiving a signal all the time. The input lets you specify what the base station is to do when the expected signal ceases.


RSSI high

The RSSI high input becomes true when the RF signal that the base station is receiving exceeds the maximum signal strength specified in Configure > Alarms > Activation Parameters. This input is useful...***


Analog input low

The Analog input low input becomes true when the audio level on the analog line in signal falls below the threshold specified in Configure > Alarms > Activation Parameters. This input is useful in applications where the base station can expect to be receiving a signal all the time. The input lets you specify what the base station is to do when the expected signal ceases.


Analog input high

The Analog input high input becomes true when the audio level on the analog line in signal exceeds the threshold specified in Configure > Alarms > Activation Parameters.


Digital input active

The Digital input active input becomes true when the digital input becomes active (that is, it changes from OFF to ON).


Digital output set

The Digital output set input becomes true when the base station sets the digital output.

Example

tbd


Alarm Inputs

You can select any alarm as a Task Manager input. This makes it possible to individually configure the base station's response to any alarm. For information about base station alarms, see Monitoring Alarms.


Synthesiser failed

This input becomes true when a synthesiser goes out of lock or the external frequency reference is invalid and the corresponding alarm is triggered. For information about these alarms, see Synthesiser out of lock and External reference invalid.


External reference absent

This input becomes true when the `External reference absent' alarm is triggered. For information about this alarm, see External reference absent.


External reference invalid

This input becomes true when the `External reference invalid' alarm is triggered. For information about this alarm, see External reference invalid.


Fan failed

This input becomes true when the PA or PMU `Fan failed' alarm is triggered. For information about these alarms, see Fan failed for the PA or Fan failed for the PMU.


Channel invalid

This input becomes true when the `Channel invalid' alarm is triggered. For information about this alarm, see Channel invalid.


Reciter alarm on

This input becomes true when any reciter alarm is triggered.


Base station alarm on

This input becomes true when any base station alarm is triggered.


VSWR fault

This input becomes true when the `VSWR high' alarm is triggered. For information about this alarm, see VSWR high.


No PA detected

This input becomes true when the `No PA detected' alarm is triggered. For information about this alarm, see No PA detected.


PA power foldback

This input becomes true when the PA's `Power foldback' alarm is triggered. For information about this alarm, see Power foldback.


Forward power low

This input becomes true when the `Forward power low' alarm is triggered. For information about this alarm, see Forward power low.


Reverse power high

This input becomes true when the `Reverse power high' alarm is triggered. For information about this alarm, see Reverse power high.


PA temperature high

This input becomes true when the one or more of the PA's `Temperature high' alarms is triggered. For information about this alarm, see Temperature high.


Air intake temperature high

This input becomes true when the `Air intake temperature high' alarm is triggered. For information about this alarm, see Air intake temperature high.


Air intake temperature low

This input becomes true when the `Air intake temperature low' alarm is triggered. For information about this alarm, see Air intake temperature low.


PA startup fault

This input becomes true when the `Hardware configuration invalid' alarm or any of the `Calibration invalid' alarms are triggered. For information about these alarms, see H/w configuration invalid and Calibration invalid.


PA current fault

This input becomes true when any of the PA's current alarms are triggered. This happens if any part of the PA is drawing excessive current, or if one final stage uses significantly more current than the other. For information about these alarms, see Current.


PA supply voltage fault

This input becomes true when one of the PA's power supply voltage alarms is triggered. This happens if the voltage is too high or too low. For more information, see Supply voltage.


PA is shut down

This input becomes true when the PA's `Shutdown' alarm is triggered. For information about this alarm, see Shutdown.


PA alarm on

This input becomes true when any PA alarm is triggered.


Mains supply failed

This input becomes true when the PMU's `Mains supply failed' alarm is triggered. For information about this alarm, see Mains supply failed.


No PMU detected

This input becomes true when the `No PMU detected' alarm is triggered. For information about this alarm, see No PMU detected.


Battery voltage high

This input becomes true when the `Battery voltage high' alarm is triggered. For information about this alarm, see Battery voltage high.


Battery voltage low

This input becomes true when the `Battery voltage low' alarm is triggered. For information about this alarm, see Battery voltage low.


Battery protection mode on

This input becomes true when the PMU is operating in battery protection mode, triggering the `Battery protection mode' alarm. For information about this alarm, see Battery protection mode.


PMU shutdown imminent

This input becomes true when the PMU's `Shutdown imminent' alarm is triggered. For information about this alarm, see Shutdown imminent.


PMU temperature high

This input becomes true when the PMU's `Temperature high' alarm is triggered. For information about this alarm, see Temperature high.


PMU output fault

This input becomes true when one of the PMU's output alarms is triggered, because the voltage is high or low or the current is high. For information about these alarms, see Output.


PMU power up fault

This input becomes true when the PMU's `Power up fault' alarm is triggered. For information about this alarm, see Power up fault.


PMU alarm on

This input becomes true when any PMU alarm is triggered.


Over the air alarm on

This input becomes true when Task Manager turns the over the air alarm on. For more information, see Over the air alarm actions.


Over the line alarm on

This input becomes true when Task Manager turns the over the line alarm on. For more information, see Over the line alarm actions.


Email enabled

The Email enabled input becomes true when Task Manager turns the Email alarms flag on (Monitor > Monitoring > Base Station). This occurs on entering Run mode after power on or reset. It also occurs if a Task Manager statement turns the flag on after a previous statement has disabled it.


Custom Inputs

The Custom Inputs submenu contains all the custom inputs that have been defined for the base station using Configure > Task Manager > Custom Inputs.


Task Manager Actions

An action is something that the Task Manager instructs the base station to do. There is often a group of actions relating to a particular base station function, for example, enable talk through repeater, disable talk through repeater, and toggle talk through repeater. Enable makes the function effective, disable makes it ineffective, and toggle changes from the one state to the other.

Tip: To obtain Help on a statement's action, click the statement, then in the Task list item area, click the Help icon beside the action box.


General Actions

Discard queued Email

The action Discard queued Email cancels any Email waiting to be sent. If Task Manager has instructed the base station to Email the alarm log and/or the status message and it has not yet been sent, this action cancels that instruction. Future instructions to send Emails are unaffected.


Email status

The action Email status instructs the base station to Email a status message ***xref to discussion of Emailing.


Loopback actions

Task Manager can enable, disable, or toggle the Loopback system flag. When the base station enters Run mode after power on or reset, the flag is disabled.

Note: The default state of the Loopback system flag is `disabled'. The default for most other system flags is `enabled'.

For Loopback actions to have any real effect, corresponding audio paths (balanced in and balanced out or unbalanced in and unbalanced out) must be configured in the current channel profile. If all four audio paths are enabled, there are two loopbacks; balanced audio in to balanced audio out, unbalanced audio in to unbalanced audio out). When Loopback is enabled, corresponding input and output audio paths connected to each other. When Loopback is disabled, there are no connections between input and output audio paths.


Intercom actions

Task Manager can enable, disable, or toggle the Intercom system flag. When the base station enters Run mode after power on or reset, the flag is enabled.

For Intercom actions to have any real effect, corresponding audio paths must be configured in the current channel profile. This means that the base station microphone must be connected to the balanced and/or unbalanced line out The speaker is always connected to the balanced line in.

When this system flag is disabled, the microphone's connections are disabled.

When this system flag is enabled, the audio path for the microphone and the speaker is as configured in the current channel profile's Signal Path tab.


Tx Key input actions

The Tx Key input system flag makes it possible for Task Manager to override the Tx Key line. Task Manager can enable, disable, or toggle the flag. When the base station enters Run mode after power on or reset, the flag is enabled.

When the Tx Key system flag is disabled, the transmitter does not key up when the Tx Key input on the system interface goes active.

When the Tx Key system flag is enabled, the transmitter keys up when the Tx Key input on the system interface goes active and transmits the audio provided to it on the balanced and/or unbalanced line in.

The Tx Key system flag has no effect on the base station's internal keying logic.


Reset base station

The Reset base station action resets the base station. It has the same effect as pressing the Reset Base Station button in Diagnose > System > Self-Tests. You can use this action in statements designed to help the base station recover from minor??? faults***? The System Data form keeps a record of the number of times that the base station has been reset.


Tx Relay actions

Task Manager can enable, disable, or toggle the Tx Relay system flag. This gives you an additional layer of control over the Coax Relay Driver line on the system interface. When the base station enters Run mode after power on or reset, the flag is enabled.

When the Tx Relay system flag is disabled, the Coax Relay Driver line cannot go active.

When the Tx Relay system flag is enabled, the base station can control an antenna relay using the Coax Relay Driver line, switching the relay before powering its transmitter up.

If the base station is not fitted with a system interface board that provides a Coax Relay Driver line, the Tx Key system flag has no effect.


Transmitter PA actions

Task Manager can enable, disable, or toggle the Transmitter system flag. This provides you with an additional layer of control over transmitter operation.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the Transmitter system flag is disabled, the transmitter cannot transmit.

When the Transmitter system flag is enabled, the transmitter operates as usual.


Receiver actions

Task Manager can enable, disable, or toggle the Receiver system flag. This provides you with an additional layer of control over receiver operation.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the Receiver system flag is disabled, the receiver cannot receive.

When the Receiver system flag is enabled, the receiver operates as configured.


External channel select actions

Task Manager can enable, disable, or toggle the HW channel select system flag. This provides you with an additional layer of control over how the current channel is selected.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is disabled, the channel is specified in software (Configure > Base Station > General). The base station uses the default channel.

When the flag is enabled, the channel is specified by the Channel select lines connected to the system interface module. The system interface must be configured using the Service Kit to enable channel selection.

Note: Other Task Manager actions can tell the base station to change to a different channel.


Start timer

Task Manager can start or stop any of its 16 timers. When a timer is started, it counts down and expires when it reaches the length of time set for it in Configure > Task Manager > Counters and Timers. You can create statements that are executed when a timer expires.


Stop timer

Task Manager can start or stop any of its 16 timers. When a timer is started, it counts down and expires when it reaches the length of time set for it in Configure > Task Manager > Counters and Timers. You can create statements that are executed when a timer expires.


Set flag

Task Manager can set or clear any of 16 numbered flags. A flag can only have one of two states: set or cleared. The state of a flag can be used as an input in other statements.


Clear flag

Task Manager can set or clear any of 16 numbered flags. A flag can only have one of two states: set or cleared. The state of a flag can be used as an input in other statements.


Increment counter

The Increment counter action adds one to the counter specified. When a counter reaches its specified maximum, it triggers actions with the input Counter at maximum.


Reset counter

The Reset counter action sets the value of the counter specified to 0, so that it must begin counting anew.


Decrement counter

The Decrement counter action subtracts one from the current value of the counter specified.


Channel Profile Actions

Only apply if the profile they are assigned to is current. What if outside the folder for a particular profile? Enable/Disable/Toggle.


Talk Through Repeater Actions

Task Manager can enable, disable, or toggle the TTR system flag. This gives you an extra layer of control over the audio path that feeds received audio into the transmitter. It lets you program the base station to operate as a talk through repeater in some situations and to intelligently switch to another way of operating when the situation changes.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is disabled, any internal audio path joining receiver and transmitter is disconnected. The base station cannot function as a talk through repeater.

When the flag is enabled, the internal audio path is as configured in the channel profile.

If the channel profile does not configure the base station as a talk through repeater, these Task Manager actions have no effect.


Line-Controlled Base Actions

Task Manager can enable, disable, or toggle the LCB system flag. This gives you an extra layer of control over the audio path that feeds line in audio into the transmitter. It lets you program the base station to operate as a line-controlled base station in some situations and to intelligently switch to another way of operating when the situation changes.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is disabled, the Tx key line (***is this true) and any internal audio path joining a line input to the transmitter are disconnected. The base station cannot function as a line-controlled base station.

When the flag is enabled, the internal audio path is as configured in the channel profile.

If the channel profile does not configure the base station as a line-controlled base station, these Task Manager actions have no effect.


Go to channel

The Go to channel action instructs the base station to operate according to the channel configuration with the number specified in the action.


Make current channel the default

The Make current channel the default action instructs the base station to select the channel it is currently operating on as the default channel. This action is the equivalent of you selecting the channel in Configure > Base Station > General and programming the base station with that change.


Go to next channel

The Go to next channel action instructs the base station to operate on the next valid channel in the channel table. If the base station was on Channel 001, it changes to Channel 002.


CWID Actions

Task Manager can enable, disable, or toggle the CWID system flag. This provides you with an additional layer of control over the transmission of a continuous wave ID.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is disabled, no CWID is transmitted.

When the flag is enabled, CWID is transmitted as configured in the channel profile's CWID System tab.

If the channel profile does not provide for CWID, this flag has no effect.


Transmit CWID now

The Transmit CWID now action instructs the base station to immediately transmit the CWID message defined in the CWID System tab. This action enables you to configure CWID transmissions in a way not otherwise possible. ***check this** For example, you could have the CWID transmitted more than once a minute or at every transmit tail.***


Power saving actions

Task Manager can enable, disable, or toggle the Power save system flag. This provides you with an additional layer of control over power saving.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is disabled, no power saving occurs.

When the flag is enabled, power saving occurs as specified in the Power Saving tab of the Channel profile.


Signalling Profile Actions

Overview here: Actions are all associated with a particular profile number.


Subaudible Decoding

Task Manager can enable, disable, or toggle the Subaudible decode system flag. This gives you an extra layer of control over the base station's response to subaudible signalling. It lets you...***.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is enabled, any subtones are decoded and checked against the signalling profile. A received signal is only valid if it contains a specified subtone specified.

When the flag is disabled, subaudible signalling is not decoded. The received signal is regarded as valid irrespective of its subaudible signalling.


Subaudible Encoding

Task Manager can enable, disable, or toggle the Subaudible encode system flag. This gives you an extra layer of control over the subaudible signalling that the base station encodes onto its transmissions. It lets you...***.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is enabled, the base station encodes transmissions according to the signalling profile's configuration (Subaudible signalling tab).

When the flag is disabled, transmissions are not encoded with subaudible signalling.


Defeat subtone until Tx keyed

The Defeat subtone until Tx keyed action disables all decoding of subaudible signalling until the transmitter is keyed up.


System I/O

Set Digital Output n

The Set Digital Output n action makes the Digital Out n line on the system interface active.


Clear Digital Output n

The Clear Digital Output n action makes the Digital Out n line on the system interface inactive.


Alarm

Over the air alarm actions

Task Manager can turn the base station's over the air alarm on or off. Indeed, Task Manager action is the only way that this alarm can be started or stopped.

When the base station enters Run mode after power on or reset, Task Manager ensures that the over the air alarm is turned off.

When Task Manager turns on the over the air alarm, the base station starts transmitting the alarm over the air according to Configure > Alarms > Notification Methods.

When Task Manager turns off the over the air alarm, the base station stops transmitting the alarm.


Over the line alarm actions

Task Manager can turn the base station's over the line alarm on or off. Indeed, Task Manager action is the only way that this alarm can be started or stopped.

When the base station enters Run mode after power on or reset, Task Manager ensures that the over the line alarm is turned off.

When Task Manager turns on the over the line alarm, the base station starts sending the alarm over the line according to Configure > Alarms > Notification Methods. It will be sent over audio out lines that the system interface provides and that are enabled in the current channel profile's audio path.

When Task Manager turns off the over the air alarm, the base station stops sending the alarm.


Email alarms

The Email alarms action turns on a flag requesting that the base station Email the alarm log. The Email will be sent according to the configuration in Configure > Communications > Email. If the flag requesting that the base station Email the status message, the status message will be added to the Email.

Note: Task Manager can generally disable Emailing, which will override any future Email alarms action. Task Manager can also discard queued Emails, which cancels past Email alarms actions, if these have not yet been carried out.


Clear alarm log

The Clear alarm log action empties the alarm log of all entries. This can be a useful action after the alarm log has been sent.

Example

IF

***once a day, Email the alarm log, then clear it. This gives a daily record of alarms.


Email actions

Task Manager can enable, disable, or toggle the Email system flag. This gives you an extra layer of control over the base station's Emailing functions.

When the base station enters Run mode after power on or reset, the flag is enabled.

When the flag is enabled, Task Manager actions can Email the alarm log and/or the status message. The base station does this according to the configuration in Configure > Communications > Email.

When the flag is disabled, the Task Manager actions Email alarms and Email status are disregarded.


Send alarms to Alarm Center

The Send alarms to Alarm Center action sends the alarm log to an Alarm Center, according to the configuration in Configure > Communications > Alarm Center. This configuration must have enabled Alarm notification to the Alarm Center, or the action has no effect.

First, the base station attempts to connect to the Alarm Center and log on. If it is successful, the base station then sends its name and the contents of the alarm log, then logs off and disconnects.


Disable alarm notification

The Disable alarm notification action stops all ways in which the base station is notifying alarms.

  • Any set digital output lines are cleared.
  • If the OTA alarm is on, it is turned off.
  • If the OTL alarm is on, it is turned off.
  • If the alarm log is about to be sent to the Alarm Center, it is discarded.
  • If the alarm log and/or the status message is about to be Emailed, it is discarded.

Any future Task Manager actions that involve alarm notification are unaffected.


Custom Actions

The Custom Actions submenu contains all the custom actions that have been defined for the base station using Configure > Task Manager > Custom Actions.


Task Manager Examples

Task Manager makes it possible for you to build complex functions into the base station. Here are some examples to give you an idea of what can be done.


Automatic Change to Talk Through Repeater

A line-controlled base station is connected to a console that provides tone on idle. The following Task Manager statements give automatic changeover to talks through repeater if the line fails, and change back when the line is re-established.

IF Base station in Run mode THEN Disable talk through repeater.

This disables the base station's talk through repeater mode whenever it enters Run mode.

IF Balanced input low THEN Enable talk through repeater.

IF Balanced input low THEN Disable line-controlled base station.

IF Balanced input low THEN Start over the air alarm.

If the line fails, the input line level falls below the prescribed minimum. This triggers Task Manager actions that switch off the line controlled base station mode, enable the talk through repeater mode and start sending alarm pips over the air.

IF NOT Balanced input low THEN Disable talk through repeater.

IF NOT Balanced input low THEN Enable line-controlled base station.

IF NOT Balanced input low THEN Stop over the air alarms.

When the line is re-established, Task Manager actions re-establish the line-controlled base station function and stop the alarm.


Automatic Changeover between Data and Speech

A repeater is used to relay speech as well as data. The speech needs to be pre-emphasised while the data needs the full band from < 50 Hz to 3000 Hz. Speech is sent with a CTCSS tone.

The base station needs to be able to automatically change between repeating pre-emphasised audio and repeating full band audio.

To achieve this, follow these steps:

  1. Set up Channel 1 as a speech repeater. The channel profile (Signal Path tab) is set to De-emph Speech Band / Pre-emph Speech Band.
  2. Set up Channel 2 as a data repeater. The channel profile (Signal Path tab) is set to Flat Full Band.
  3. Set Timer 1 to 150 milliseconds, corresponding to the time that the base station needs to decode subaudible signalling.
  4. Create two custom inputs:

    Data Channel Detected, which consists of Timer 1 expired AND Tone 1 NOT detected.

    Speech Channel Detected, which consists of Timer 1 expired AND Tone 1 detected.

  5. Create the following Task Manager statements for Channel 1:

    IF Receiving valid signal THEN Start timer 1.

    IF NOT Receiving valid signal THEN Stop timer 1.

    IF Data Channel Detected THEN Go to channel 002.

    Receiving a valid signal on Channel 1 starts a timer. If when the timer expires, no subaudible signalling is detected, the custom input Data Channel Detected becomes true and Task Manager instructs the base station to go to channel 002.

  6. Create the following Task Manager statements for Channel 2

    IF Receiving valid signal THEN Start timer 1.

    IF NOT Receiving valid signal THEN Stop timer 1.

    IF Speech Channel Detected THEN Go to channel 001.

    Receiving a valid signal on Channel 2 starts a timer. If subaudible signalling is detected when the timer expires, the custom input Speech Channel Detected becomes true and Task Manager instructs the base station to go to channel 001.


Base Station with Automatic Charging

If the battery voltage goes low, the base station operates on lower power, starts the generator and sends transmitter pips. As soon as the battery voltage is back to normal, transmitter power is increased. The generator continues for one hour (or until a high battery voltage alarm is triggered), to ensure that the battery is properly charged.

To set this up, follow these steps.

  1. Set up Channel 1 at 100 watts for mains power and 60 watts for battery power.
  2. Set up Channel 2 as a low battery channel, with only 25 watts output power.
  3. Set up Timer 1 as Generator On timer with a duration of one hour.
  4. Set up a custom action End of Charging with the following actions:

    Clear Digital Output #1 AND

    Stop timer #1 (Generator On timer)

    Turn off over the air alarm.

  5. Set up the following Task Manager statements.

    IF Battery voltage low THEN Go to channel 002

    IF NOT Battery voltage low THEN Go to channel 001.

    When the battery voltage is low, this switches operation to Channel 002, which has a reduced PA output power.

    IF Battery voltage low THEN Set Digital Output #1.

    IF Battery voltage low THEN Turn on over the air alarm

    IF Battery voltage low THEN Start timer #1.

    When the battery voltage is low, a digital output is set, which starts the generator. Additional actions turn on over the air pips and start a timer that will turn the generator off.

    IF Battery voltage high THEN End of Charging

    IF Timer #1 expired THEN End of Charging

    These two statements stop the generator when the battery voltage gets too high or when the Generator On time expires.


Base Station with Auxiliary Antenna

You can set up a base station with an auxiliary antenna and use Task Manager actions to automatically switch to that antenna when there is an antenna mismatch. The service person can use a radio to send CTCSS tone 5 to switch the antenna back.

IF Base station started THEN Clear Digital Output #5

This sets the antenna relay at power up.

IF VSWR fault THEN Set Digital Output #5

IF VSWR fault THEN Email alarms

If a VSWR fault occurs, then Task Manager automatically swaps the antenna over and emails the alarm log.

IF Tone #2 detected THEN Clear Digital Output #2

To switch the antenna back, the technician transmits a signal with CTCSS or DCS tone 2.


Base Station Regularly Emails its Status

If the maintenance technician has Email, it is straightforward to use Task Manager statements to have the base station email its status, for example once a week.

To do this, you define a timer with a one week duration. When the timer expires, the status is emailed and the timer re-started.

IF Base station started THEN Start timer #2

IF Timer #2 expired THEN Email status

IF Timer #2 expired THEN Start timer #2

This combination of statements emails the status of the base station once a week.


Base Station that Controls Landing Lights

A small private airport does not have full time air traffic control. When landing at night, the pilot needs to switch on the runway lights. Pilots have VHF radios without CTCSS, Selcall, or any other signalling. The pilot presses PTT three times within two seconds to switch on the lights.

  1. Wire Digital Output #6 to control the lights.
  2. Give Counter #1 a maximum of 3.
  3. Give Timer #1 a maximum of 2 seconds.
  4. Give Timer #2 a maximum of 30 minutes
  5. Set up the following Task Manager statements

    IF Receiving valid signal THEN Start timer #1

    IF Receiving valid signal THEN Increment counter #1

    IF Timer #1 expired THEN Reset counter #1

    This set of statements detects three presses of PTT, provided they occur before Timer #1 expires.

    IF Counter #1 at maximum THEN Start timer #2

    IF Counter #1 at maximum THEN Set Digital Output #6

    IF Counter #1 at maximum THEN Reset Counter #1

    This set of statements starts the lights timer, turns the lights on, and re-starts the counter for detecting three presses of PTT.

    IF Timer #2 expired THEN Clear Digital Output #6

    This statement turns the lights off when the half-hour has elapsed.


Scanning Base Station

Digital Inputs with Special Functions

Task Manager statements make it possible for digital inputs to have a great variety of functions.


Subtone Decode Disable Pin

When the digital input is set, the base station disables the decoding of subaudible signalling.

IF Digital input # active THEN Disable subtone decode

IF NOT Digital input # active THEN Enable subtone decode


Cancel Alarms Pin

When the digital input is set, Task Manager action stops the notification of any alarms and Emails. If another fault occurs, a new alarm will be raised.

IF Digital input # active THEN Disable alarm notification

IF Digital input # active THEN Discard queued Email


Customising Task Manager

Overview topic. Statements can only have one input and one action. To get around this, you can combine inputs into a custom input. When the input changes from false to true or (if it is an IF NOT statement) true to false, the Task Manager processes the statement/ You can also define counters, timers, and flags. In this way you configure the Task Manager and can then create statements that use custom inputs and outputs.


Working With Custom Inputs

= Custom Inputs form. Overview/reference topic.


Defining a Custom Input

Truth Table

***need to change to true/false?
A | B | AND | NAND | XOR | XNOR | OR | NOR
inactive | inactive | inactive | active | inactive | active | inactive | active
inactive | active | inactive | active | active | inactive | active | inactive
active | inactive | inactive | active | active | inactive | active | inactive
active | active | active | inactive | inactive | active | active | inactive


Working With Custom Actions

= Custom Actions form. Overview/reference topic.


Defining a Custom Action

topic here


Defining Counters, Timers, and Flags

Topic here


Task Manager Diagnostics

(Overview topic) Diagnose > Task Manager provides you with a menu of options for diagnosing Task Manager problems. If the base station is behaving unexpectedly, you can find out what actions the Task Manager has recently carried out. In addition, you can view the state of any input into Task Manager and test any Task Manager action to see what effect it has. Task Manager statements can use timers, counters, or flags. You can view timer values, counter values, and flag states to see...***what effect they might be having***.


Viewing Timer Values

The Timers form (Diagnose > Task Manager > Timers) displays information about any timers that you configured for the Task Manager.

The first column lists the timers. The Maximum column displays the maximum value that each timer can have. The Current column displays each timer's current value. The bar graphs show how far each timer has progressed towards its maximum value.


Viewing Counter Values

TAIT
Radio Communications
http://www.taitworld.com


Viewing Flag States

TAIT
Radio Communications
http://www.taitworld.com


Inputs and Actions

TAIT
Radio Communications
http://www.taitworld.com


Viewing Input States

TAIT
Radio Communications
http://www.taitworld.com


Testing Actions

TAIT
Radio Communications
http://www.taitworld.com


Monitoring Recent Actions

The Trace Buffer form displays the last 20 statements that the Task Manager executed. This display shows you the situation when you opened the form: the display does not automatically update.

To monitor recent Task Manager actions

  1. Select Diagnose > Task Manager > Trace Buffer.
  2. If you want to update the display, click the Read Last 20 Statements button.

    The statements consist of an IF part and a THEN part (an input and an action).

See also

Task Manager Inputs

Task Manager Actions


Updating the Task List

You want to update at one base station, test, then copy to other base stations. How do you do it?

Can overwrite whole configuration; i.e.update task list in one, save as template, and write.

OR:

Can export and import. This will merge.Xref here.


K

kerchunking

Transmitting for a second or less without saying anything in order to test the base station.


L

line controlled base station (LCB

A T8000 base station configured to receive information on the Rx channel and send it out via its systems interface and to receive information from its systems interface and transmit it on the Tx channel.

log/data log/permanent log

Describe once the terminology is fixed***.

logging on

Once you are connected to a BSS, you log on to a base station. This establishes communications between the Service Kit and a particular base station.


N

navigation pane

The left-hand pane of the Service Kit application window. It displays a hierarchical list of items. When you click an item, the main pane displays the corresponding form.


0

operating range

tbd


P

PA

The PA (power amplifier) is a base station module that provides the second stage of amplification for the transmitter.

PMU

The PMU (power management unit) is a module that provides power to the BSS.

pre-emphasis

A process in the transmitter that attenuates lower audio frequencies.

protocol version

The version of the language used for communications between the base station and the Service Kit.


R

reciter

A module of a T8000 base station that acts as receiver and exciter.

reverse tone burst

Reverse tone bursts can be used when CTCSS subaudible signalling is used. When reverse tone bursts are enabled, the phase of the generated tones is reversed for a number of cycles just before transmission ceases. This can increase the speed of receiver shutdown in some base stations or radios.

RSSI

Relative Signal Strength Indicator. A DC output voltage that is proportional to the strength of the received signal.

Run mode

The normal operating mode of the base station.

signalling profile

A named set of configuration items related to signalling that can be applied to any channel. The Default signalling profile cannot be deleted. For any channel using the Default signalling profile, you can override many of the default signalling profile's settings. The settings of other profiles cannot be overridden.


S

SINAD

SINAD (Signal plus Noise and Distortion) is a measure of signal quality. It is the ratio of (signal + noise + distortion) to (noise + distortion). A SINAD of 12 dB corresponds to a signal to noise ratio of 4:1.

sleep mode

A power saving state in which a part of the base station is switched off, then periodically switched on again.

Standby mode

A base station mode in which active service is suspended so that special operations can be carried out, such as programming the base station with a new configuration.

Status bar

The area along the bottom of the Service Kit application window.

status message

A set of information about the base station that can be Emailed. It identifies the base station, indicates the current operating channel, lists the status of all alarms, and gives the current values of a number of other monitored parameters. It also contains the alarm log.

subaudible signalling

Subaudible signalling is signalling that is at the bottom end of the range of audible frequencies. The T8000 base station supports CTCSS and DCS subaudible signalling.

subtone

A subtone (subaudible signalling tone) is a CTCSS tone frequency or a DCS code.

switching range

The range of frequencies that the base station receiver or transmitter can operate on in its current calibration.

system interface

The set of inputs to and outputs from the base station (excluding power and RF), provided by a board inside the reciter. A range of different boards are available for different applications.


T

T8000 Base Station

A T8000 base station consists of the equipment necessary to receive and transmit on one channel (frequency pair). Generally, this means a reciter, a power amplifier, and a power management unit. Often abbreviated to T8000 or base station.

Talk Through Repeater

A T8000 base station configured to loop back the information received over the Rx channel and transmit it over the Tx channel.

Task Manager

Firmware in the T8000 base station that carries out tasks in response to inputs. These tasks are formulated using the Service Kit.

template file

A file containing configuration information that can be used to create a new base station configuration. Template files have the extension .t8t.

toggle

To switch between two states. If an item is `on', it switches to `off' when you toggle it. If it is `off', it switches to `on'.

Toolbar

The row of icons under the menu bar.

transmit lockout

The time that must elapse before the transmitter can re-transmit.

Transmit Tail Timer (T800 term)

The time during which the Tx stays keyed after the external source has been removed

Transmit Timeout (T800 Term

The maximum continuous transmit time


U

Unbalanced line


V

VSWR

Voltage Standing-Wave Ratio. The ratio of the maximum peak voltage anywhere on the line to the minimum value anywhere of the line. A perfectly matched line has a VSWR of 1:1. A high ratio indicates that the antenna subsystem is poorly matched.


W

Watchdog

Watt


A

action

An action is the second part of a Task Manager statement.

Alarm log

A list of the last 50 alarms that the base station generated. This list is stored in the base station.

Alarm Center

A utility provided with the Service Kit that is able to receive, store, and display alarms from any number of base stations with dial-up connections.

alarm notification

The process by which the base station passes on information about an alarm condition. It can notify alarms over the air, over the line, via Email, or to an Alarm Center.

air intake temperature

The temperature of the air as measured at the PA's air intake.


B

balanced line

bandwidth

base station

A T8000 base station consists of the equipment necessary to receive and transmit on one channel (frequency pair). Generally, this means a reciter, a power amplifier, and a power management unit.

BCD

Binary coded decimal. A code in which a string of four binary digits represents a decimal number.

BSS

A BSS (base station system) is a rack frame containing at least one T8000 base station.


C

CCDI2

CCDI2 (computer controlled data interface version 2) is a protocol...Used in radio-modem connection to T8000

channel

1. A frequency pair.
2. The equipment needed to transmit and receive on a frequency pair.
3. A set of configuration information that defines the frequency pair and other settings. Also referred to as a channel configuration. Generally, `channel' has this meaning in the Service Kit.

channel profile

A named set of configuration items that can be applied to any channel. The Default channel profile cannot be deleted. For any channel using the Default channel profile, you can override many of the default channel profile's settings. The settings of other profiles cannot be overridden.

configuration file

All the configuration settings needed for a base station, stored as a file on disk. Configuration files have the extension *.t8c.

connection

A named group of settings that the Service Kit uses when establishing a connection to a BSS.

CTCSS

CTCSS (continuous tone controlled squelch system) is a type of signalling used for segregating groups of users. CTCSS uses subaudible tones between 67 and 250.3 Hz to identify a group of radio users.

CWID

CWID (continuous wave identity) is


D

dBm

DCS

DCS (digital coded squelch) is a type of signalling used for segregating groups of users. DCS uses subaudible tones between 10 and 134 Hz to transmit digital data to identify a group of radio users.

DCS codes take the form of a continuously repeating 23-bit digital codeword that represents a user group. Codewords are identified by a three-digit octal number, which forms part of the codeword. The remainder of the codeword includes a sequence of bits derived mathematically from the three-digit code.

When assigning DCS signalling for a channel, it is only necessary to specify the three-digit code.

de-emphasis

A process in the receiver that restores pre-emphasised audio to its original relative proportions.

duty cycle


E

exciter

The first stage of a transmitter


G

gating


H

hysteresis


I

I2C bus

The I2C bus (Inter-IC bus) is the bus used for communications between modules in a base station system. It is a bi-directional two-wire serial bus designed by Philips Semiconductors in the early 1980s for connecting integrated circuits (ICs).


Glossary

This glossary contains an alphabetical list of terms and abbreviations used in the text.

A B C D E G H K L N P R S T U V W


Help Version

Your Service Kit Help is H8000-805-100. It describes a Service Kit version 1.0.x. This version supports Protocol version xxxx to communicate with T8000 base stations.